package config

import (
	"github.com/getlantern/flashlight/client"
)

var fallbacks = map[string]*client.ChainedServerInfo{
	"fallback-178.62.239.34": &client.ChainedServerInfo{
		Addr:      "178.62.239.34:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFPjCCAyagAwIBAgIEU1H3pTANBgkqhkiG9w0BAQsFADBHMQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHRmxvcmlkYTEUMBIGA1UEBxMLQWNjb3VudGFibGUxEDAOBgNVBAMTB1Rlc3RhdGUwHhcNMTUw\nMzE5MDYzNDE5WhcNMTcwMzE4MDYzNDE5WjBHMQswCQYDVQQGEwJVUzEQMA4GA1UECBMHRmxvcmlk\nYTEUMBIGA1UEBxMLQWNjb3VudGFibGUxEDAOBgNVBAMTB1Rlc3RhdGUwggIiMA0GCSqGSIb3DQEB\nAQUAA4ICDwAwggIKAoICAQCUXBgsXu/gN+glyooTXuaqpHmeKz2zW+8YQjeyCwzyUNCQtzxuY6IP\nhNN/ibDqtC7F/Iu/5uZoTA4syvLMhGbchzDIm5mxN5gXNXGrUWLXbUCY0WJsAnebzQLwSCHH5+UP\nEKcw0nF0f23t2644nNM2IQZpQZ/8VVrbNuLnMK+JO/FQbXp+06f9R4IeC/XFnZbAIJQjIE5p7GAA\n4xtTEV+k1wtbl8yud964hVlqXN9Dt5tZK+5cnxHrghFqkGQNUYOVlGeKzqnJx1NvOXybX+bvidNR\ntiuhrFkrTZBTHQKtzeOP5BZlkVKFzCbGdxnkXbKSLTeaF0pxqQhIIKXA92QAaZp93IKOcyMIaaus\nv2fKZvOkUFGfvrXOPCma/iMHgw/a95T+Wg8rft/klqIqh4SXie/b993Bza1MlSPmaWWSZFZ3dLj9\namuOJ54B9vRVjX/CNx5WTYkTCtSEu2ROeAH130rpFOJOZcbNynRaZrzHfHt6GoaIEk8VHUABf5rw\nrDCfrhUUZWY/qWQDcHxb/cq++ajAI4uL5UeojPgd+FRoaH7xXUCz1uQtU5OqXIo/9NbXWzXmipk3\nl4Eo6KcHOoQtWM7XW1PXzmc2EiokVnr1k79AkYEvia3kBFyRKMI+OyKhILXg6IgcPDBGTPtbWsjy\nD0m8KXXJydS1qMI7MR0QMQIDAQABozIwMDAPBgNVHREECDAGhwSyPu8iMB0GA1UdDgQWBBQiQ7xw\nudTa27uVSoPsHYF/BOkpNjANBgkqhkiG9w0BAQsFAAOCAgEABotq7n8kSAHN+Kzvncg5zLgN3zbf\nD3NsrGc7yc8wtjPMoYdcOSHRm/XQA+wLfDph26KF1CsCMDs6NuvrpMhfN+9lN6vtfEn2AGYIWUgg\n0jq4LLhqsbOMTCRXg6e3cU2h80XBkoKUTTkZ/m5Xzj9By7kHep39ZedaZuV3miO10NYd6mf+0pqW\nVX2iqohVt5b5TsHgWcuPIiss7GYRr08p15wnitnN7O6Q/koQMA+WFUrR6IlZOBCnnG0Evle2vhwB\n4yQaLkDPXT++vel8czCLtb1rRNN5NZVUtCzaEliEWULGh8ko4DhSHQyQVj0UKO2fKRJZZZd8qeKW\nojV+Qv/IEEFZ+AWCmXpZ5qrqjsKzi7m4H68GF/hwc3cAxN3pY8aNMrov+p4s/pekZmfDu7tm2dlk\nw7XW8Q9Ku3Yet2pV8UwlcDKtZu7ZIke05ReWteVlK5OwSNy6RZdnpfRDABuYfz9vzqU0XiS0EUeH\nhol2dh7S+QhK0Xq56YrBWPLx9yt7geHiN5SGUDTSFZfnoPXJNwqY25RNYlHUjMBjKjENyMP8RWJc\nvQMcIWaamuBL5T9IaeUkaGCWvr9iOqoRauAGfEbE6OS+/wTexX5CqGJYWQm4CQQSQvkJrSDo7mvs\njBZgltGkUgw1jCDu9aF12W62sl4EqoRI9ltyXDAr14dsSMQ=\n-----END CERTIFICATE-----\n",
		AuthToken: "ub0YJccdngnxqfM0fiaOb6dtxiiVRIFhoxleKyfUYijfUiuUh81BaRR5N5Xgsaio",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.225.108": &client.ChainedServerInfo{
		Addr:      "178.62.225.108:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDkjCCAnqgAwIBAgIEczJTzTANBgkqhkiG9w0BAQsFADBxMQswCQYDVQQGEwJVUzEVMBMGA1UE\nCBMMTWFzc2FjaHVzZXRzMQ4wDAYDVQQHEwVTbGFpbjElMCMGA1UEChMcU21vb3RoIE1lbnN3ZWFy\nIFZvdGluZyBTcGluZTEUMBIGA1UEAxMLQ29sYnkgUGFic3QwHhcNMTUwMTExMDQzMDI0WhcNMTYw\nMTExMDQzMDI0WjBxMQswCQYDVQQGEwJVUzEVMBMGA1UECBMMTWFzc2FjaHVzZXRzMQ4wDAYDVQQH\nEwVTbGFpbjElMCMGA1UEChMcU21vb3RoIE1lbnN3ZWFyIFZvdGluZyBTcGluZTEUMBIGA1UEAxML\nQ29sYnkgUGFic3QwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCGfJFETLm4AxuOok4P\n/CJdixJwGPy7AHBHG/+CFyOxkg5JM2yWrpLtrelY2InVSod8zMEHJEeXAr+0aF+5Yiza968Hva6z\nvBkuj+P4+Rxyw9xZEsKX+CkEA/3vH+xN6MN2zoJ6hq+otO8lewSPzCVshMfXBmm06f+0HTJ8vXpS\nK5+cbKqS3Xz8sysBOQB4ePlBl0EwJzXskOp0bl+f1Ptc7Zl2VewvrNeBWQ9vjCkkCDNQgMUmlUDD\nG7zcbERvBJ9PxXECuR0xepFf3Yh5fTjx91NYbXZC7o4nHs135uFJ7HZaLUp0LlwwDHY3StcfwREM\nNEZ1LDwiyDCE+wtz5mq7AgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+4WwwHQYDVR0OBBYEFPi5Vfj0\nX9YZdhcQBKj9GLgcbifBMA0GCSqGSIb3DQEBCwUAA4IBAQBdqlfutfKZKbCBAssvVTxfIKXcKfI8\nVY7d1xEJWgsmGAnHbPpyIUDMQ5OeyMiYq10qdKsPSv/BKDWEP4CBQr3ThpUnXg0NJjgbyHEhmdx7\nY9jkNPCxC+s2Bhh+gLKMQ+O7MCe498SMv27NwD5/Z2xivl81puz9/o+cd0FOe5Ppy0mrlAih3Ftg\nihWrbsO9EXUpB1AlZs/AeEr9okPHZRb0XZZU9sfoRiH/0Kfp+1olYb1fK8dpcgt/BfxLU1IKEfPh\n+XvkmWYPXi7UXSDmDALDbxfJhjn+MlC1zbbE8ZwygG1OHGDCA/utPuJ1mkfZHOVGKvsV+T5kkHIo\nbZ0pJxv3\n-----END CERTIFICATE-----\n",
		AuthToken: "DP606KU3yNTaVRPwXTC76IyyRzUGqdnj1pNY21TBdKVtu4dfllM6XMsOlYRwKvUd",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.44.49": &client.ChainedServerInfo{
		Addr:      "128.199.44.49:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDuDCCAqCgAwIBAgIEA3IO4zANBgkqhkiG9w0BAQsFADCBgzELMAkGA1UEBhMCVVMxFzAVBgNV\nBAgTDk5vcnRoIENhcm9saW5hMRAwDgYDVQQHEwdCZWFyaW5nMR8wHQYDVQQKExZEdW1mb3VuZGVk\nIEhvbWVzdGVhZGVkMSgwJgYDVQQDEx9Gb290YWdlIFByb3BoZXN5IE5vbWFkIFRpbWV6b25lMB4X\nDTE1MDIyNzA4NTgzNVoXDTE2MDIyNzA4NTgzNVowgYMxCzAJBgNVBAYTAlVTMRcwFQYDVQQIEw5O\nb3J0aCBDYXJvbGluYTEQMA4GA1UEBxMHQmVhcmluZzEfMB0GA1UEChMWRHVtZm91bmRlZCBIb21l\nc3RlYWRlZDEoMCYGA1UEAxMfRm9vdGFnZSBQcm9waGVzeSBOb21hZCBUaW1lem9uZTCCASIwDQYJ\nKoZIhvcNAQEBBQADggEPADCCAQoCggEBAO1q0rZYNUuXxI52zJpM2z6+oiaO17GvrxKeEEhWWCxO\nb0NPfpJQ5mSWKClLNhjnwg2bbIXyJET45vRkkmffffXMxJVuTm2kjBcxTnJU4tMJ66enXniO46LO\n77VmLJUUwUEvhbZlIIcuwxWQLKa30FWCu8RM+3xp0XPXQtV46Q5QejWgqucQJ9JgZVV32L5zczOZ\nffnJw1kI0Tx9/E6fgAMT010Mgc89PgTK0iYA4V3yYnH/4V0N83aMUohbC8RgAeh6igKqN/um7Tyu\n1SG9fLr7IMOU6uhi8wJm/di5zxtMjX+flesl5RHvnRlhvk2iFQurLNtD6cf5MB9RRhUUz9ECAwEA\nAaMyMDAwDwYDVR0RBAgwBocEgMcsMTAdBgNVHQ4EFgQU5k/BPU5o3E9/+ta/bDhjrQWqzmcwDQYJ\nKoZIhvcNAQELBQADggEBAELkL/+rwI0ujuBWlGmebuizGr/fCP3W+AjxnNxEavDOBoRX9WNxDUdx\n0U+7LlglWOv3rGN52OAUxLok87s0b4GqvV5Z/LZQiFlCLEexXFlFqEWToZeRwbwy9W0f9ieB0TcL\nvybw8M/2xsOX2G8X10ObLOf9/98OBMaGVGYgPWsLajXgpQ34QEfpF9liDrJmk6Gkm32aGp7Rcipy\nL44vRAWL+T7peoEJc5QAtwyIudC6nji3Eb2yCbHnfNOHUkEjrO7bbMa0FYU3u0RWYDEAWs6vLMj/\n+YtAY94Sa9cDo92I6dh9k/Qrw2LLqGKwq8YRwrbs6+1/BsSENmxuYk/BebI=\n-----END CERTIFICATE-----\n",
		AuthToken: "tszy4o8ACbQi5aDhopbrhbdTCRUQvoqmZoMcHEVcNAhCg2TFfJm41GO2tx5F120X",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.4.28": &client.ChainedServerInfo{
		Addr:      "188.166.4.28:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIICDzCCAbKgAwIBAgIEJ24+nTAMBggqhkjOPQQDAgUAMHMxCzAJBgNVBAYTAlVTMREwDwYDVQQI\nEwhNaWNoaWdhbjERMA8GA1UEBxMIU2FuZGJ1cmcxGzAZBgNVBAoTElplbmdlciBIb25leW1vb25l\ncjEhMB8GA1UEAxMYRnJhdWR1bGVuY2UgRGlzc2VtaW5hdGVzMB4XDTE1MDExMzExMDEzNVoXDTE3\nMDExMjExMDEzNVowczELMAkGA1UEBhMCVVMxETAPBgNVBAgTCE1pY2hpZ2FuMREwDwYDVQQHEwhT\nYW5kYnVyZzEbMBkGA1UEChMSWmVuZ2VyIEhvbmV5bW9vbmVyMSEwHwYDVQQDExhGcmF1ZHVsZW5j\nZSBEaXNzZW1pbmF0ZXMwWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAARgxvs/rugaczSOJkJ7Z6Rc\nmnhPatIS7NHUiGzTVkeUSEmfVhtp29WWnPaY081mxB3V5iOkFbr/FAXPVloju5ToozIwMDAPBgNV\nHREECDAGhwS8pgQcMB0GA1UdDgQWBBT8HwobgMAnqxkIKBxO3pfhnMhAHDAMBggqhkjOPQQDAgUA\nA0kAMEYCIQCNCTMaQ3B7e6Qj+99PT3zkF00EoCeuk99wmgnTQQ0O5QIhAIVuVu+I7EUX+UG0KftD\nucRK+GnaN61xhAERAuGMraQ1\n-----END CERTIFICATE-----\n",
		AuthToken: "jvSRjOeEr6id6rjnt2omUdwDtENJGSVBPTJ3WHm4hEaBaFztWH1YQ3AIRtFpHnvN",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.206.50": &client.ChainedServerInfo{
		Addr:      "178.62.206.50:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDJDCCAgygAwIBAgIEGG/UDjANBgkqhkiG9w0BAQsFADA6MRwwGgYDVQQKExNVbmRlbW9jcmF0\naWMgQ2F0bmFwMRowGAYDVQQDExFNdWVsbGVyIFZpdHJpb2xpYzAeFw0xNTAyMjgwMjAxMzNaFw0x\nNzAyMjcwMjAxMzNaMDoxHDAaBgNVBAoTE1VuZGVtb2NyYXRpYyBDYXRuYXAxGjAYBgNVBAMTEU11\nZWxsZXIgVml0cmlvbGljMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAr4pOIQ2+sv+4\nVlflxkD3Kbq9lrOv+VLVeCUe0mHgZOQ+PLusXO61OAOuCE1/QVptp0lWnXchzWhOvPGutp2nnLNP\nNeIBNU/lLZZ2tdllXZjqSYpMpIpgi2cDDhwuKiIJiYSVTKKq6s+bU4z1XuGCHlDhue5RsWi22gfq\nKyikTtEMoBnF2pOnaWAtAvOZzkvM0uKxj94wE/TiL90JaOataGPuIR86RtYsClBYcH7zQUvIdoQP\nxgRjvlfmF6rxQ1t4xca9cGGgeW8Qf37PIBZhAsWNTfsNJkmkOop8dyjrBP1fQ70SYV3xRJ4qgamy\nD1Z6h2KPU8LO0YVF7HiLD662VwIDAQABozIwMDAPBgNVHREECDAGhwSyPs4yMB0GA1UdDgQWBBRA\nRNeAV3e+f9HNH8QOvj/sCbMzezANBgkqhkiG9w0BAQsFAAOCAQEAffqDvhis1ClBwDZx9sffeeiX\nCQidIp2araf5jw8Rg9hOeAGkk89Y/cUuxPZg0kZm1VNUc2DuNBneBukja1k+rqwWf8jnVym9s5+2\nUtc9h/hP9IZCQS2OhibFQxA9YnYflD0pLgL7SpLgtk0djtyaPBSrSrFA1+yoEicJIBjlktj/fha1\nZOhFH6wkpI87NZPNDvr7LlHXHPN1Xw8MvjqImQcVnt6yg9T4s0V9xaYoETh0KybjJj0KOVoPpjJ7\ns9aiZrbDuWrTyUEN1cZ3iVlLEhidFZpa7vjn23BfxuPzL7Etxyiz0D5D3+lNVNPDrZ0M+F/gQ/OI\nvily9Ac5YWzQtA==\n-----END CERTIFICATE-----\n",
		AuthToken: "2OY3Lft5XAFT8pK9w6RzGV2xpqZhRLhIPmd5Yt1qJOE0XmSTCceHIbTzkhI4aA8x",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.25.167": &client.ChainedServerInfo{
		Addr:      "188.166.25.167:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDVjCCAj6gAwIBAgIETcx+EzANBgkqhkiG9w0BAQsFADBTMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTESMBAGA1UEBxMJTWFpbnRhaW5zMRswGQYDVQQDExJGbG9vZGVkIFdpY2tl\nZG5lc3MwHhcNMTUwMjA3MDYxNDUxWhcNMTYwMjA3MDYxNDUxWjBTMQswCQYDVQQGEwJVUzETMBEG\nA1UECBMKQ2FsaWZvcm5pYTESMBAGA1UEBxMJTWFpbnRhaW5zMRswGQYDVQQDExJGbG9vZGVkIFdp\nY2tlZG5lc3MwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQClN9xyXV0tVZLpv15DS+8D\nLk6fkKQtsBogRA+dnZTzZOQiYX6lJNDCOq3VziWqLK532ZB4s4f4OjfgQwe6OnUIS3pYEHqO6YRG\n1cibrFjqZJOE7S4DfY6l3mvJNn3KK1/wN2Uf23mqT/JaZxNf1B8dS3dAYWgpoNxM0prPI0HkNOCx\nAtiIEpfrSzAoakhx0vD3+9LLrAwSBI8VZwbAft2LtuAaJXpNaCsxF5fmi70YBeFPntg0lHjxr3JA\nQ8GW1wupvFzAXrUE4HpmzoXVtJhYf33vmU3mJkoI5NUXjpbPF/rEgmLbBTW7cuzr6bWixejKNyW3\nb82RuS6W+MkIiVctAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLymGacwHQYDVR0OBBYEFIHq70CsWhch\nitBI44PqvksmiEp6MA0GCSqGSIb3DQEBCwUAA4IBAQBJICJMWCoH5xvbqOugRcPVq5anHj3MkkQ3\nmMskSQNb0GEx/FsIGaaQC82/ygnBIzCFgE0r0AOKcLpSKoPeLqgJPHOApnkUrvuKSfNRhm63NRde\nH8x9QfGtM5JJy2O+MDxPa/IWynDaGeELS2K55RsfX0g0b+3ebYXrPsP+vBOqwoz4g6C4Q9gVivua\nA8JOMArt8ulfxXLS2hOWOzC3bLP6jN7jXTIoKBVJ/g40ThLiFFBzqHK+UGrhYjYvWFMU2GdoGLCc\nzaylNgbzVcoGrR1rAsavKlRO38uJ8/Hnp6yG+Tt3TI4gx7sdqAFrwYCYqdQYWUvaFFW59WZomwA3\nOgfX\n-----END CERTIFICATE-----\n",
		AuthToken: "trAfMttYjJsxR0VAvhmISi8QbjaLPKiHSzh8VeMhbFMuNeOoLSaqK6aCREtNbdJs",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.247.181": &client.ChainedServerInfo{
		Addr:      "178.62.247.181:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB6TCCAYygAwIBAgIEfSTfxjAMBggqhkjOPQQDAgUAMGAxCzAJBgNVBAYTAlVTMRMwEQYDVQQI\nEwpDYWxpZm9ybmlhMREwDwYDVQQHEwhTa3Vua2luZzEpMCcGA1UEAxMgUGhpbGFkZWxwaGlhIEFi\ncmFoYW0gU2NydW1wdGlvdXMwHhcNMTQxMjIzMDQyNDM1WhcNMTUxMjIzMDQyNDM1WjBgMQswCQYD\nVQQGEwJVUzETMBEGA1UECBMKQ2FsaWZvcm5pYTERMA8GA1UEBxMIU2t1bmtpbmcxKTAnBgNVBAMT\nIFBoaWxhZGVscGhpYSBBYnJhaGFtIFNjcnVtcHRpb3VzMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcD\nQgAEx4CBsQA9uBZzLk1yAz04666lvaSnUxEMy5yI9UZ3awVS+04No1t8H+l0vbuBPInhMMJX9Qkl\nOg42AtVh+OHDCaMyMDAwDwYDVR0RBAgwBocEsj73tTAdBgNVHQ4EFgQUDI3TCmuWk+0rQp1BDVbx\nyv0O+7cwDAYIKoZIzj0EAwIFAANJADBGAiEAzxy11t3hJ0/h+Jn4qQVs6lvPRr+y2kh5WywmskSr\njr8CIQDNqwq02ASScfRl9v24A55RK+q7/MMTbM0TuJhUBYoDVg==\n-----END CERTIFICATE-----\n",
		AuthToken: "fXbkCGZs4zK4YhxOBIfE83svmnpoiplMkT61vNxZcC1YaUaxzTXZfUXk0PpjCUiE",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.40.92": &client.ChainedServerInfo{
		Addr:      "128.199.40.92:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIID5jCCAs6gAwIBAgIEU563lTANBgkqhkiG9w0BAQsFADCBmjELMAkGA1UEBhMCVVMxEDAOBgNV\nBAgTB0dlb3JnaWExETAPBgNVBAcTCFRoaWNrZXRzMTAwLgYDVQQKEydCbG9vZHN0YWluZWQgTGlz\ndGxlc3MgQnJvbnNvbiBEZW1pdGFzc2UxEzARBgNVBAsTClV6YmVraXN0YW4xHzAdBgNVBAMTFlJl\nZm9ybXVsYXRlIFNvdXRod2VzdHMwHhcNMTUwMTAxMDQyNTI5WhcNMTYwMTAxMDQyNTI5WjCBmjEL\nMAkGA1UEBhMCVVMxEDAOBgNVBAgTB0dlb3JnaWExETAPBgNVBAcTCFRoaWNrZXRzMTAwLgYDVQQK\nEydCbG9vZHN0YWluZWQgTGlzdGxlc3MgQnJvbnNvbiBEZW1pdGFzc2UxEzARBgNVBAsTClV6YmVr\naXN0YW4xHzAdBgNVBAMTFlJlZm9ybXVsYXRlIFNvdXRod2VzdHMwggEiMA0GCSqGSIb3DQEBAQUA\nA4IBDwAwggEKAoIBAQCe//rQoFgNXAroX9z1HFDjErAJ037hP00QysuS0t1tYWT7uzqRxbHWynwy\nxOqX4f0y80NZ6VqmGlyE2Dr3vypPqiQXwLEEQ/A0IfVCIARCdve8ZGT9eLIqKGyLO3Ya2e6mnzxo\nm1JJkwJYZuqJ4IOI1t2dgr+ZbaNGAHRDOD791usHLc0IeZyYm1+wSEjvqGSD0sXtOKExufj4T2kr\n5a2pkTecBqROpwQU0zgH8Qn8VGRcMd8JrEHkh4bQUrvNx7hY8eIyophtrr97T+WV635FZ2Jx3MZ4\nSwQ4na76P/3CiMogHU9u2CCz+ZDLDyh4+rwStKLLEqZkWYrDPvO/GFEjAgMBAAGjMjAwMA8GA1Ud\nEQQIMAaHBIDHKFwwHQYDVR0OBBYEFGkWX6mB8EF2EQPX3pcm4xWT7/ifMA0GCSqGSIb3DQEBCwUA\nA4IBAQADMcPzr2jdSYtla4qcAC2GLC4LlSDcUCAomnY/XuFirybuAIsH6Qa2UyZOYdKZBuwTMQ/m\n9cZcpZIhgDk2mApyNxEyYwpzD69VBKM8Uv8Mm8o6eniNP5p1Sh/OF/EBBrV8Xuj/qHp3P5K1BRk4\n50UFUcGy23wDbeWUnC0015QrOLU14RUOe7oHuIzDX1Vy3HhxiKE4yKweNGFn9EfqCimowbbDAIOT\n+FpxdE6e94TWfooFC92YfNqYKEFn1i8BJghR1nVj6wnkoGGs5gZqWh6Oo7CiI1L7hPw7a8SSjmif\nsQSHPVCD4cSwuxR+A4HaRk3Zpf4U5zAPU+2yR2sjP8JU\n-----END CERTIFICATE-----\n",
		AuthToken: "EOoc5fCAOVLNbUWYWQMzpobbzs10ZW05ikt9yGWRN3fVQe69LRao3oxYRcBw66UX",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.38.245": &client.ChainedServerInfo{
		Addr:      "128.199.38.245:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDhDCCAmygAwIBAgIEPH7/tjANBgkqhkiG9w0BAQsFADBqMQswCQYDVQQGEwJVUzEOMAwGA1UE\nCBMFVGV4YXMxEDAOBgNVBAcTB1JpcHNhd3MxJTAjBgNVBAoTHENsZWFyYXNpbCBTYW1wbGVyIFR3\naXR0ZXJpbmcxEjAQBgNVBAMTCUNhbW9taWxlczAeFw0xNDEyMTkwNDI2MjhaFw0xNjEyMTgwNDI2\nMjhaMGoxCzAJBgNVBAYTAlVTMQ4wDAYDVQQIEwVUZXhhczEQMA4GA1UEBxMHUmlwc2F3czElMCMG\nA1UEChMcQ2xlYXJhc2lsIFNhbXBsZXIgVHdpdHRlcmluZzESMBAGA1UEAxMJQ2Ftb21pbGVzMIIB\nIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAlvA25d8QXc+yU/WgHL53e3t9+HEUZ8UqlVVp\nmb+Tf2KKDrOojr5Fjna1aKN2gPR9FjZDxtPanYvgpHmY4JciwwzRtlxkVAbr0dPPHMYtxGKRqFrD\nSkXijBlGHpKrLidkDiZiGNXFsgSr2wwCRxU5P0Div2bSabqILHLrCZqYmEt6jhKsTFFjJWTuV2yL\nDRkYfaUkHZ59QU1CZmkFo9hsNXs4cZbuoDGbb9NDltqLCK/to9RjRbAx4ZmRnG1gFLzQslnCo03T\nt9KIG4z0Bi9KGkzjCkfsIYfrW5jX+OguU+ufavgypUaJcSXz8cMwHOvjogm9PvPN3Gj7JnIYVO2m\n8wIDAQABozIwMDAPBgNVHREECDAGhwSAxyb1MB0GA1UdDgQWBBT6qURVc943i7M+GVXg++U9w0BH\nFDANBgkqhkiG9w0BAQsFAAOCAQEAduQXpGLdB/G5+cbGBVr8Bfzfglnc0Gj8cZJZqKeUmKLb7zze\nasJGhYELybdmjTCYNMwvC9gB2Mo2vqcVAnq7BRi8yng9sjSvBwmejoiHDRUgjz/GfGMizuI6ue8C\n8f/klAqXeY3VEZohN0sJc8Ih8F0mkbkd4fzzOf9tJA2xOlp/M1IiWjNZXEjlfN4g07AnsTeD54l1\nEtInIAqF9tsFgMBSvfecDkaoPcgURpN46BnXuvGUWDx0B5wjfdYSftw+0tT8xqlVHpGWxhHFS+UI\n1mrMQHD+It7/Yf53Bl7eIEcSSAf6Ll9YoZ/1k4V5hvyRV2qXTwJeq06HIKzRIy7S4Q==\n-----END CERTIFICATE-----\n",
		AuthToken: "dR2o6hcX3rZ7JJBddRrzcdBSMzSv4TNRDEz0vboyxHTXxRBLKmBA41cTCgP7ydvD",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.2.144": &client.ChainedServerInfo{
		Addr:      "188.166.2.144:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFiDCCA3CgAwIBAgIENy3xfjANBgkqhkiG9w0BAQsFADBsMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITWljaGlnYW4xEzARBgNVBAcTCk9uc2xhdWdodHMxIDAeBgNVBAoTF1N5bGxhYnVzIEhhbmRr\nZXJjaGlldmVzMRMwEQYDVQQDEwpCaWxrIFdob2xlMB4XDTE1MDIwOTA3NTMyOVoXDTE2MDIwOTA3\nNTMyOVowbDELMAkGA1UEBhMCVVMxETAPBgNVBAgTCE1pY2hpZ2FuMRMwEQYDVQQHEwpPbnNsYXVn\naHRzMSAwHgYDVQQKExdTeWxsYWJ1cyBIYW5ka2VyY2hpZXZlczETMBEGA1UEAxMKQmlsayBXaG9s\nZTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIBAII5qJhEyDhJhEqi2YnaolQSAHRA8149\njp3LCq0bpaJb0+tpeuU/IZuUPye6UGUiuZM5E5Qu5f4CwK63CdgzMJehmDx2ZkuDzpTRNbHEvydm\nmykmTNcCVJSCc5+xjfnPlNYKFkR+V3QG3KRflDFv5lhf4CPUqFdckGYpA0Tx525TFqFdLcZXhhoI\nK2lTsiNV55rXNDABnGK71HMIF8gRcxKq45r7VnMZ3z8u6my9Q1S0v8GgWaMJQA7dynMxGp0oHoKV\n6iCgir6zge+p3FqC9qhiO0QaV1i4GNf2YWA2/OeMgBKFjI+gUdUSCCeRZ/qTQq9aGR+fOtZ7ChJH\nZAO80AARw3LI+6qb3D9ex8jCeVqQKagA+n1NXPwM+ydx4ABfl1pbpQY6NqHQJvjcuqz1a0arcScz\nwzTPZTRQFM5o9yORJaxDweZvmEPjIBesbWLL90/IljALgSSWuG6pTdZZ4Y82V7Eet0zTvnhc8n28\n0JaRTO0k2oXSqB/s7Jrela7I63ryI79Lu8DCiI0Y7hfTSAPFzBJOkKjeKqznLrLaOrtUtS5xeTpc\nceOwwqBdq6Iu94T9HnxLoEFOIv7tfZ4WhoPZRt1i+ThwlXsIuqu6oJzwf2eGxjjMwywdmR56qQfc\nz1YHJAt/ra65LUmP/OslF5bl1sr5yCmzbUQI9P4SLvrFAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLym\nApAwHQYDVR0OBBYEFLEIzeqonIbSJygLbkMjb/12WOODMA0GCSqGSIb3DQEBCwUAA4ICAQBp2lHm\nZcWIKWPf70cMxu7KgNGzlD/70yWFYH/VDbe8nNyigCRIOQ7uVKhSl5GqlQqJGzBKQVaokd04aX1g\n9eQun2xnxuBC4uCHrBK9/gjFVWxoZjGcNcmlrI14i7RukUGBjkKHIr8Q3hNZPz8UifbVpjcCWdxy\nETP2HUSAlw6DvzYjhSFG1aPEElHj9obccYuVHlCoypd+tuEWWanaAmPeSisXogS3XP5ILUPHb0Ym\nk+J3gz9gNqRXnZxlXsFzLOPWUO0ApHY0cLtcLyutt8ZyEyG1K4QVq8gltkm1i2mNOgXJvB8r0GiC\nogXqq2uEmxI3AUF10ZrCryo5kNnrxxVzNY5aE1bLNgTiLQkCwNKLFxLz4WROGKU78LVjMfeUAUdK\n2DsYdOGxUrZoqblYFYhf8F9YwzdFMZGKP23HFHaLRGFk/FPeO68twdtLQ1/SjYO09KxRxpReu8OM\nCCNTTH/1sVWL5PClUOqSS8PkzplOK1WaYhS+pcizxxPPl3a9I5sbeFfkdktY6eLyViPmCSd2zvw3\nIjiXxXAffiCq2WNwngNLilfgTD4qfUMR+Lbj+Zcu/nCEXGyGokfml00U3SzQq8ow5Dxa7zTPoCeH\n+0hl/NDxRehxNpJcDyuf0EjQNGs+iuXEAXyquZueC5ydjee9QWO7BfqDQeRar8ica3qdkw==\n-----END CERTIFICATE-----\n",
		AuthToken: "Xj8f6KluLSLbgSBPzQFPASBvoBe5IbMX0yBqLSyBN93DJy2hTo8hpCjQc7E7cdx0",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.38.233": &client.ChainedServerInfo{
		Addr:      "128.199.38.233:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIICXTCCAgKgAwIBAgIEVRLX0TAMBggqhkjOPQQDAgUAMIGaMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKV2FzaGluZ3RvbjEiMCAGA1UEBxMZU2VtaXdlZWtseSBTZW5zYXRpb25hbGlzdDEhMB8GA1UE\nChMYUmVzb3VuZGluZ2x5IEJhbGxvb25pc3RzMRIwEAYDVQQLEwlKb2N1bGFybHkxGzAZBgNVBAMT\nElVuc3ltcGF0aGV0aWMgQ29vbDAeFw0xNTAyMjIwNDI3MzRaFw0xNjAyMjIwNDI3MzRaMIGaMQsw\nCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEiMCAGA1UEBxMZU2VtaXdlZWtseSBTZW5z\nYXRpb25hbGlzdDEhMB8GA1UEChMYUmVzb3VuZGluZ2x5IEJhbGxvb25pc3RzMRIwEAYDVQQLEwlK\nb2N1bGFybHkxGzAZBgNVBAMTElVuc3ltcGF0aGV0aWMgQ29vbDBZMBMGByqGSM49AgEGCCqGSM49\nAwEHA0IABKY+CRk2tUoBuoVrSFD30ARUI6BXvn3fLNAeFAgy+q5UXmkIi/a/bPKaYSnbnoqkZyyZ\ngczmyfGZhCrIv7VvTcSjMjAwMA8GA1UdEQQIMAaHBIDHJukwHQYDVR0OBBYEFK/+N1Fpnr7qHYOM\npQpUcrePUODpMAwGCCqGSM49BAMCBQADRwAwRAIgAUM61RsYlirZAjbkon8+9VxVAWsVv3sFT10i\nipB63fgCIHbTnAAiEf+4OWBKLQm79duYsYhmkRV9q2zVYxI133dy\n-----END CERTIFICATE-----\n",
		AuthToken: "rrIH863YNE6ZP0k4ybQoZ9hZfMjKR4IZAuEJfPx0ScaZuiyeCxbUatn2NPM9zsDb",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.194.153": &client.ChainedServerInfo{
		Addr:      "178.62.194.153:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDijCCAnKgAwIBAgIEWpHKCjANBgkqhkiG9w0BAQsFADBtMQswCQYDVQQGEwJVUzEOMAwGA1UE\nCBMFVGV4YXMxETAPBgNVBAcTCEJydWVnaGVsMRgwFgYDVQQKEw9BaXJib3JuZSBPcHRpb24xITAf\nBgNVBAMTGFBheXJvbGwgR2hvdWxpc2ggRXhoYWxlczAeFw0xNTAxMTgxMjAyNTJaFw0xNjAxMTgx\nMjAyNTJaMG0xCzAJBgNVBAYTAlVTMQ4wDAYDVQQIEwVUZXhhczERMA8GA1UEBxMIQnJ1ZWdoZWwx\nGDAWBgNVBAoTD0FpcmJvcm5lIE9wdGlvbjEhMB8GA1UEAxMYUGF5cm9sbCBHaG91bGlzaCBFeGhh\nbGVzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAilWKLrt2HvhAF9ghLigPIAQmyIM9\n6HK5tML6xsi9HP91TenbbVC4MEbHM8FInQsh2cRFsuteUH6A+rwZEBElbU96u/y7I5+NgD4VdILi\nKnS7FATc80Fu23gqbYZPAJlCF6aoPFtlRA6Ls74dU0jhc8zsZCzqpi3kXnWzZLzcOs+oEu41afI8\nhlE2a/7xuIWM9NqkP3u9ecoT1aFGMmcI6AevPHVpqLih4CRncA4GavLGukhvTeaUDJBWctTQISG8\nQOqOl6pMiCA3c2GheaxkNjr4HOaPzFcXm7/b+WVyH4ShbKkDx/XHzg2Xx62dPDJggWP0/xCyDucE\nIonV4Og6EQIDAQABozIwMDAPBgNVHREECDAGhwSyPsKZMB0GA1UdDgQWBBSjobpoDCkOZN+NUl7/\nPJ3v7XcvhjANBgkqhkiG9w0BAQsFAAOCAQEAZ0MXKjq68hunkVWpsdXipFWPb+QCjlCUPanBsiDp\nZReqwFOQT2AgEZC92eKmx7r6re+Uf/yJiW9n7Zu7JHwh3F5+DZsMCbBVrxpwoVL6dW2tJacNcFg8\nOUcTtQ0Y5qbUL3yk6X9oSEvEpEycoyY9EyGFZQR8SnjfVLKriovV0TxgkJCg8V3LbU2D8Y+IyMsY\n0RmBlrwnwdORTe6mXh+Lfe4vw3vhUdVJrRMFT165029l9aXoq2/1y+kIw0lqzFeFhwHf9M581VZH\nWulWPGfw30Y9YzS2VbgxA3iLOEXlHfsu6t7Wn4ZKnMq2ZvNhFuZZYxuTGY7gZXw3V8rGWD2BRw==\n-----END CERTIFICATE-----\n",
		AuthToken: "MARrS8KKtEyuWjEVowhw51gn0mn49Jw0JtVqJtYCbTnlQLGub8qhSdV82XZjVw78",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.56.245": &client.ChainedServerInfo{
		Addr:      "128.199.56.245:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDQDCCAiigAwIBAgIEECWx2DANBgkqhkiG9w0BAQsFADBIMQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHRmxvcmlkYTEQMA4GA1UEBxMHTmlrb2xhaTEVMBMGA1UEAxMMS2lkcyBTaGFkaW5nMB4XDTE1\nMDMxNTAyMTAxMloXDTE2MDMxNDAyMTAxMlowSDELMAkGA1UEBhMCVVMxEDAOBgNVBAgTB0Zsb3Jp\nZGExEDAOBgNVBAcTB05pa29sYWkxFTATBgNVBAMTDEtpZHMgU2hhZGluZzCCASIwDQYJKoZIhvcN\nAQEBBQADggEPADCCAQoCggEBANJm0MIrtgKgXijBdZrHnWSP6CNjCPovd+9jZM1v1TXVmhtV1T2C\nOwRpe6yAsQuR0WYOfmY7mhdGUSg98bS6IxXNImIeK9NzujSlbTxvPJoxKn/mX6vwwOisaZEcJT1w\nYq3pxyHdvT/1aEpvnkPW8YHbeXd5JmIci4UQ3crOwjhmCsLrqX5tzFpE1AYfpOYJM3vfZVRUlD4O\nx7KE+HlHOjjtc9/GFFGNNefosHEl7eCvCjYE9D4KAIr07qXV8aVuWUL7oa523VT9Kp5E/Z3X+A8L\n89oJ6Nm69Elbir2KcTNkf7Q1i5/kjKw4P+Mi2xJyagjS6nzPOEExJS29z+VaDfECAwEAAaMyMDAw\nDwYDVR0RBAgwBocEgMc49TAdBgNVHQ4EFgQU9eYzACL/FSZICKHENQtia2Y5OgUwDQYJKoZIhvcN\nAQELBQADggEBAKFuFZnbFUNcntw+TJ61vut+dZ37YXpXG6IiaHLMY10irKrtZqkHkWvtrhveqWSz\nk7MJmyFxCMFlOEORNboy6nWFNGMJz2OWlb33lJwB6wkoNTpWin5VI3GTBUqYBkj4G1I3o2kr+ikM\nEhh/kVgcn/jTXdJ7jI+sKO0YHYckg4xEeY/pvCe4jKsSvmFBek0DmIFLkXAEEs/6VHpPQmvV6Cw1\nU3uZBwqvEryv665Sqp9fI7xv97mujBCGibhenei9il7Tpx798RGIWRSbJhiiUgh3W/qem8gEMWUb\nw851niGvz4DXLFBfibrFXs8S8ob8oVOxbsFq8P7qcQwS2hDA4XI=\n-----END CERTIFICATE-----\n",
		AuthToken: "jbwYRs1r1WgI5leNxhyfg9Euju4ICqGj4uP4BlEqf0ZkHo29kF1rzwGCb3AooLSD",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.201.12": &client.ChainedServerInfo{
		Addr:      "178.62.201.12:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDoDCCAoigAwIBAgIET2cuMTANBgkqhkiG9w0BAQsFADB4MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEPMA0GA1UEBxMGTWVtYmVyMSQwIgYDVQQKExtVbmRlcmNsYXNzbWVuIFVu\nY29tZm9ydGFibGUxHTAbBgNVBAMTFEVjb25vbWV0cmljIEZpZW5kaXNoMB4XDTE1MDMxNDA0Mjg0\nNloXDTE2MDMxMzA0Mjg0NloweDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExDzAN\nBgNVBAcTBk1lbWJlcjEkMCIGA1UEChMbVW5kZXJjbGFzc21lbiBVbmNvbWZvcnRhYmxlMR0wGwYD\nVQQDExRFY29ub21ldHJpYyBGaWVuZGlzaDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\nAJ6Pd0h+kxLzLCeXuXEgJ9U8W3E/9iR+Qq7bDLfCmVpcfHhkRTuk6XMVnV45eW4lyt8SsV3wveoY\nlcSF94IJitmmYmTzlHwSCY+dzLfkxBcRU9eAatokMjbxbWbqE4+3VNuByOw0H8UD8s4nq1A9Uyv0\nmu2p3hftVQ1Hlp6fnUA2OyRR4qrH8SwjTBVPqVGdhDaqqMNYGGcQzPTGDTOjXzDTXtvnf+8UJy51\n0dtVRl9pVX1LIO21Rkh+bY59EtWhLJlUivnrXFrwIr6BeYS6c+M8LLJoD3irtQZkTfwwJWoBgYtz\nuT06LAzsmcIWNPv36reH9M5vGqiw/J3sVDmWem8CAwEAAaMyMDAwDwYDVR0RBAgwBocEsj7JDDAd\nBgNVHQ4EFgQU08JYP/JPG4/CqHGpNnn0qQ3DfxowDQYJKoZIhvcNAQELBQADggEBAGNpBr2NDvvH\nnVZ+vj7HFyLQWjFZs2w3iPtbklNV+PatmVxisv/65HCljkLn3rMlL5DS+pOwGJk91X68ORQcx1Xr\nnonQs4piKhENmFY9YOtbxA/3ZM3XCm7c5f0bkyt/imFcZKCaTgacAPHdmnYAlcjPH15yaoSXfyqZ\nxUprkfQd98NFa+K8grLkTV6hzbPT5sedv3tblVcmS/eZpN0L3a8vYwe+Uu6awM/FBNzrD8vQF6he\nrAPgCLPVTRUngnMcQ4EiIE4O2FwUytzsvNlSRjMIx8hv/IlR8KrINrm940Qz0KGWzKffsdrlkjau\nZOfD3UiJY6RxgljbuKFZV0Y695s=\n-----END CERTIFICATE-----\n",
		AuthToken: "YavJmdwGOPgAm1DGOfcSYC8FhPumgXRUGLdmdvWwpPeOWrd87PymPYxtsz4mB2k0",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.243.211": &client.ChainedServerInfo{
		Addr:      "178.62.243.211:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDlDCCAnygAwIBAgIEApYrnjANBgkqhkiG9w0BAQsFADByMQswCQYDVQQGEwJVUzEXMBUGA1UE\nCBMOTm9ydGggQ2Fyb2xpbmExEzARBgNVBAcTCklubm92YXRvcnMxGzAZBgNVBAoTEldhdGNoYmFu\nZHMgU3R1YmJsZTEYMBYGA1UEAxMPQ2hlY2tlciBNdXNjb3Z5MB4XDTE0MTIxOTA5MjM1NloXDTE1\nMTIxOTA5MjM1NlowcjELMAkGA1UEBhMCVVMxFzAVBgNVBAgTDk5vcnRoIENhcm9saW5hMRMwEQYD\nVQQHEwpJbm5vdmF0b3JzMRswGQYDVQQKExJXYXRjaGJhbmRzIFN0dWJibGUxGDAWBgNVBAMTD0No\nZWNrZXIgTXVzY292eTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAIdd4hUU670BgQa/\n1h3xMVDZ+PuP2nYZk7UDHjF0FOfzTiEd9o3hV/HHKEJB0VZH7P6bdl72uux0gRF9zjFxSkWkKZgO\n/YraB+M0s3H7UhAfXj6rCPW5FUIavpolpFQsHjbiBUGeP4bwJ7fFkv3mp/TBk4z59gNPTBfwaLmK\nRD9/zoGtTBf1j344ebA4Czu8vtz4LQwSs764D9ocugXe9JaM30d8U0cY2wb7gPAdjMEt+grn+yDn\npU+aAKirhGD8giyP5NzRwyyDYFZ+6iHQOMRyo8Gbw05vR8GOBZ3W0IrncIjMBtjJUN5LVuycv57D\n1FOd1QS6MY2fdFsqv+CgCK0CAwEAAaMyMDAwDwYDVR0RBAgwBocEsj7z0zAdBgNVHQ4EFgQUYosH\nkjTwL3GGj1Q0WizaQinquB8wDQYJKoZIhvcNAQELBQADggEBAEYlBbb5ShbujXBfT7g+w/QSQnPG\n7TwaB19JTqukCV+Cgi1Z2ND62QvALcCqFTKvVYJ+LxfXaPW53oBS+hfkV629r1BTPY/CamdKSM86\niStTapnMUbAOaJ7AucJ/e/yNBD/tWFlmNydivggTEZyKQaVVw03ki8d2VH/cumPG/V08kuvFsYMk\ngzgHsxKrXyE2KdTVX1kzQpQRPcur/hohv5XBE10Jdzx6Ay0ujnW5Sn5WlbjSnAIbt3NCKcNuXwa+\npAYOuiwnP2r+WQ7fqxsPrhLKWJ8tDKi7wl2LwmMYg5nxt6lUOGn3Oim7mlXN6uNSelCLyJ+Kg2vU\nj70yWkWs0UA=\n-----END CERTIFICATE-----\n",
		AuthToken: "8EVFHKTNX9OWexd3bxFvDoxAwPTg9lrbNwEL3GLYclJqoGNs40qLbumaalR0wC86",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.6.11": &client.ChainedServerInfo{
		Addr:      "188.166.6.11:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDojCCAoqgAwIBAgIELNJx8jANBgkqhkiG9w0BAQsFADB5MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTERMA8GA1UEBxMIQmFzc2luZXQxFjAUBgNVBAoTDUhhbnNvbSBCZXRyYXkx\nKjAoBgNVBAMTIUhlcmRzbWFuIExvYW5lZCBCaXJkcyBTdG9ja3BpbGluZzAeFw0xNTAyMjAwMjEx\nMDJaFw0xODAyMTkwMjExMDJaMHkxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMREw\nDwYDVQQHEwhCYXNzaW5ldDEWMBQGA1UEChMNSGFuc29tIEJldHJheTEqMCgGA1UEAxMhSGVyZHNt\nYW4gTG9hbmVkIEJpcmRzIFN0b2NrcGlsaW5nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKC\nAQEAl3UkUmnjYBlY4qaz5qdAmIpyGjF8wB4eyJTYhe9X7xKu8Y8a7pnnhdCfkf8XMHssUHkFIHqw\n0wMEdW6NN3EKssopRJOiZHnA87ziFYj82G5gWGAMcsfvo8dBNVew+cNRXsteFibsVpGSqdjmrkwl\n27oDfvAsELKRg0zlNWLsBFGlhwIxdS6W0KNYxoA0lGRecwdRSroUMf0PIKoU7u+vVzeBRv2wJXdE\nuFyZhN5CGWFmj8+QpybS7/QC1N0IbfBbHF0fRxHet3AuXporetbqbY6sQt+BTyY9XFXAOuUvg8Ds\nHgwJOTBLJ1IisoAQBmr4MPVYTZx+68Gs41R487MK0QIDAQABozIwMDAPBgNVHREECDAGhwS8pgYL\nMB0GA1UdDgQWBBRhoGHiMBLYAawEUaIJ7OWq+3ympzANBgkqhkiG9w0BAQsFAAOCAQEAcsHq/NBm\nTqoGwc3jVtsn9nnySpa2OAiLBFrDIBbvlhlx0wibO5uvG6r9xJ2hb+a1o8hSnCiWxDh9WOhDZEjs\nky1In4Q85iAxeJ0O2Ug16SbfM2AhmTD7mvDRE8/Fop7ZQMiBabp6mqjZbpBDI92dBzVBg5lE1sj9\nqsRU/NN4qzkw2wMjobn2XdMaYPFMQ9NNy5mwIE8an5qms/knYbP0JFeazWTvk+NHFHzOLfIYMC+Z\nC40WC3VfzNfOjUgQ6k969IAMxvur1/XzogGV55es4AoHZ7QqBTPqNzCm2KgigUsoIzvONTBB2PjL\nXf1jbFhr9PmEaOe+SN9A9PBFzUaCkw==\n-----END CERTIFICATE-----\n",
		AuthToken: "rFEOgSZleF2C3ygW8lQ9OGO4TKYDBh3igvaLExpE6nHF1AGmPv0H1K3ggDU5UW98",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.48.56": &client.ChainedServerInfo{
		Addr:      "128.199.48.56:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDDDCCAfSgAwIBAgIEI0KtGTANBgkqhkiG9w0BAQsFADAuMQ4wDAYDVQQKEwVKb3VsZTEcMBoG\nA1UEAxMTTGVhdGhlcnkgUXVhcnJlbGluZzAeFw0xNDEyMTIwNDMwMDFaFw0xNTEyMTIwNDMwMDFa\nMC4xDjAMBgNVBAoTBUpvdWxlMRwwGgYDVQQDExNMZWF0aGVyeSBRdWFycmVsaW5nMIIBIjANBgkq\nhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAqrpSCGE6UUayRMtNg8mMeraf9Y3RF8Y+b6DXGZp2arak\nCGO45XhhNJGj+rVgX0b/LPwmySv6lY4unaIPfqMeOWWboCLwnNfRNJe3HzYRT6gCocRanmsLD2uE\nRxLk4jcBnEXGchHW0pu+fXItdyklviadFY5RbPgmcZiFq//LTXTcm8IpVMj56iMha4M4LrKsU24z\no38AJ/U3+26As/u0PSVRIDrIu3KaT+BhXuTSn9ow2sQabXOl7bYeFIqB+/kZOjOJvqxZtJsInd2f\nEnOg5QWfrzti7Qj10UNfVR6Lxeyq5zCXFKpaJooLVg+K/26+Xz9gT91SpkupjbyRwng7xQIDAQAB\nozIwMDAPBgNVHREECDAGhwSAxzA4MB0GA1UdDgQWBBQdPumD/y0DrJkCB0lhRGbig59ZYDANBgkq\nhkiG9w0BAQsFAAOCAQEAAK9vIqZ1il7f9VjdsQ3rr3bupNfBMRDZ6LXi5iYEQd0dtrdo9S6TUogA\nQmt0YCIS+/52hwdU3hqS+iTfA4yAHWxOc2iQMj7ELSmRq52e/1n/EJ0lV0nT5wVfweYN1/AcbCej\nn3MnykB7uPB4mxRTvUtj1tA1CcSRb9gZ0uOk9QcUw520svsOS6mqh7cCRGv2CTQZ/3t9Rm0J03yO\nCLogj6+w/xbbcbs7wXSH3k4BOwEQyqfHeS3L1jOilEK4l435GXpAv4V2ioe5hg5OA7ysDq8eqH16\nmy5dl2WyZNh9OebUdigbAnn2nsD4AoSdFvQTmNdk09uANGhRqM96iAY3Gw==\n-----END CERTIFICATE-----\n",
		AuthToken: "X03VWEL0wEhooVZTzgrkonsYIejAS03ypWpIbMYHhsxwKRDAhSrFFeyk1dKL8QVW",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.42.231": &client.ChainedServerInfo{
		Addr:      "188.166.42.231:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDdDCCAlygAwIBAgIERfnS9TANBgkqhkiG9w0BAQsFADBiMQswCQYDVQQGEwJVUzEVMBMGA1UE\nCBMMUGVubnN5bHZhbmlhMQ8wDQYDVQQHEwZFeHBlY3QxGjAYBgNVBAoTEVN1d2FuZWUgRmluZ2Vy\naW5nMQ8wDQYDVQQDEwZQb3dkZXIwHhcNMTUwMzIyMTI1NTQwWhcNMTcwMzIxMTI1NTQwWjBiMQsw\nCQYDVQQGEwJVUzEVMBMGA1UECBMMUGVubnN5bHZhbmlhMQ8wDQYDVQQHEwZFeHBlY3QxGjAYBgNV\nBAoTEVN1d2FuZWUgRmluZ2VyaW5nMQ8wDQYDVQQDEwZQb3dkZXIwggEiMA0GCSqGSIb3DQEBAQUA\nA4IBDwAwggEKAoIBAQCKFUJV/8aZIHNYJY/d2FT8na9mRSnwh0BR/kKGDPHcPz16r5R7AUXJKurK\nN9jOpBVUaPTRNutUuPF3czLB+qi9KFL8QtmxkSny3hBPHdThlZEDLkPIsAMVfhNMUHyTbfUghLXi\niVS4qCTHvIS8hhq952ArMQGhQTFa24nFwhswxItSfXRaaYhsFl1m+s2ZILr0aA/PJC7UVWeqkwa7\nqB6cMudYYhcHkhChRwLiTpYH80ikWYekGXI6UUV+19iqqSje0fOoPFof9WChLWBV/DGpYS0+qpI7\nJXyoxWLhQ+3gx6p51AfJTeV1c3kVRjAv7h+7PAG4bnds2tK3+j4g4BSpAgMBAAGjMjAwMA8GA1Ud\nEQQIMAaHBLymKucwHQYDVR0OBBYEFILtI8Ye3MKRUZ5pYhcW2JgvMV/FMA0GCSqGSIb3DQEBCwUA\nA4IBAQBPtfI7dd/glDK2XkNQfLf71EcIiI7BmDDLkpPgmsi3phcQ61YNNBZTXm64PdqN4FvKOk7T\nqrlkIfffRQadEGV1DDMQtwE8Y52ApUxH7PXXCOqAUCeW5Ldqbx3S7xmAxvpWdAFD62IKOIBnDXku\nZb/5poc2qe3FK64jxFGE7T+jPjwxq4KedggCb00iQ0L0hOxcxqClVlx/m5qB6jLEVl8d7g93lOV7\ni8H+/MLYXMEq290fO9e/6abMSCqtH711/o7EkhM3PWWqfFx4E0RpOhA49WCdHoWNnAxZyPObCg6v\n6QMJsgA8OgTo2CNONkhCTxyrkmcilGTxsfLtJ5daW8Nr\n-----END CERTIFICATE-----\n",
		AuthToken: "V6yxlqsKdYJ6RtPnZKqMbczMRnvYwaFpzphoWCi4Ml1K7I1WB85ZJNGP0FdYHvea",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.223.98": &client.ChainedServerInfo{
		Addr:      "178.62.223.98:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB2DCCAXygAwIBAgIEDiytITAMBggqhkjOPQQDAgUAMFgxCzAJBgNVBAYTAlVTMRMwEQYDVQQI\nEwpDYWxpZm9ybmlhMRAwDgYDVQQHEwdQZXJmaWR5MSIwIAYDVQQDExlBc2hpbmcgU2F2aW91ciBI\nYWJpdHVhbGx5MB4XDTE1MDIyODExMjE0NloXDTE4MDIyNzExMjE0NlowWDELMAkGA1UEBhMCVVMx\nEzARBgNVBAgTCkNhbGlmb3JuaWExEDAOBgNVBAcTB1BlcmZpZHkxIjAgBgNVBAMTGUFzaGluZyBT\nYXZpb3VyIEhhYml0dWFsbHkwWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAATTw9xO9juf1D+eVCmN\nBovvytiVbEjWg/HyGmuCrsrDw+gx1BzfKCGpmHugcQ8bga/t+a3ehqW+dIXvJgDPnNpDozIwMDAP\nBgNVHREECDAGhwSyPt9iMB0GA1UdDgQWBBTD5v7Jq9yElASRG5ycs4/SHdnJEzAMBggqhkjOPQQD\nAgUAA0gAMEUCIQDnVZvRO3ONDqhOuaEOy2NUiwDnYnfjp0OcWzJbM+Ho+AIgU9nsV6azV8RFFGUM\nzI11DY6LniU1NkrP5rP8/Fh//rA=\n-----END CERTIFICATE-----\n",
		AuthToken: "HACvwCktvWXZlTqbgHBnwvnd9R8zs2vmePZNlvzHzWRRVLYRN9Wyib5fCL015wfo",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.31.196": &client.ChainedServerInfo{
		Addr:      "188.166.31.196:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDjjCCAnagAwIBAgIEd8tccDANBgkqhkiG9w0BAQsFADBvMQswCQYDVQQGEwJVUzENMAsGA1UE\nCBMET2hpbzEQMA4GA1UEBxMHT3JsYW5kbzEgMB4GA1UEChMXQ29tcGxhaW5lciBTdWNjZXNzZnVs\nbHkxHTAbBgNVBAMTFENvbnNlcnZhdGlvbiBQbGVuYXJ5MB4XDTE1MDEzMTA4NTMxOVoXDTE4MDEz\nMDA4NTMxOVowbzELMAkGA1UEBhMCVVMxDTALBgNVBAgTBE9oaW8xEDAOBgNVBAcTB09ybGFuZG8x\nIDAeBgNVBAoTF0NvbXBsYWluZXIgU3VjY2Vzc2Z1bGx5MR0wGwYDVQQDExRDb25zZXJ2YXRpb24g\nUGxlbmFyeTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJfxKLLt/mTd2C5XB7Y8awdP\n8q8suVK3cp2AKb/OAem5miYjDRWo76S9YfB/9ZVygOA3DzCO1/+Kd1W3+m6efAihjHYK6obs6x2v\nT4H7UjwHc0hZTNTcfQU0ziJT9Vf2Lsfz/75bmAVGF1sLAGC22dBtnltTwOXB2odwcQEpa8fS63+g\nPrVFUxZ3hAUGq5jqcNez8PWE7rAY4og++0Q3czlio7+Otign4sSvf86z5/Q+v7q7Vg4qYlD7FiD5\n32B22NKcV+3z6euHonE3eq0OtHexS/Ff9VU4KahQqpc5zia16fxrG+MzG3KbIzDKlvv03D6trAOj\nFpnTiDbuO3xP4BsCAwEAAaMyMDAwDwYDVR0RBAgwBocEvKYfxDAdBgNVHQ4EFgQUN1b9faib2mym\noRv4nH44JCBS/+AwDQYJKoZIhvcNAQELBQADggEBADT6CTMAGgSAFFqc7W8bICe34XEvYFNMqcwH\nAC4EuxRn5SklDztXBgCmpLQ6L1RWm4RADzkpwpKY5YIV5ig+r4pINf7TxPRIXYHA0Ya9Ail9J4Gx\nnvRcGn1HC7wXP1ucEoiyW+smvJy3vca4NaVfFU/jAPl5HMnpjPXpff2vAvFIY2ld08W5KqUXJGVI\nbTKmiEU8chvTxhHUU7BwQv9My+5jDgToSlLLdEul31R++kORwTB0eJ49cZEA9AsU4R7DXf3yUWVI\n0SDePheetq0VRrBEdmyd3oQ7CCAuBz1n0WzgMpDfFdmS2HgRgyVKrZhwFbyI1hKqbMPvv8kBc68D\n5y0=\n-----END CERTIFICATE-----\n",
		AuthToken: "TdNaWa1mlHUQ10vx5tbFxhbMDt8NWGSKrA7ZBHJ5Ibep20A8PpmrI3pM2P0pKKEc",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.22.93": &client.ChainedServerInfo{
		Addr:      "188.166.22.93:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFijCCA3KgAwIBAgIEHgyiBDANBgkqhkiG9w0BAQsFADBtMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxDTALBgNVBAcTBFJpZGUxIDAeBgNVBAoTF1NhbmQgU2VydmVycyBSb3VnaGVu\naW5nMRowGAYDVQQDExFTdXBwcmVzc2lvbiBUcmlwZTAeFw0xNTAzMTgwNDMxMThaFw0xNjAzMTcw\nNDMxMThaMG0xCzAJBgNVBAYTAlVTMREwDwYDVQQIEwhOZXcgWW9yazENMAsGA1UEBxMEUmlkZTEg\nMB4GA1UEChMXU2FuZCBTZXJ2ZXJzIFJvdWdoZW5pbmcxGjAYBgNVBAMTEVN1cHByZXNzaW9uIFRy\naXBlMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAibGVAF7hqKOxnZ61y4HyC1vpwF9r\noYse1yRFDS8oOYHlyX8/tMO0vckcE8KFMHORQ6n6DD5HsdbcT58ZSkqsNTBHd2C6Hc47XtMFSgWF\nAiWOU+e00zlSdnhoV66D096VJSiO88WlrbWfHdehO0b57m/Hmf9e/AKBXyGQEZY17KpqpviYrRkj\nsFB1UmNRV1cjCDcaI/4huQfbQ5mrVO9NAGs3vOj5SAaD51ViEBbjq7jXq9dNvKPWDf15AV2c8Wzc\nVG1bb+wjcnZ4M2YVFmdSyJ2toS4m6SmEyOrVcxeZQzIUV1X1E+QspHOr6JhdWub1da+ngZ0K/50A\njSume7z3nTjzx3L6ZYzcAg00geLCe6w/cQBpTudbxFeIsyzdcntA8IwuP1zxBNwoSH9HPtxlA29j\nUwIkbVcLebNLT/rBrBPIdc9byabIMZnZLXrCdF9hpQtH1EmA5PwPSmzgr9OtdvE89mxLWisDpAne\n/QJR9Du3DfzPnDCERoxqB2PrJm7ml/5Ybg/sICy2dBH2EXRxQnulQk7/NxQXuE+u+YBWODr7qeKo\nTMSk/vSw5ChvvcnyxPWOo0i4tK2aasO6b9f7rxiCBrtLhqjmDbB0Jo6nC7Q3deTSHw4fopGiaUSZ\nTWKaJq3qt1F7pbPrpOtgPEnR96Go09oWeKftlUOG9Q4DnfUCAwEAAaMyMDAwDwYDVR0RBAgwBocE\nvKYWXTAdBgNVHQ4EFgQUxPQO5x3ARnXDLu7wag/W6N0QlwkwDQYJKoZIhvcNAQELBQADggIBAAXg\nIM8EPXj7hRmHwYKNf+8DlPEdjB1xKE+4khSlEb3d2mvb1jeyqEXK8BLyouiaoemShhA//iZpnSMe\nqT4MuVo2YHdeJ0l0L1OOxfc0aWcn5g5L+NBcVSA58we6aR7r75F+G8w4KwtPYdZmZSwUkvhraA8N\nsaMz/xSGHSHu2e8lm+FnLMGJLiYQ0xESe2KwUwW7dj6KbLp+BemDPyn1ZN+1mkpbZFayBW1ZX2eK\nCxX9TRpJhfT25vJWkIxB46ESlRv+14nTSXFfMZmk9vxFZRdevY4/yj2hbNBY1PMztAWj8z6Ncnn/\nYwAulgFG2KEishCwGMkHaLavajlbxHnUsDeiNfWkM9Tti1np07IcgOl8hX4+GtTdk6Lb/mSMViWE\nCjO3WoNdpOsb8eHrY9bV+oLoaaYibgpOrAXR5GH+dv6x45w5tdckWta0SMKxJfJkEy6USowVpnbz\n6iNXDxzF8NsIQ/ThWcWp8HtA38AYb54tIj2TFp8hTSOZpexKak9F5bwZm/wkeifhO35HdOqJk8l5\nPE5Uck9Gd/LZXDHdQhT8px8hmubNYymwdOIRC5PTh64wLb2wYsl2UqnhXTkXWDkMTD3eOzk/OB2H\nua9WYeEHPeb2ORtTdKCZiGHaadeHw6MBvx8CA3cdcrW4VVHH1Ahe5uP+l27HxN1qlVZebxjU\n-----END CERTIFICATE-----\n",
		AuthToken: "OIjDV8qhJpjFNnilqBGoDC9x5oyowbYaeQVpIsAgpGFg9iveEmdnUKV8adYhlGcH",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.35.97": &client.ChainedServerInfo{
		Addr:      "188.166.35.97:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB5jCCAYqgAwIBAgIEWDw58TAMBggqhkjOPQQDAgUAMF8xCzAJBgNVBAYTAlVTMQ4wDAYDVQQI\nEwVUZXhhczESMBAGA1UEBxMJRW50cnVzdGVkMRAwDgYDVQQKEwdNYXJjaGVzMRowGAYDVQQDExFJ\nbGx1c3RyYXRlcyBOb2VtaTAeFw0xNTAyMDQxMjA5MzhaFw0xNjAyMDQxMjA5MzhaMF8xCzAJBgNV\nBAYTAlVTMQ4wDAYDVQQIEwVUZXhhczESMBAGA1UEBxMJRW50cnVzdGVkMRAwDgYDVQQKEwdNYXJj\naGVzMRowGAYDVQQDExFJbGx1c3RyYXRlcyBOb2VtaTBZMBMGByqGSM49AgEGCCqGSM49AwEHA0IA\nBPDElcvumL01zlSIkhD2lgfddySioSNVmJorrMbli3P+VoUCKu44dVsg2oFc36Q8+12yG9lNq0Cv\ny0PlDfvvnBSjMjAwMA8GA1UdEQQIMAaHBLymI2EwHQYDVR0OBBYEFA9Fm7wLGAe3XRPPJlS1fwMH\nsieoMAwGCCqGSM49BAMCBQADSAAwRQIgB8osksMw3FU40Z9iTsfeVAKaVeZfxspxDSz/e1rFeW4C\nIQDqyvmySJeFyvq+K758QXXWf2tEl7OW8QKaKESwppkESw==\n-----END CERTIFICATE-----\n",
		AuthToken: "1hPQPQb7AUMf0SGMbeS5DOm1AoExIe8YEZG2CVMnqEAE6SPe227f8U2JMdBvDg5f",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.54.181": &client.ChainedServerInfo{
		Addr:      "128.199.54.181:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFjDCCA3SgAwIBAgIECRxt+jANBgkqhkiG9w0BAQsFADBuMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITWljaGlnYW4xFDASBgNVBAcTC0ZyZXRmdWxuZXNzMRwwGgYDVQQKExNSb3Roc2NoaWxkIExp\ndmVsb25nMRgwFgYDVQQDEw9Hcm91bmQgTmVhdG5lc3MwHhcNMTUwMzAzMDQzMjI4WhcNMTYwMzAy\nMDQzMjI4WjBuMQswCQYDVQQGEwJVUzERMA8GA1UECBMITWljaGlnYW4xFDASBgNVBAcTC0ZyZXRm\ndWxuZXNzMRwwGgYDVQQKExNSb3Roc2NoaWxkIExpdmVsb25nMRgwFgYDVQQDEw9Hcm91bmQgTmVh\ndG5lc3MwggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIKAoICAQCSpF0mYglrI2etv8HWMldd6AzG\ndwHW62c6wg9p8NUoXB6ZMWU16PqJViSV/kCbIrTGuqPRSvIwXeLB3hZUTZjGovKkRj+upVmug74j\nffVJQtAsFfD+UA0lXvvoCcrnmBqMxuVswEHlG4i5l6R9QNCwm7RvLRMCGTg+2apk9padxse/XHMS\n0ikf2BNqP+mn49lRxSxPMwxZ/3cNZ48clPjMKtI6tRFJw24shzIv8ArVtjVWuXO/3jKNt9/RO/Ax\nPr79VKZaG0py64JybLJTdrfOoVh5INEva0udyYHKnmo7hLNM0zxddJvNrHBOr6zYnonEVgVVHFdf\nTjfaeLYJt0N0CHykacKEQ6flc1PNeJAK9FuDkViBP4wmyCXpjP2LUTZxxFHcT9v8KR6E88G6kvT3\nPQlqAWyoqdgS2HmDa3EHu05K4TvOsBESP+uvkphsi9vIYX3Cy6eb1i91n7rdx35J+r7ymyKQVCMx\n0Z9IjSHw4bJ+FDX6vuBl2Mcu8qQge4M+zJXN/xafYT0XBkF0E3qkNcaDzyFlEnwk0LwpRsmbzLiE\nNTsNUfIK7m6GerOkQLFZarakCvoa3uxUxweF1fbSaHneIQfwkicTQeeeo2tdwi/njc1LoCm4gFng\nwISUUYew4eZpGsZQ4r8wzsG7xFOEwiNI7LxErBIBo9sjLsbSVwIDAQABozIwMDAPBgNVHREECDAG\nhwSAxza1MB0GA1UdDgQWBBS2q4C17zakQWe9Gh+sDM2f223ptDANBgkqhkiG9w0BAQsFAAOCAgEA\nRCuFtMBFOEKMGxF3UvbRrAH6sihnjvvWj55cuCLaJdX/Gz9ybJWAPSkkmEwkj4dt54CAO7LBsILw\nd3PftY6K8UuAHDcJbDF3XkuIspUtqH4ng/H5y+OFlvh9vKSHzBT3tWi7r5ueJpjc0oV8n0VxDg4M\nIDMiD2mD1coMfPTsC+hKNT1FNukfIkJqYx9hhMqX3/5zu7uDSi+wxMaJljlCcAwR66X7W1mbz49v\nDbQP+D51dEXlP8yHH0ThXY44Xw7Xyuhxv/wlZiXTvv8Dom2USD4OaL+s9J1zgZwDDkcG9LZJAa7t\nvK0MSWAI0eNVuqdv3G0Pxdn5nKNb+USEPmY+7Ou8XURtpCOcMud4bzpy2SEQg35f7IJPqQrIESrr\nmyGwT0zRInSGBhr+BoJo923vhnhBaA65Uudi7PWlcIbGGKKcXL/nSxyPxbysbzjawP/vQRuBlqtF\nO7JwiVFIRBfFT++E3X1QhW9SYzDOR65T956W6ahutx42uO1EL+68TCrxpyiUQXq1hRidhpC1/lVl\nLH4Yd6eX1Q3SpoViSKpjlGEwGku157WB5Sg6Si6bjUOnIwZy+H6q5Ql5KXbDdwFTeQkFAMKuIUgy\n5LTlCP4q95BDURIyt8JYHzjhV8i6krO5P31QQDpdBOnOzHj6dByZXmuncf4P06viX5ukHeWKbBM=\n-----END CERTIFICATE-----\n",
		AuthToken: "PZ9ObUyQdLU2GbEonaMAgFjereu7TlybLMBsHZx2TnvZQAFMlBpoU9xE7kR8YwGy",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.41.202": &client.ChainedServerInfo{
		Addr:      "128.199.41.202:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDoDCCAoigAwIBAgIEY0BXRzANBgkqhkiG9w0BAQsFADB4MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKTmV3IEplcnNleTEbMBkGA1UEBxMSTWV0YXN0YXNpcyBBdGF2aXNtMScwJQYDVQQKEx5EZWFs\naW5ncyBEaXNvcmdhbml6YXRpb24gU2FyaXMxDjAMBgNVBAMTBVRhcGVyMB4XDTE1MDIxMzExNTY1\nMFoXDTE3MDIxMjExNTY1MFoweDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCk5ldyBKZXJzZXkxGzAZ\nBgNVBAcTEk1ldGFzdGFzaXMgQXRhdmlzbTEnMCUGA1UEChMeRGVhbGluZ3MgRGlzb3JnYW5pemF0\naW9uIFNhcmlzMQ4wDAYDVQQDEwVUYXBlcjCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\nAN4REHbUQiUzC5lPGkdXIlXIiFWkUMkSLTYvgXNnA1DV/TXhN7g0RlzfLTw1a7rM3/Uh0bEmyAu4\n0D2QpLmtf0JDa7khm5gLuZ20GuB40NB6Pdx0U+s632Wt1tcl5qfRd6s4rRHq8DAwUa7PsaEciEt3\nIiPzGhgjAU4WN7F0ESnpUXdz5PswOCKzQB4Xs0zkDdYhi/4KEk0I/t33l5S1/7WVbCjgpCYDOLQ3\nxNsxtGEL3aDGAlXNJxesJEVHX7/u5jKHanmJQ6xOmmYfoJCXF+xlmHEYCNEv5/nHif++2CljPNXM\nv1ERZsjyMDzj+LoaQOk7T5h9wcuxKPZsDezPQTECAwEAAaMyMDAwDwYDVR0RBAgwBocEgMcpyjAd\nBgNVHQ4EFgQUjNo4G7TQyvAgvIIl6oAX+q+losIwDQYJKoZIhvcNAQELBQADggEBABUNZipwB8nJ\n1CgLsgs3KfSKToG6dNo1B0qAR2K8Av/DopG1ZrzwbEG2HzAU/BgnwCkoMYPG9zdETyAJJuNxKQ/k\nL5Apx6z/EqtRjDquedTfh5sJnXnYhqCqKnQf7kLnjZOJVdVVLqxqBNKlW837jELRWzntAwfWMESs\ng5x7/1xpHlcwMDNFq1oA76uEjyQ0jYyome5X1iZGGQqyvcyEkDa/iZR+JAFZahRdk83giicBiDj+\n0DAUv5vDRLtqe0k+HcdPWnZ3bfIWHvSUMhCL/XAOq9npGmwj0ZrX2fmKeoGJd66Xl0+HBnvhhWZ2\nHiXQOCxoAqqfGYYDbw5kNbWDfjA=\n-----END CERTIFICATE-----\n",
		AuthToken: "mmQfsW4Je1v1XbsMTk8cn5OoYINo6D9hvEHPQqLLGpwLZKkDUspFA7lppQIYrgI6",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.11.211": &client.ChainedServerInfo{
		Addr:      "188.166.11.211:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIICEDCCAbSgAwIBAgIEbSX0vDAMBggqhkjOPQQDAgUAMHQxCzAJBgNVBAYTAlVTMRUwEwYDVQQI\nEwxQZW5uc3lsdmFuaWExEjAQBgNVBAcTCU5vcnRod2VzdDEhMB8GA1UEChMYQnJvd25lIE1hbGln\nbmluZyBEcmFmdGVlMRcwFQYDVQQDEw5TY29wZXMgRGVmb3JtczAeFw0xNDEyMzEwNzU3MTJaFw0x\nNTEyMzEwNzU3MTJaMHQxCzAJBgNVBAYTAlVTMRUwEwYDVQQIEwxQZW5uc3lsdmFuaWExEjAQBgNV\nBAcTCU5vcnRod2VzdDEhMB8GA1UEChMYQnJvd25lIE1hbGlnbmluZyBEcmFmdGVlMRcwFQYDVQQD\nEw5TY29wZXMgRGVmb3JtczBZMBMGByqGSM49AgEGCCqGSM49AwEHA0IABPFiJDQMbDecHluP/7vE\nkg21fjK9kQq59XhhHLAu6S9ZFgK4tLNbdbT5V0N9/uibB6BJRadructDgplPOSR6HJujMjAwMA8G\nA1UdEQQIMAaHBLymC9MwHQYDVR0OBBYEFDIN5qi/ohVS48e8jxj1KRZeA4CpMAwGCCqGSM49BAMC\nBQADSAAwRQIgA8eA+G6xJiw7Xg4keg+7WRsElVSAAfwO1TXUpIUQ/HoCIQCBmkvE+nyvx3mzYiK5\nfpBd0q9Ea/r9JqbS1XHyHQFwag==\n-----END CERTIFICATE-----\n",
		AuthToken: "xmfhmnrus7URwUbvlvRmiUM75QuJ1V1jJ7I8c7PJEhg6P5KZpBrG6E7KvaXZWkZE",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.244.225": &client.ChainedServerInfo{
		Addr:      "178.62.244.225:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDiDCCAnCgAwIBAgIELeaVDjANBgkqhkiG9w0BAQsFADBsMQswCQYDVQQGEwJVUzEOMAwGA1UE\nCBMFVGV4YXMxDzANBgNVBAcTBkFkb2xwaDEWMBQGA1UEChMNVHVybmVycyBXZWlsbDERMA8GA1UE\nCxMIRG93bmhpbGwxETAPBgNVBAMTCFVuYm9zb21zMB4XDTE1MDEyMzA4MDc0OVoXDTE3MDEyMjA4\nMDc0OVowbDELMAkGA1UEBhMCVVMxDjAMBgNVBAgTBVRleGFzMQ8wDQYDVQQHEwZBZG9scGgxFjAU\nBgNVBAoTDVR1cm5lcnMgV2VpbGwxETAPBgNVBAsTCERvd25oaWxsMREwDwYDVQQDEwhVbmJvc29t\nczCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJy8HbwDbSE0l3DmCg4PADPZuADKXD1T\nhT50EYRmNmQyMj4O4WOWgkt3+5ONheDAIiiyjejBjihacgwwRMobd4eP2lzoW/oak2QN/87z/aov\nmWhHfbYPDxMW78Tkb51P94s0SJYuPY0M9aS5bSqV4upca8RFNLzuulwhYZ9WPo2fDJGs7ARVU1Pr\nHz8tIyuOeTr/eFQE53wdh1HI3fr0s/ZC1YRTpciylJG5V66egy1U0exuELHBCwJBSKJfrWSpzBEo\n8AthjESx6UgQyTCQppLi10ilBsIkropUFwxjDi/Q7uthZJ8qfcNYRr+QrjzAiArxlidwKFYYRgFh\nZFSM5kMCAwEAAaMyMDAwDwYDVR0RBAgwBocEsj704TAdBgNVHQ4EFgQUVgSRJ3s0jEo+yI9FD6WH\n++6fT9EwDQYJKoZIhvcNAQELBQADggEBAF/u1lYTx3kDTRU0OjEjuG5erqH+oatGVIYk841ZgL6+\nn1EOK/mMXfGVzf0sleH7BDp6ONF/OQ1Jm9o2m4EDcsQ6ojCVXlfh+m0d2pVQUOhrmziMBIPNQ9aT\njJPZuEKJSRDbyjk6lJNfWJGoVuwFqAN0e/eAMjQ3VrxbdZl4skfaeFn6uijxcx9FYdd56D1RItuc\nZKFWH+LDkj/2ZyqQ8ACQKjIBLchRI9qsYy75iNbuU4tyWzSLbWXeqWzxs17mco5+89EU9pmP8yZP\no3Q4krbq663d4gdNKpICBLZJrskrmYKm+FX8zZoG+/9fBu9Oi0zGMv46hd6+0JFhP/Vg5sc=\n-----END CERTIFICATE-----\n",
		AuthToken: "Kt7FzSfNrmP9s1uUX2P76dczjvywkgsTzuoOpyKZD4p7Pt3SXiAOeGKfVPpxXaci",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.51.160": &client.ChainedServerInfo{
		Addr:      "188.166.51.160:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDijCCAnKgAwIBAgIED85xtTANBgkqhkiG9w0BAQsFADBtMQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHR2VvcmdpYTEOMAwGA1UEBxMFSHVmZnMxIzAhBgNVBAoTGkV4Y2Vzc2l2ZSBJbmVydG5lc3Mg\nU2Fsb21lMRcwFQYDVQQDEw5EdWNoYW1wIEV1bG9neTAeFw0xNDEyMDkwNDMzMjlaFw0xNjEyMDgw\nNDMzMjlaMG0xCzAJBgNVBAYTAlVTMRAwDgYDVQQIEwdHZW9yZ2lhMQ4wDAYDVQQHEwVIdWZmczEj\nMCEGA1UEChMaRXhjZXNzaXZlIEluZXJ0bmVzcyBTYWxvbWUxFzAVBgNVBAMTDkR1Y2hhbXAgRXVs\nb2d5MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAj0S4pZWA0hfvvDkm5OoTbwgVqHj9\n0IZgxzapAgaoEHAqRsQBIp4GHhlHENl2YPWG4M+SUoQo0ZaVqWiXJ7F299eUEIRoT0tu0XcmKP9t\n5cgcp3E805d33wlbqblnDW7W0bcf6+XyKPVwlub4N4+7IIVRUGH6+NPmOjNeXdoR+z5mckDszTka\nbEJ15M8IyeYwVz/knVFXfHB6qN5/t+IFLqxxPpzMPv8xCZT3GE3kF396Yxv/xosLlrJn5r17OPKl\nryE/1PXQv8vXTdOXA2u6fMnswUnfcxtmBXvPCQQBMSOb022JCp1H5tnJRdo2K2aGaBGsIYyuuv93\nvQ0uhLD5ewIDAQABozIwMDAPBgNVHREECDAGhwS8pjOgMB0GA1UdDgQWBBROpquiDCt0mtWwSlW+\nBoqwjAYrAzANBgkqhkiG9w0BAQsFAAOCAQEAfFObaMp3sRXQsiwkp2kSisrUnZ5GI8NvFcTcEg5Q\nmTl4NHmSag6ADybPOpA4juDCF+vsIkG9cCPVocBIvjrQ6ssuhrMIJJ6PJhxYeTGDr2PNJDBfcCvv\nyeBqrUv6PM+dQWinC8ZxUkipwp1oN3ftw1WvVRjX4rw8qTPLOCKAZS9PSnhG4G47Zv3kmPGFstv7\n/v4qhD4sPUStGdd6320csMj2sCfX3pt+gzUFO9wmNKxje5JRI0Cnrvle0TKHTIba+N7h4ZvKkzKF\nszuCNk0slIsAXrEWwRi7LYe9/j9IoRQCzmjRmvRON5BU7E54yT6WDu8OVk0qkZLphG/ln/YDhQ==\n-----END CERTIFICATE-----\n",
		AuthToken: "3X7S8XOWKBlDemrYZTecyBQ33HxBdFVQXX6ZM3CoTQCqqlK9yR5bxgc1Pmal5RYn",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.18.201": &client.ChainedServerInfo{
		Addr:      "188.166.18.201:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB5zCCAYygAwIBAgIEZWNLwTAMBggqhkjOPQQDAgUAMGAxCzAJBgNVBAYTAlVTMREwDwYDVQQI\nEwhWaXJnaW5pYTESMBAGA1UEBxMJTGFtYnNraW5zMSowKAYDVQQDEyFQb2x5Z2FtaXN0IFR3aWNl\nIEhhcmVtIERvbWluZWVyZWQwHhcNMTQxMjAzMDQzNDMxWhcNMTUxMjAzMDQzNDMxWjBgMQswCQYD\nVQQGEwJVUzERMA8GA1UECBMIVmlyZ2luaWExEjAQBgNVBAcTCUxhbWJza2luczEqMCgGA1UEAxMh\nUG9seWdhbWlzdCBUd2ljZSBIYXJlbSBEb21pbmVlcmVkMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcD\nQgAElwvycbvOjNl9JFstFUOf98lVrj4gbcEM6JuvMn6tfjS8ZTTtwcpu/BLznK8/k0JRKnwoNtjf\nJxrs8kuH7qvC46MyMDAwDwYDVR0RBAgwBocEvKYSyTAdBgNVHQ4EFgQUPPMdRac5ynldCRVa982h\nk7jx8VQwDAYIKoZIzj0EAwIFAANHADBEAiAv2FjAC+7fhHWvPPZQg8n2HXLwtJPODOrSfCCxMOgu\n5gIgWiIv1lbiza0J/T9f6SosRH0zc9r0acRn7+PanT6ih9o=\n-----END CERTIFICATE-----\n",
		AuthToken: "eqFlYfnAxL0YwWhZYjhPlkhHPOCURIswLxoL6jWlHixhGHXZPfBnUZI9m2jK5tLD",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.209.13": &client.ChainedServerInfo{
		Addr:      "178.62.209.13:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDhDCCAmygAwIBAgIEEtgxyzANBgkqhkiG9w0BAQsFADBqMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMIVmlyZ2luaWExETAPBgNVBAcTCFNha2hhbGluMRswGQYDVQQKExJDaG9sZXJpYyBCb3VudGVv\ndXMxGDAWBgNVBAMTD0NoYXJsb3R0ZSBCaWRlczAeFw0xNTAyMTAwMTUyMzlaFw0xNjAyMTAwMTUy\nMzlaMGoxCzAJBgNVBAYTAlVTMREwDwYDVQQIEwhWaXJnaW5pYTERMA8GA1UEBxMIU2FraGFsaW4x\nGzAZBgNVBAoTEkNob2xlcmljIEJvdW50ZW91czEYMBYGA1UEAxMPQ2hhcmxvdHRlIEJpZGVzMIIB\nIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1m6Af9rHpwOmJqklYKKzvTl3Uj4xOrk2bPyM\nT0HAB3avnHwZpeVTXBB2lcim6LcXcmKPODoC+BpVPXYxvoXmkmbDeHn1iwCSNWSQ0Xrd1BXj1R2Q\ngHa6vZ9VZNo+jXS6CbXAgxCbZ4HmRe1RiTGq0kbifhfYbqzM+wIhQFKwIxfA41ClNyqkDdrxv3rE\n24Ecy++UCkeUAxCcB2vNVhx48bFQ/PfuuD5sEFNrSiJMxkPGn1pj29ldoJ9nisGvCAZdwukzI9si\n2w0A14NxvImFVYPLE/WpET5KYhPLEt6fFxgRl7efl13/X57NCW44CvoribQO9IvEXneqG6jP8fqI\nMwIDAQABozIwMDAPBgNVHREECDAGhwSyPtENMB0GA1UdDgQWBBQJbh10aCq7v7O2uJr2/mVf8qNT\nzTANBgkqhkiG9w0BAQsFAAOCAQEAkmdfGcpZoeVWeix7YyBNfaORqalrTpPiQh+LlnJQI5HTFIKP\nQDR3OoVl1QxUOoMujd8PVxQmWZiWUSepUUr7AXTg8SHt1cMqZzptGKkl4XX6BKTFARzjFapW9DgM\nDGhgCbgUCjTj3hmH2srkcOOE0vFs37sopJYDN3jlnZ9eoU/lgrbFep6v4C1o8BcfqSGi9MoHVH2a\nXMstORAJXBErVDReuXOEp3usSFeZCboXhcboI+JQ1CqDHlCwy6YQWekv1nYEk6ikOL8L7ZPTz4Ob\n5vdXUxOJtS9t3zuWwNMXua9WxdA2IOVNOa/U3SDMKOkZLggConrCPyg8Q2FHfnZjWQ==\n-----END CERTIFICATE-----\n",
		AuthToken: "Ew3053gO9iD19WWtzM6dasJnbwDxZUNidQpHXSDUyYakODDbqEaDQ338Nneo3Alv",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.203.96": &client.ChainedServerInfo{
		Addr:      "178.62.203.96:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIByzCCAXCgAwIBAgIENNbPVzAMBggqhkjOPQQDAgUAMFIxCzAJBgNVBAYTAlVTMREwDwYDVQQI\nEwhOZXcgWW9yazEPMA0GA1UEBxMGV2VkZ2VzMR8wHQYDVQQDExZTZWFjb2FzdHMgTm9uaGF6YXJk\nb3VzMB4XDTE0MTIyNTA1MDExNloXDTE1MTIyNTA1MDExNlowUjELMAkGA1UEBhMCVVMxETAPBgNV\nBAgTCE5ldyBZb3JrMQ8wDQYDVQQHEwZXZWRnZXMxHzAdBgNVBAMTFlNlYWNvYXN0cyBOb25oYXph\ncmRvdXMwWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAASa3JoxiFP72VoTchoEz8+6LSG6ul7OCofb\nlyFWPk6Ai1Stomsp1MpDzHlXRDFUJ2+FZhnEv1ms9XlMwhnWgnNJozIwMDAPBgNVHREECDAGhwSy\nPstgMB0GA1UdDgQWBBSyUVJln31rDvGBTNrWqmHZAeEHJTAMBggqhkjOPQQDAgUAA0cAMEQCIGM0\nEpuUpOGXTb4PhZmWhy45aQmrGTMY/fYl3uOl+sRXAiByAq2JQC2pMDbrqud/O+DAwhtW7LlUUAxV\nSsmDz8OkCg==\n-----END CERTIFICATE-----\n",
		AuthToken: "gwf2rFtffC9R2fkmn9hudsHi2UK8oMRa3EgIs0khcvUFAV1OYl5nd2IwVlZnYKqk",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.209.215": &client.ChainedServerInfo{
		Addr:      "178.62.209.215:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDYjCCAkqgAwIBAgIEP24qbjANBgkqhkiG9w0BAQsFADBZMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMIVmlyZ2luaWExEDAOBgNVBAcTB0Fic2VudHMxDTALBgNVBAoTBE94dXMxFjAUBgNVBAMTDVBy\nZWV4aXN0IFlhcmQwHhcNMTUwMTI5MDk1NDIzWhcNMTYwMTI5MDk1NDIzWjBZMQswCQYDVQQGEwJV\nUzERMA8GA1UECBMIVmlyZ2luaWExEDAOBgNVBAcTB0Fic2VudHMxDTALBgNVBAoTBE94dXMxFjAU\nBgNVBAMTDVByZWV4aXN0IFlhcmQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCZUNR2\nLAKptpTJWKjO4jUPax+VL9XEx+mPPbh0QhRZ8qM33GzGDGqvaQY72NLnU4gA10tifPZ8cggmTdZM\npFVG6y6rUEYuTp+hJ3/Y+FbmlRT2fPvPFFmN7PDb1j0p0pdCIKtCG5KJyAnyGfDgG/E97peCBZm+\nk56lyuhSmnUUmvz7K7DxT79h7eenszbiEMwnBLVEqMqNPu+f4yvv3DD5CLmahIIMKZOv0V7v5VuS\njPLUEUy1usXl3WAJu/xIJCqatL60EOrJSzOEGhdTrL01+MzKfdP+C/6//UsJY2Yi4kEEax7R60MP\nQsRmdMQHDm+OYgsxwKHJ0aCv2/BhJVtnAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+0dcwHQYDVR0O\nBBYEFOV0qzu/dN8X4PtjTtLoizUSdhGwMA0GCSqGSIb3DQEBCwUAA4IBAQB0N7wBTMyCnpXVuaFv\nPza40/fef6285+mMTUz1b0ZaoxrlQcLKCXVGCVP5t5ryw8GblQfrzGCvZug1fFvEVdXefwuxk9Ev\nccZOEBpU6VGAowtm82pki3v+DvnmkOA9UMVq2Ns2Px86w7ciKH4+HnpEVzUFqqY5ttyabVg9jEpA\n7SD4ZwtefmP2tl4nWMBsy05BRp/maZ/w6vaoRl5J7lI0wr+J+pM6chQC7EzguzEtuwqFtdbf423o\nEXZ0foSwyldyoiZUguH6oXZCt40qo4HW6vNT6FtF0J/6gGrd/ng5S+bmWIdeqhNaFfzI5t70cp8L\niK1/GQGD54mhokocs7ZA\n-----END CERTIFICATE-----\n",
		AuthToken: "K6kOqE5FFHVO25KxPSF8TU5dtnlceCVIvFelzXiSg2rgIrvBQi02VGi2nWs6Vhdm",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.225.6": &client.ChainedServerInfo{
		Addr:      "178.62.225.6:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDUjCCAjqgAwIBAgIEOULOszANBgkqhkiG9w0BAQsFADBRMQswCQYDVQQGEwJVUzEXMBUGA1UE\nCBMOTm9ydGggQ2Fyb2xpbmExFDASBgNVBAcTC0V4cGVuZGl0dXJlMRMwEQYDVQQDEwpHb3JnYXMg\nSmZrMB4XDTE1MDEzMDExMDUzM1oXDTE2MDEzMDExMDUzM1owUTELMAkGA1UEBhMCVVMxFzAVBgNV\nBAgTDk5vcnRoIENhcm9saW5hMRQwEgYDVQQHEwtFeHBlbmRpdHVyZTETMBEGA1UEAxMKR29yZ2Fz\nIEpmazCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAI//modnSpsyU6xXK8PdVUAX4RcT\nQGPQos28QA2pWOfFkJHY/QeE8+W14E7NjDV/JQ+p0Um/4jpkhIwKsE5Cq0nFO17HTIPxN8cKfyRB\nADRbb7rL0BYTmMOWcKj400oKwF1+D5AZQncW+yXS6VgCny8V4EP0qQAykqyvpPWkZuoJbZEJmeH0\nRAH/zT0xfkp4xxnTJ6nELcIOF669Z0BFrIephJanPxSUgaJWOyCb8ivCwNdf4VpYh4eie9sKz8fl\nU0/UBWfhMVb5JSgUoUzM0B92hmkqKDxuffYzpxsrI/EYnjGtGvYN8i9RErbaRMcQxuta/np/gu7/\n58o2II5aY50CAwEAAaMyMDAwDwYDVR0RBAgwBocEsj7hBjAdBgNVHQ4EFgQU9+8fSCqEmQ9TZUGV\niZt1RgJRmmYwDQYJKoZIhvcNAQELBQADggEBAIXz7wpojdAx+RHbb1+O9SuKJDp67bhg+yqahEii\n8l3PU2heXZVqKhUGUK9R+bDKj7YuTPKKw41hCPyj1tCZORtKogZl8yTSAwCSK1eCwjiFnP6zW8cw\nlZX+n9eeONhJ/VdKeEevhaehMOFYvEE3LRMg65rEPkIlZXoBo9xHzdNYBwlHaR0hL0zYaIe6wuV9\nknf/d6nsPngcU5zJfF9vbxFPGB8t/NcOmFqDmcgw0cebvv+kZkjj6eeOlhvoQ0OMgbKfRFw85eqT\nAcn4+E2S54UUiTsI8qLf/uq8Isf3OgN5Sfl/mKyR84B/BUZy4+y6cKAdja/qcmALlJKYp6wNMjM=\n-----END CERTIFICATE-----\n",
		AuthToken: "zysdv0VRNDfRao7LQF0ZwpYuWzNsdNMDxaB0iden8df8TQ9bZl5UV9zOqVWpQJew",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.61.178": &client.ChainedServerInfo{
		Addr:      "128.199.61.178:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDMjCCAhqgAwIBAgIEOiD+/TANBgkqhkiG9w0BAQsFADBBMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxDzANBgNVBAcTBkFmaWVsZDEOMAwGA1UEAxMFQnlsYXcwHhcNMTUwMjE4MDIw\nMDQyWhcNMTgwMjE3MDIwMDQyWjBBMQswCQYDVQQGEwJVUzERMA8GA1UECBMITmV3IFlvcmsxDzAN\nBgNVBAcTBkFmaWVsZDEOMAwGA1UEAxMFQnlsYXcwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK\nAoIBAQCJJwhooXjVtj/s5TVfkTsTwg7IMOsbtAIXy4QgkBiCSIjh0e8mjWydniyNoMILMkqOdtRJ\nksBg3y/GrxHgsv8TunEK10BTSXZoC41qnB9zS1j6EWbyyaU9xPDn8BudlXz2ThWxQPnQf/kcDpYv\nm29wKFJoJd/MChSuC0S/Zau7tqvpYq/4A+ah5vOM229gK586YSmKLaqGmEdfRh7e74bGW+V4el9n\nt5TlKd0rLYEjfw7Jzbqy7qcDKIbIgF8YmaGMtFCBk1huu0XIwg1AX2tpVRkSroYiD3R63FD9jY90\nmKrfvmD4ioabFG5zrbIJK10TeAhiL8/ukJ61XtR1QP5ZAgMBAAGjMjAwMA8GA1UdEQQIMAaHBIDH\nPbIwHQYDVR0OBBYEFOEO8yOFUdnqaqG+L8KIzrNgeGScMA0GCSqGSIb3DQEBCwUAA4IBAQA+OGnE\nzaHS9TGeFvj1D1UXmXesFXL4Vh7nYfLFRU9oM10rNgJDPo90tfQTMGFWilvEQRdWqMg+O6JhahV6\nsfhvQpqsif3FSSkN5srx1DRXiQXJhXFKwgblHYjAw/Fvh36QCqsOgkkeSTd1XV/fKABmV53s4dzL\njlx/ctJMcDS2QnW1kHu6Kfrxt4ly6O5Yv53BX4IVbBVogiWEWTW0llrECwrGbNZYQcVAZx/3X99t\nvK9rxq/hXs5x8Ox4bGDn7WJ9+3UIdwUOnZSjuawByqAebPWa4vlUQEUeYs5UoNZrZrQko4yZWXZI\nbeAMLvWAHTeYzXiAr5ibMy/b815gexEf\n-----END CERTIFICATE-----\n",
		AuthToken: "KxkLh6URBUvALOr1XStvBWg86Ab2bokL5CftnjEmK3yhIYXyBenXoKyeTlBmSbKu",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.25.185": &client.ChainedServerInfo{
		Addr:      "188.166.25.185:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFsjCCA5qgAwIBAgIEP7JmCTANBgkqhkiG9w0BAQsFADCBgDELMAkGA1UEBhMCVVMxEzARBgNV\nBAgTCk5ldyBKZXJzZXkxFDASBgNVBAcTC0NhbGxvdXNuZXNzMTAwLgYDVQQKEydEZW50aWZyaWNl\ncyBNdXRlbmVzcyBUaGVyZWZyb20gSGFybW9uaWMxFDASBgNVBAMTC1VybnMgRXhvZHVzMB4XDTE1\nMDMyNDA3NDcxNloXDTE2MDMyMzA3NDcxNlowgYAxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpOZXcg\nSmVyc2V5MRQwEgYDVQQHEwtDYWxsb3VzbmVzczEwMC4GA1UEChMnRGVudGlmcmljZXMgTXV0ZW5l\nc3MgVGhlcmVmcm9tIEhhcm1vbmljMRQwEgYDVQQDEwtVcm5zIEV4b2R1czCCAiIwDQYJKoZIhvcN\nAQEBBQADggIPADCCAgoCggIBAKavy/iX/AAYL3Verr+Y+TkEqFl1oYcOvA9Y/PJJ10JKMiRToqzu\nSAg5+BkUkdQrhwFpn+HHqm+WY/E9tqanpgny8+mluKbfhUwxuDlpplMQxuGhxB8iYXn0fZnD5/uh\ngL04w4op+KWibgMUjmtH6nn/OPyYXu9uHqmBSv3NEeDwRWsFmI3JBugCZn0V7+JZKlbY6s8Tvf+r\nm+C8BamgHrX6+EAPbZRYrb03sgWmdE2Fp9aHPyQwNnv7qmput/8U9zSEdWR+xKb2zt/v+fL4BPV/\n7JRCZZ/rL5Y3iZgI7oDVjyPKr57fjmGZuL777wELKXOiQ1MMqZvoARZ9fzokG4BQ4KeksqhtpY1h\nsIbU+jHBC2JvfXMd3C7oyyPJyYS9MMH4DIfLfceCGBb7ovS6PHAukm9VcMNNzXu+TKqyEz6/3ERO\nrmbutRTlVbKuXa/5yv1brXYID58mxmdO9336FPFYpodDN251V67tk+viUYrhwbZjT5sulCwQF+CG\nvKOaG0LEUSn9wzvRitkbUMMY08xdQmz29W1NFpgCLwhjHlfh391F2WXk2vWJhGLErbHk6f35peMf\nfSVC99O5+pz83G26rjfZr+IkuYSDiroS2xLLJ8EaKOmp9PJz4L2ZYUgRbr9YPpZjje3uZvmRvKAe\nJnNgDSm/gxYz0T+aR9o85LgxAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLymGbkwHQYDVR0OBBYEFO9D\n68Cr3oXXFfCfvNZx0Hwz6APGMA0GCSqGSIb3DQEBCwUAA4ICAQCX6toYyLLC5MFn7EZhqMnYpnWT\ntReGq21FrWIxXzgV9sIJqWZxKB5M3saWyO2RWpBgGC0xRZY5eUYs0NHs7/gnmdhjNYvz7ajI3KqU\ngaIE/2TH4mdAZZnP7BvW98ioJ1UpJpPk+VsSKf6rSZVeeLtZPyNdvyaC6nt7F410ACSbVsnZd8os\nkXTresDmcSE0NyjtN2rhKSITTUB4bheVc46v4+oeznoQxUNr9IH5bC5QTwzosO/Zw8ZjK8ijKyCs\nPJr9k36mpPtBiRF34T7wrqypfWApDcM05nMwRWro8EHa0A3UxLvAd4Aoj8rk9tW6MmpQSdlmkhwO\ndo1FMGiOhMpuuFnCYjmkDbOLu6q+RZcRxmCXQn+1OEW6kC4hwfBfSF8Y/XziIglo0pZFB2Zjvbwk\nzy+ks/9TfaeeAPQXEXHmZQGLsh2Jpuc0OmKXOCFE+jpmZGgOfg/jjR/WeagVBoF6pKxeR8PfKTLI\n0kGrokeVEj14r1cLrgyv4ykNsU3dZp9aiKYLMmDBBSlU7HuSq8yyG2c54965ksYiUqXJQsrSxO5k\nkgp1aCNsC8EsdB8BY2aaqLVfOppBw5eac4Pa261qSmawGsaAKqhQ2TXOAqsxEDd1KE2SVWiOlgG8\ntcZa0R4K+ttGCEUo7VwWZn1J/nP0cbwMwcGnU1/E6Rl4Y9Kaew==\n-----END CERTIFICATE-----\n",
		AuthToken: "4HbNEsklHzCdo3ehhi2jg44JCSfMPdtI3L8abSaid97iCpxHg3vKxcCaawli8UH6",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.211.95": &client.ChainedServerInfo{
		Addr:      "178.62.211.95:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDvDCCAqSgAwIBAgIEFsBSOzANBgkqhkiG9w0BAQsFADCBhTELMAkGA1UEBhMCVVMxEzARBgNV\nBAgTCkNhbGlmb3JuaWExEzARBgNVBAcTClJlc2lsaWVuY2UxHDAaBgNVBAoTE1NwbGludGVyIEd5\nbW5hc2l1bXMxHDAaBgNVBAsTE0t1cmRpc2ggQ2FsbG91c25lc3MxEDAOBgNVBAMTB0Nyb3duZWQw\nHhcNMTQxMjE4MDQyMDI3WhcNMTYxMjE3MDQyMDI3WjCBhTELMAkGA1UEBhMCVVMxEzARBgNVBAgT\nCkNhbGlmb3JuaWExEzARBgNVBAcTClJlc2lsaWVuY2UxHDAaBgNVBAoTE1NwbGludGVyIEd5bW5h\nc2l1bXMxHDAaBgNVBAsTE0t1cmRpc2ggQ2FsbG91c25lc3MxEDAOBgNVBAMTB0Nyb3duZWQwggEi\nMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCI7rGeKYU4eXnPFVe1hLlUhCF87DHPhjyBEtSF\nU79Rblj5Fz0xR3luVRTpFGsDx6HG9g4+qRxeNNkHXM7HgfrpelzCehKjpqNMGJDxtX9wvckBWJFm\nA3JG8Z7yVCQU4v51qShoBapNzG8KpC+HUL8ICz+aQ5A510OlQSXHTXJ8z1YR/J6bYyF6oS1aBNlF\nlsrnzqaEaQrZ4cgpc/92oA43yqHPpqd6kGz+f5YMGqCJivcVJmOQvTOEMDITWCpyiBu5NV9iq5El\nsT3WDo7h6JrFfQ0Os9aqNQjn0TRiCcfpVAH2DRDHCLzskgtcchfx/hZg3HG7JHccRPdtrVH9E5aH\nAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+018wHQYDVR0OBBYEFPslicVi6wlv5EGvCI8+TdNXBkw2\nMA0GCSqGSIb3DQEBCwUAA4IBAQBPDoLIC/5+mDkNrj82GmE1vBmLH76ki1qCIr7kU5HWpeu3PbXU\nLVy+3oDlXG7b6AIuTmfJldrn6QvhcaCgIev0xkbr8OwH2BTnEG9/SD5QLiNCD1WdWDkVArkkO/VM\nEPag9WkbT8UL5te6vf0ZacDuYp/xngnMZDnyTh4zTGcyMOBJ+Olc9IxBpwXfF4AJKrt/eLoEY8kI\nu6rCvEdmvymz0na+DkDuBJG4mpHR0ECSlOl0eYcThNZM1gTQpUKnYYLvfvY+KLaVtgID1y2Y4+wA\nsb5KynlCb1dmVywt48brpii6QRnRwI0lMW8ZOufHCkq60QK0KAN0p60wTH31xWiN\n-----END CERTIFICATE-----\n",
		AuthToken: "w0ko80dmCD5UmS33zkUevfLbJDla04SnjWIvI31HYZwcbPHVCFdExoTxpSs2j8yc",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.15.68": &client.ChainedServerInfo{
		Addr:      "188.166.15.68:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDcjCCAlqgAwIBAgIEZMLpxDANBgkqhkiG9w0BAQsFADBhMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTERMA8GA1UEBxMIRGlhbHlzZXMxFzAVBgNVBAoTDkRhbGxpZWQgU2xlZXRz\nMREwDwYDVQQDEwhTaW5lY3VyZTAeFw0xNTAxMjkwNDE1MTRaFw0xODAxMjgwNDE1MTRaMGExCzAJ\nBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMREwDwYDVQQHEwhEaWFseXNlczEXMBUGA1UE\nChMORGFsbGllZCBTbGVldHMxETAPBgNVBAMTCFNpbmVjdXJlMIIBIjANBgkqhkiG9w0BAQEFAAOC\nAQ8AMIIBCgKCAQEAl3sLyzKE37Y8DgHaMh62Z5nsIdD3J+Y6SYnrk6uBER/59hNrjsBNAMLPXHfU\nGh1YixeAl+QCqLJ/BZDUCuQ4TH4rVbGqT4ATxonnBOfGmN0xiZa35sJHBAdv1iyEgx6qlxdewCEm\ntD4ziRDVy+1voi0aexE46PhfNkyAxPFANuoJggTQYziFMIXZC9lXbkeqNDroHNo98ZocVpAtvdmz\nqw/LVHBzrhMGENMsh0cRmY5uT1CdLHmTagczKvH4XesQPsOjLSIqUnU2V40hzy0+BOVDKuXfFmaN\nCf9q0QGvwKwOiLGpE1TnZmpB9cpZlqV0bqLhE7bo3CGm27b65ssg9wIDAQABozIwMDAPBgNVHREE\nCDAGhwS8pg9EMB0GA1UdDgQWBBQfwtDp+J9UQt4kxhWXL3DsWNDKtjANBgkqhkiG9w0BAQsFAAOC\nAQEAfQH+3o32G3bVHu4sP7RWVL6hc4HWWAmw9xdn5M7byOa9QNvYnECg7a+R99pkHbttrmKrfgxd\nDPMbVoGW8Og5ola8BZFOEDqrf8i77MB+mmeyq7LFHRWcqD0PPNvrX4oaqvZ0dyYvLcfIl8mJFS/y\nhT0tfmsTGqw9pHSGv0eM0h7lDBRunAAQGhx/szdEZy46moGwGsZieEt4DySwIqc10qaCp6GaOsdq\n0fK9luiM7Yz/cOsVisqdh/xb7Dx5+MvGqoNwhkAehdkTqH+7QQ8rxiBoeIQtS0JtYnwgHHlhBfJD\nByBJNjJqlAtNvzhQsJ6Dyz1WaQXlfbZHFY9UZbtqYw==\n-----END CERTIFICATE-----\n",
		AuthToken: "PnRgkXJdvdwrkeuC7q7l0NOli7CInWqY3Er4OkJp0e24ZLGLOcwEDq9IlBFieSJ2",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.226.28": &client.ChainedServerInfo{
		Addr:      "178.62.226.28:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDVjCCAj6gAwIBAgIEdg2GWTANBgkqhkiG9w0BAQsFADBTMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKTmV3IEplcnNleTERMA8GA1UEBxMIRGlncmFwaHMxHDAaBgNVBAMTE0Rpc3RyaWJ1dGl2ZSBT\naGl2ZXIwHhcNMTUwMjEzMDQwNDE1WhcNMTYwMjEzMDQwNDE1WjBTMQswCQYDVQQGEwJVUzETMBEG\nA1UECBMKTmV3IEplcnNleTERMA8GA1UEBxMIRGlncmFwaHMxHDAaBgNVBAMTE0Rpc3RyaWJ1dGl2\nZSBTaGl2ZXIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCgkA9dIl9CRrt/aBh/8Rnj\nXX41dfj5Fp8G3s1YKQQEn0o9m9pFv10sdk7zdUjj+pGfkPdgmox3btxTsxJly8n4mnuuaWbGvJAG\nMRsTD64SwF1zZyNuFMa1lXGKfjnkmFFLA44Dj3AYJZYaUCGyUZW47rwNo9VZdhWMFXH7OLg3A3ne\nO8V8Z/uE1iSzYfLyHoCrHjPVdIY3o8tXTMr7g4S7BbKfCPjolx7LH+e+t+NL4kQZ5j8arOCQoilq\nPw9Dq/LjKG0sTU9CXpeXCoWWnQwfMW1F/2QU8+ULImvSSh5gVEuW6FhDD2HnHo6vUbJ6BIDZ5bub\n5nPTEZNNU/jmGkPHAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+4hwwHQYDVR0OBBYEFL/G+FEVMP5d\nNz8rjzYz4+LbaczqMA0GCSqGSIb3DQEBCwUAA4IBAQBLDZZ2mhNQgg86vQN3t6ZhKo8bUs/QXmIG\nwNjmFjq1ZqUMYbBX+a8MHuPVDn4fomp9zj9tp34xsj3wMX6hnovlyZ0i9C71+aXD93EnNdV91HzF\nptLxaSLkmUlkqdjf2p6C+GnP7pm1mq0tXiAoKAXbbRhU9g3qaxAA9ZukMCExYI6VWCuGAPmI5rDb\niI98JhuBlS1B6kmEmXe+3yC0/U+fwlxvhysO1FdrcnHGSEGJDMnYn2DDAUcn/BaziSjfigaqAXm1\naa5laCau5AWtp5EyLVMGpIaabKbeArd0anTeHSnU6yY8W7nFsSBW28jqwAN5XPOGyigSUg2tXH88\nikwU\n-----END CERTIFICATE-----\n",
		AuthToken: "uenYrx2ffc1Q4DIKd7UrZVgdWn97GtZnfJU3csw8RfIqQfmfygXT9ul3JfKm14qm",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.213.97": &client.ChainedServerInfo{
		Addr:      "178.62.213.97:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDyDCCArCgAwIBAgIENW0TNDANBgkqhkiG9w0BAQsFADCBizELMAkGA1UEBhMCVVMxEzARBgNV\nBAgTCkNhbGlmb3JuaWExFTATBgNVBAcTDENvbXB1bHNpdmVseTEZMBcGA1UEChMQUm91bmR3b3Jt\nIENsaW5rczERMA8GA1UECxMIU3B1cm5pbmcxIjAgBgNVBAMTGVJpc29yZ2ltZW50byBEdXRjaG1h\nbiBKb2cwHhcNMTQxMjExMDQ0MTI3WhcNMTUxMjExMDQ0MTI3WjCBizELMAkGA1UEBhMCVVMxEzAR\nBgNVBAgTCkNhbGlmb3JuaWExFTATBgNVBAcTDENvbXB1bHNpdmVseTEZMBcGA1UEChMQUm91bmR3\nb3JtIENsaW5rczERMA8GA1UECxMIU3B1cm5pbmcxIjAgBgNVBAMTGVJpc29yZ2ltZW50byBEdXRj\naG1hbiBKb2cwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCqFbrMOfPE8a9JMJOP54i4\nJmub6qjZTAmKpc4ckiKYv5uzMhQDKI8A3wAB3oEsV83sCUw6+MDEYrKSzDR3j2hK1gXYc+FTthj3\nGV/wrQihzR0DCDKhq6EWgfl0AEh9KQ4IdVCIYI79xrZVLu2SydHLnanSPbNXel3NK0KgrfFn+tY2\n1rBnLAn/eK6Wvz9esBsSTd36FUhKppMz2syYLUbjHRh4EeF40E8x13OJfgqcudbIPSA1s+JxuMzN\nTxwXVHB2YmTnX6+KvK09Upy5Rh0nr6hZg+ToTbRkDDrFNubOd8aX4mDtjXIPn4610vmHYxj4y3nU\nUELofr2tNUl8Ht2dAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+1WEwHQYDVR0OBBYEFK3tWa3a0957\nb//q0GDQUC0yoPeMMA0GCSqGSIb3DQEBCwUAA4IBAQBBIZ2RXLXfV8BtW+jc0klAVEXOBpT+ljzT\nOSIa2xeTcTMeu31Og3/JY7XfE4G7sXLwlJWQon6bbDgkcVVBGWFWqAwYCIHhFL1F1x3qg1rr8QRQ\nQtgzkSectldC7a9+7Zy3Up50Xsh4IVznBj6MDcNBHaagyggZIz6Sp/ci7BOysiEcsQ9sMxIjkyxD\n4JfFqnxl16mzmfgp+iTsXI+tyI2IydP42kG1DivXVtxvjNUqq7fTIBIerDAVFH4C0E4L2g16YVXt\n2mny4mU35w6dVu9K6fBoLxcTfuhX5GL75pbwFdXd3BLT+fXRLrS689HQz8PFlJ2bKsSe8bFvxx5Q\nveOY\n-----END CERTIFICATE-----\n",
		AuthToken: "UdB9zUXgbdPCQ5LFmrFGEJUYPGD1M3142nwjK9VaqeaH4bkzPdSv2M9iybBEBg3K",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.231.213": &client.ChainedServerInfo{
		Addr:      "178.62.231.213:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDmjCCAoKgAwIBAgIEfI+O1TANBgkqhkiG9w0BAQsFADB1MQswCQYDVQQGEwJVUzEOMAwGA1UE\nCBMFVGV4YXMxFzAVBgNVBAcTDkNvZGEgQXNwZXJzaW9uMRwwGgYDVQQKExNWaXRpYXRlcyBDb21t\ndW5hbGx5MR8wHQYDVQQDExZSYWxseSBDb290aWUgQXV0b2NyYXRzMB4XDTE0MTIyMTA0Mzg1NVoX\nDTE1MTIyMTA0Mzg1NVowdTELMAkGA1UEBhMCVVMxDjAMBgNVBAgTBVRleGFzMRcwFQYDVQQHEw5D\nb2RhIEFzcGVyc2lvbjEcMBoGA1UEChMTVml0aWF0ZXMgQ29tbXVuYWxseTEfMB0GA1UEAxMWUmFs\nbHkgQ29vdGllIEF1dG9jcmF0czCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJarONxd\nGFulVMpqs1y4FqYaVN1PsfChfW9w33fXv6IpJxpD3ecPW1TRMjRhfFCw20Yb85ImMV3AhrjldF/F\naeucTeJGZBl51uckfVlExf0B83ExPG8w8983VZVBBNX/t4OZQTCLAlnt5uAfiOIwSUO0qSJDrDCI\nF+0Ezewd0lzsGTrbYmfybk4AmXaAdLnG/5izq722rXuVq0JRCGHqxDS1eEhJC8niqEM4QAeFQmQr\nDNiw1vHj1oI1n/0ZClvJzjHH5lwHx9FrZkOTxPBlNAWM8SNHBQlOS6uMpRXmCfjtsDbxCheIBpVG\ng7Nh/0JNOTDp+bchjTfT0ENoul8Z+CMCAwEAAaMyMDAwDwYDVR0RBAgwBocEsj7n1TAdBgNVHQ4E\nFgQU/lJvxGBhc2sEzmkiJuQYARTUpkwwDQYJKoZIhvcNAQELBQADggEBADUyIwqCdewniwkLylSq\n9PHl1VOeGjUG6h8VRSlS4huiqDimFxyDStv//gogTwF7JEBILMCQ/tHcTBAHY2qYDdCa/tYsn7z5\nf8j0OLfLJex6IYY4XHem7lSHI3ZqzQHCtXAG40slPRXqwvFEf2+rO+yaCWJAJ30A0U1dLteFk/7F\nAkoGxt5kI2O89MB+vy87N55SCl9zvb6uGnnOr9aqfYfIASuVtn1VW1pytyVSH1NTvkptXT8vSuTh\nEClMagDAtxPgVlWQkZM7EQZFRLlfWXgp0r4cJGQLEoRROW44XEtKYcxC9tivOECDqMvot87h+xCs\n9+ERDLKBVnmRUajcn9c=\n-----END CERTIFICATE-----\n",
		AuthToken: "DNNVMWHcTPxpKXztS11FLIEQ5Pn6dlaevbDsfzFGXr5kWK3bFA2B45IaATpTfoYk",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.227.165": &client.ChainedServerInfo{
		Addr:      "178.62.227.165:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDjjCCAnagAwIBAgIEKpEdUDANBgkqhkiG9w0BAQsFADBvMQswCQYDVQQGEwJVUzEVMBMGA1UE\nCBMMTWFzc2FjaHVzZXRzMRQwEgYDVQQHEwtIZWFkIE1lbmthcjEXMBUGA1UEChMOSGVhcmluZyBT\ndHJpZGUxGjAYBgNVBAMTEUJldGh1bmUgRGVyb2dhdGVzMB4XDTE1MDIwODEwMTQ1MloXDTE2MDIw\nODEwMTQ1MlowbzELMAkGA1UEBhMCVVMxFTATBgNVBAgTDE1hc3NhY2h1c2V0czEUMBIGA1UEBxML\nSGVhZCBNZW5rYXIxFzAVBgNVBAoTDkhlYXJpbmcgU3RyaWRlMRowGAYDVQQDExFCZXRodW5lIERl\ncm9nYXRlczCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAMHdaUtcDjhsshucWqaHTs75\nK/Ip3iPtHyBB69LdpP9o+lOhymZdkyGXQRgPAdWAvr1iUbKRbRzU3l+wTHEuSU4iJY+osGgvYMoH\nFtyEOhlVM6strU7oPNq84Qp79YjiXZduQJCsJ4fIXs+Ql6PyZyEPuxeQYZxGVE7o5Pp/8LO868q1\nWQ5keuRHAVZFm38XoJsSuJTKSkq2r8sk6ka4cEqDUAIpw9pGtyzWmpBWzT4kW/yiHaQicqm4mChX\nlJnlKwhFJCOXW8zr77wRbxp2Y03kRzkVvGNWI3DVRF2ZbfOTMg4TTSKfuFOmKDi4edtgGmaQbkxb\nhBrI+Do6MIleRsECAwEAAaMyMDAwDwYDVR0RBAgwBocEsj7jpTAdBgNVHQ4EFgQUCdJ3OxXWd0S9\n+uv80YySbwv/mFswDQYJKoZIhvcNAQELBQADggEBAHLv0mo6l1t369T1E2DTQUHUZXopNQ0wdl6j\nJeb44OQi99XpHMBVFEe7jVrVY4YTRF3hEEg/BiaqpCO0Fbccj5bgeYWfUu6dmLxWTvul6G3bVZUS\njRhRRK6cdrB5z06ZOtTo3tuihDgVDQq8zTQhqDGA8R0K/NK39k4/ZgIsznJZwBF9KzGBy2jPiZLW\nqcFb4IIIXUtZj0Jj3SnNgWVsUkfKHJu34UWcTwpOHIBm6lrcRN0ndDqxHaR7K/2pLMfQMWh0fgS7\n1BYreTKEsmP1aeok6gUSbDxAnE2RJsI6oqet0pULXabO2ZUp+ZJf6YvQOlneM8Z8T/wKmX2wSEmc\nqPk=\n-----END CERTIFICATE-----\n",
		AuthToken: "S8LzuOU9uqovZO5khNEUFjYMIUkIPZt4WPHwpx3lMuwRw7sTnSRn8g9TRck37mZc",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.56.50": &client.ChainedServerInfo{
		Addr:      "188.166.56.50:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDVDCCAjygAwIBAgIEUynLmDANBgkqhkiG9w0BAQsFADBSMQswCQYDVQQGEwJVUzEOMAwGA1UE\nCBMFVGV4YXMxETAPBgNVBAcTCENhbWJvZGlhMSAwHgYDVQQDExdSb21hbmNlIFJlc2lzdCBUaGlu\na2luZzAeFw0xNTAzMTUwNDExNDhaFw0xNjAzMTQwNDExNDhaMFIxCzAJBgNVBAYTAlVTMQ4wDAYD\nVQQIEwVUZXhhczERMA8GA1UEBxMIQ2FtYm9kaWExIDAeBgNVBAMTF1JvbWFuY2UgUmVzaXN0IFRo\naW5raW5nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAztYk1/7O3vWH9UjmEn//lbNP\nYR9/qb1liC8BKIO9NRLhNGp7LD0bxHEKTLLhlfan3UvnxbnQK1zLjCYbdMZ/jw8wUYT9TNZC0C0y\n/UA6A5NiPeTQWIP3ltqyy6caB9BAxhNKenUiMt7TrsFoi56SP78qujPDcESLG5c4w6U7+beFUYIj\ncGfHAqoCyexb9gJY5nODVJRznVPuiUiiD9eU2zFYSpeOfob6osxqSVm0dCJvuvbGZirkEtQIvcza\nMiD8loV7kML0x2mdxo5+EqTN9NDTOeksxwvMooqlUWX9IKlkV39PiGuM39r2U6ioNgV7p8UjZxNF\nrRx4nCaoQ43SXwIDAQABozIwMDAPBgNVHREECDAGhwS8pjgyMB0GA1UdDgQWBBRVvIPDutAWhVhe\nfGTPj5jRyQTlGTANBgkqhkiG9w0BAQsFAAOCAQEAYF9pnIWsHmmE1SivFr/EYqpxiDUJmmq5+GZG\nYVP/sHf5qvYkgvlEyIvJJvAtuFJN2rLOSEhiYK1shXhcaCr+K9roUUovifHtOfqcf41GeYzLDppY\nnN3w9tB1YBZXYU0Qer+d1V0a3lvmpeWSeMImo948HXdncvLwozTxMJdiRaHsPHGEcgvPcTv31iz3\nHozfkZ1VVe1DvR1Of94+bNSW0p8EwcOPL7fsDGO1LFA6dJ1GtEwPSpx2mULtxP4esfqzODcX4tAh\nCMex5VF3ggWAvKurQ9ca3oGCWURs6AzZJ5okmf3m/kRekwgj8JEjD0umMqowRI8BkwZBR+VXEa37\nwg==\n-----END CERTIFICATE-----\n",
		AuthToken: "qXFRJG8b3kiug0YVIUQw0yRsUFeFeT3xb3q6Kmtn61ZXa1uDSGPTIJtOhlGSDFAv",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.245.144": &client.ChainedServerInfo{
		Addr:      "178.62.245.144:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB8zCCAZagAwIBAgIEf2MJNDAMBggqhkjOPQQDAgUAMGUxCzAJBgNVBAYTAlVTMRAwDgYDVQQI\nEwdGbG9yaWRhMREwDwYDVQQHEwhDb2xhbmRlcjEaMBgGA1UEChMRVGFrZW9mZnMgQ2hlZXRhaHMx\nFTATBgNVBAMTDFJlY2FwaXR1bGF0ZTAeFw0xNTAxMjkwNDMwNTdaFw0xNjAxMjkwNDMwNTdaMGUx\nCzAJBgNVBAYTAlVTMRAwDgYDVQQIEwdGbG9yaWRhMREwDwYDVQQHEwhDb2xhbmRlcjEaMBgGA1UE\nChMRVGFrZW9mZnMgQ2hlZXRhaHMxFTATBgNVBAMTDFJlY2FwaXR1bGF0ZTBZMBMGByqGSM49AgEG\nCCqGSM49AwEHA0IABDfTdVouoCg5R8beM0dZBWzU3aaEPuuoKoyXRxVQMte4drX/NtVZFuxYbC8A\nOedekzoVKSR+tU7oXgo9OnRQ6ZCjMjAwMA8GA1UdEQQIMAaHBLI+9ZAwHQYDVR0OBBYEFPM4/rqz\nZDvJX2JOGZpdcEM6ikYBMAwGCCqGSM49BAMCBQADSQAwRgIhANyS07/IZxxTCsSwKqcez/heSn3S\nCtPnLsm/Vq53SS6vAiEAj9lgiRivWMhss5himyBkZ2S3/04UZ1iylYjGSoI0eMI=\n-----END CERTIFICATE-----\n",
		AuthToken: "Ra06xzMeYElU0ovVus4yDJPyoJ2KcKAzDiajyYatFryPLt0obtDhkQIuXAxf428q",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.205.156": &client.ChainedServerInfo{
		Addr:      "178.62.205.156:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDhjCCAm6gAwIBAgIEBcL8CTANBgkqhkiG9w0BAQsFADBrMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxFTATBgNVBAcTDFJlcGxlbmlzaGluZzEbMBkGA1UEChMSU3ltYm9saXplcyBX\nYXR0bGVzMRUwEwYDVQQDEwxQcm90ZWN0aXZlbHkwHhcNMTUwMTExMDQ0MDE5WhcNMTYwMTExMDQ0\nMDE5WjBrMQswCQYDVQQGEwJVUzERMA8GA1UECBMITmV3IFlvcmsxFTATBgNVBAcTDFJlcGxlbmlz\naGluZzEbMBkGA1UEChMSU3ltYm9saXplcyBXYXR0bGVzMRUwEwYDVQQDEwxQcm90ZWN0aXZlbHkw\nggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDPBpaizmdRWwXZKKlqurW8+1l1KqXtscd1\niTkoxYZ39gVKZ4IIKr9MD11raNBAXfJ1YYc+EV2AsWbz3A3Zr7+NhULpQINfyqO/06lyy4215kFD\n+r3u/eNXauIIVLHficMKSz1z7AVcOoYTwYBCmMUDYobJPOB4it0vNecX0ssgB+8DdkIKf7SBCNbu\nRSxxpp6oUHWJSm/xt4ctT3GbEOx43r9zVGYXx2xpys80fKpp3lbUMmgPa3qJn86Fv54dtYYVcuCN\nZ8LTJvowDpJ6pQKV0HtzWmHX/n3vhO3W9A+3q0iXedkwz8xgeej79PKQU8VPnBzBd60KIxLyoOfy\noq6hAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+zZwwHQYDVR0OBBYEFHf038gPcuUFLy33HJ6vb5fQ\nS2ghMA0GCSqGSIb3DQEBCwUAA4IBAQBWGSLbvJXDyCoJHgH1Uv3bynR5JuPodufdTPKemEEQ88Jt\nu+8pk3QG/MyKsBZ7c3lHwRaDMaK76r8qPIdMELnXjZmdDd/xGyTLN1EyVNL+AjDhu3mGUuSSOtMI\n9o4xLS3/uVYoTJJTMtGxRToheZ5LAEXHFofJFIgvajZq9wOPpNm3QeRQbqNGdHjuVKkgjdOXsM25\nzBkJbnJtRiMdXj3WMuyu+YYOSCWENnWUkIS50nb3yR2YETS+uvI+XMTyeY14BxGa+lgFKcyFaOLf\nxV7YJkgtptJv+z/c+xWUp4WBRJoKKy1+x+nXreqCBmpdj2a28sFVoDY4Silu0uDSuHfO\n-----END CERTIFICATE-----\n",
		AuthToken: "DpLUrO7pOkPAHEsfE11Es0RLSNWsI9vYYxzJZsMMJrTIwd6U8t13cfZstQ3Vl5lb",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.54.156": &client.ChainedServerInfo{
		Addr:      "188.166.54.156:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDLDCCAhSgAwIBAgIEBIL4cDANBgkqhkiG9w0BAQsFADA+MR8wHQYDVQQKExZBbXBoZXRhbWlu\nZXMgSHVuY2hiYWNrMRswGQYDVQQDExJBbWljYWJsZSBTZXF1ZXN0ZXIwHhcNMTUwMTExMTEwOTQ4\nWhcNMTYwMTExMTEwOTQ4WjA+MR8wHQYDVQQKExZBbXBoZXRhbWluZXMgSHVuY2hiYWNrMRswGQYD\nVQQDExJBbWljYWJsZSBTZXF1ZXN0ZXIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCn\ns8zwuYUz1q93byFYudBcrAb76FRUAz9QeolFLuyLU/u3Jl30TNmwPNCxMBqGOMw2p0HKr6KGODiE\n7YBG/Pdn3EcWgRH7PdqNPb+yCLyl2jQkWIqX+Ex5k9IIzVyc1VT9OC7USA8cNx7ziJXO3v3Ec/mW\nrLdWfwR/8s0PqxRxZ+Gk1rWu1yy3f4RhEBTsQgsO+v8ZFr8L+Lywo6jY/IlMJpwGlZRZYKyIUMgE\nvFnF3nez4pThrCkZQ7qXgzuYLFu08pc4/oA6scqhsIq0C3VKHm13JC60kBWDOzOwDLAtGHksjU2c\nrPVaf/zgA8xMz7ZXhPsHUCrJLnf347E0q/kPAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLymNpwwHQYD\nVR0OBBYEFOl3ezF5XM+jDFwZloCyXPcrjMU7MA0GCSqGSIb3DQEBCwUAA4IBAQAMOGU54kv4Lec7\n+M/yvO39Z24VqaE2ArYptZEVXE1Wl1aQsaXveoKuN+/QnGk0hv1js1h8rQh+MNUnMPXaw1PFJ7ck\nbApOV1q8T/eV2TE9s3OJO37XKduZ22jQIOVVaaSVTRP9UXvXBYug5BoggQFxINe+KuLicXVVwd4l\nWCXWui1C6xSJGMsVnkYjMALqMkLV/I9csQvjihqSQfGtgUWVrgdlYwFwsyqr7eUu2Z/F2NKq5iY+\nVLQ1bXC/eRCKaETzmqB1NgU6bbLNfjRqN+oovyA1vlDf2ZNdtdUHijNVp4aWZob0352T2aFvaTic\ncS3oRs7BkogHgrb4DYqp2Bta\n-----END CERTIFICATE-----\n",
		AuthToken: "3bifkWdd7knsHKqQBsdZlbLM6h1kYbDG8yF4V4sb23ihlE7qdhFOsT90SsWKel87",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.17.27": &client.ChainedServerInfo{
		Addr:      "188.166.17.27:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDXjCCAkagAwIBAgIEFycyfjANBgkqhkiG9w0BAQsFADBXMQswCQYDVQQGEwJVUzEVMBMGA1UE\nCBMMTWFzc2FjaHVzZXRzMRIwEAYDVQQHEwlXYWluc2NvdHMxHTAbBgNVBAMTFFN1Ymp1Z2F0aW9u\nIEFudGlsbGVzMB4XDTE1MDIyODEyMDc1OFoXDTE2MDIyODEyMDc1OFowVzELMAkGA1UEBhMCVVMx\nFTATBgNVBAgTDE1hc3NhY2h1c2V0czESMBAGA1UEBxMJV2FpbnNjb3RzMR0wGwYDVQQDExRTdWJq\ndWdhdGlvbiBBbnRpbGxlczCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAMZin75E6mf4\nh5G8sZdiw3xI+T2Fc6yWEfjeDh8qp37KO+7nbAOG9qiWgIeAqnB4Pb7opPfDk9+V1CeNXhQw0mqZ\nuefFL9g0YtR6uur8kACjGjJ5L5kwAkNXZ+iK/QnQcdn4WfRtNxxFBfJN2mQK1BCy8ykYqLOcW0fz\ntQWyD1u+JL+yQbNJt403FdMVzuisMAwbeAIHtOYptAcj8PTiLtRPWclWef9YdQRKlD+63dj/IIv5\nW6iImtgdnE84XqOTAakf/2Z9FD7ss/YjoTozvwN9+xgosjYewwoJJ8QFK7WHkSy4rJGzm9eTyKuS\nJt8mWE0mX/YiHKHgA476672FSW8CAwEAAaMyMDAwDwYDVR0RBAgwBocEvKYRGzAdBgNVHQ4EFgQU\nWw/lefYdu6jQDg6hyP/1KuR3kPgwDQYJKoZIhvcNAQELBQADggEBAKe+Fl5rh6Nh1fx0jgR36N4c\nxsE1O6jtrJEfLnHm+jNjUBTFasXfAyaqXh3Mcv7M0yflnEC482Bvsak+lxS7We9b8FFaJc6ySmmv\nOZwUq6EvPjLUsPcBw7eURO6evC2g7i0Iw5cLvvg7rJ64f3XWiv6WPSIqgf2nbcpphRDKdhANGArE\nE/tOKaWtzhqjQkdBCVYW8nbBRfyR26WsCRfKNbQFDlz3bi7W33OAalrCO1Lw6vB8e3IP8l1tcTKC\n3YmSL229sK4i8PHAEk1mbAm7AIypn0us9feKViscYij6jG9FPzA0Bc/c6X6Y3D/6PEC9lG6kSG8D\niPDjoO4gEDOT3DM=\n-----END CERTIFICATE-----\n",
		AuthToken: "nZbOQOaE5g4OPhDlqEEwXiSEUFuw2L9ddXVbMCcmjs5ISBYEnDDHfJMryQNJqX5p",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.52.34": &client.ChainedServerInfo{
		Addr:      "188.166.52.34:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDhjCCAm6gAwIBAgIEKK1CnzANBgkqhkiG9w0BAQsFADBrMQswCQYDVQQGEwJVUzEVMBMGA1UE\nCBMMTWFzc2FjaHVzZXRzMQ4wDAYDVQQHEwVTZWd1ZTEaMBgGA1UEChMRTWFqb3JpdHkgUHJvdmVu\nY2UxGTAXBgNVBAMTEFNxdWFkcm9ucyBSZXZva2UwHhcNMTUwMjAxMDQzNjMwWhcNMTYwMjAxMDQz\nNjMwWjBrMQswCQYDVQQGEwJVUzEVMBMGA1UECBMMTWFzc2FjaHVzZXRzMQ4wDAYDVQQHEwVTZWd1\nZTEaMBgGA1UEChMRTWFqb3JpdHkgUHJvdmVuY2UxGTAXBgNVBAMTEFNxdWFkcm9ucyBSZXZva2Uw\nggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCA4aHm6jOxY4ShSOsZeDjqXwLTe8IWb38p\nK7peOVu5/CjL5txZke0vYV1iIKECv9+yxCMnzHkipFlA+UAdgXe8MrF+LKwXZrPqmi/KoC8Q0hC4\n656K33A3gSi6E2RGoIReNF5iE21xSZf0ro5MKtdKjpix1IifYNNwsYGMiUHqQWFwRmhkVKwDHyRP\n2wnXNOzOWIVOy3qAJYELWp2kfNPPRzJK9v4KDFjDBogpRmf9CA5Lxca4H2cwkF33mN9J4UIk+bxn\nO8TqrSX0vw+rHnBfwpyzvbrcN+XsiAamkpBO3FxgZ9oz2jVlUjxqgLpTx8jH3MjX5UaCSEevdG7E\nJyIJAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLymNCIwHQYDVR0OBBYEFHLp11bDfKAtAly1wrzNFNru\n1KD9MA0GCSqGSIb3DQEBCwUAA4IBAQB1haDfA2YxRbjbqpRYf0LsxhSvIsSWumV0Y90Pe87yA4R1\n4QQdYtB55PQ1NL8aFgx8fDTrIvci1pVH917+T72K1vpYHRrCd7aLtUSm3+MJbgh/jwrdATi3EcKU\nKdRem9WDV+hcFRNeq0QXUFjqEmoySzSzS8nZsn9Gn9r3g+K48MJBYs0GMa6SNi+P7YV3E+2YU0lc\nBiiJIGczvQDeGwenwm7rg4XVnMa4xyfw+v7W4o7BNYWIdr1qJo1MtdlO+GsQ143xKoCOuT6aBCBW\nuqKHTNZXyg4pmIrNDpk3uvZen/H5qbdm7YMPJSHERCUkFooDFJK7Lg75GI/BPuaDEIVx\n-----END CERTIFICATE-----\n",
		AuthToken: "4T95XRsMjWb3JXewswHex3NMhUX7twnqylXGoSUXCOBxP90o5emnGy9CGMOVBOTa",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.237.157": &client.ChainedServerInfo{
		Addr:      "178.62.237.157:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDmjCCAoKgAwIBAgIERzfOdjANBgkqhkiG9w0BAQsFADB1MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEQMA4GA1UEBxMHQ2FsdmluZzEVMBMGA1UEChMMQWJyaWRnZW1lbnRzMSgw\nJgYDVQQDEx9DcnVuY2hlciBBcHByZWhlbnNpb24gS2VuIFRpbXVyMB4XDTE0MTIyODA0MzcyOFoX\nDTE1MTIyODA0MzcyOFowdTELMAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExEDAOBgNV\nBAcTB0NhbHZpbmcxFTATBgNVBAoTDEFicmlkZ2VtZW50czEoMCYGA1UEAxMfQ3J1bmNoZXIgQXBw\ncmVoZW5zaW9uIEtlbiBUaW11cjCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKmB+RId\n7miYInDfiLimTLYzubTtSN6P+oDKSdUbfTYujQCNZuLqXxyvQqpLty/OxuDqBR6IYne9/8sgHRrC\n4Z/dWGzzRzyO/VcE8Y1NEJ2BbLUfb0mFC4AM0CavShvaeIzwAkfe3ZkYMvpUY2KbibwIcueRUNcb\nlnQtqUBEXxovP9+4raDLbLFZLIsxUUwEsuYW0vtn7Xyq0TOrHl0GAzGI98mO+vkMlVxXXdvnh58n\nmH9h23f7OApNP0OaezRCx9IyQegmcmHmoI+CJnePg9Nx3C4Hq49VwPlvhHJlgGiwNV4HOxgBnH/B\n/kzUu3WEeobgWpLt1aqk5UMcsAlfhEcCAwEAAaMyMDAwDwYDVR0RBAgwBocEsj7tnTAdBgNVHQ4E\nFgQUa99aD0R6mERLdTINRUKSoGBcB+cwDQYJKoZIhvcNAQELBQADggEBABJaUwNeN3iTQ21O1Gq4\nhQSfHpsFmNOzAb6LELGeOPikGpsROCSn3ul+MmwLC/Xg1Q++qLD4eDO3pabsHLBqkz2ltJ1tJLr0\n2DsGYLEHCZqB2uK40JdQ+f08mmnnDSOUsQ757Rk7eptmFKR24v3bLRrJwPT1IUixwJrembRonWRd\nW7A7O97owlMh7cmx3Ta5xJBdw5Ks6VMcqdVRnU8AS/1a2ssrm3tEkNWg62ionjLUXrRK01ZSv7bq\nBHKO62JLk5Wpam24H6gex+m4KzX+NLk5ts6XfKORhHDv2S7tAGjKBrmhPJA5ye5Em1EGT9jOOca6\nhLVcAFxWDul88AV2ZYY=\n-----END CERTIFICATE-----\n",
		AuthToken: "V7P7G6l3jCxHcPTwzFly1QDSkeDVRX2bhcmYU5WdM3CzQ7o1tlFT3XB2Fs5jTsLc",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.27.244": &client.ChainedServerInfo{
		Addr:      "188.166.27.244:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDVDCCAjygAwIBAgIEJtAyiTANBgkqhkiG9w0BAQsFADBSMQswCQYDVQQGEwJVUzEXMBUGA1UE\nCBMOTm9ydGggQ2Fyb2xpbmExGzAZBgNVBAcTEkNocmlzdGVuc2VuIFNuaXZlbDENMAsGA1UEAxME\nUGVlbDAeFw0xNTAyMjIxNDEzNTRaFw0xNjAyMjIxNDEzNTRaMFIxCzAJBgNVBAYTAlVTMRcwFQYD\nVQQIEw5Ob3J0aCBDYXJvbGluYTEbMBkGA1UEBxMSQ2hyaXN0ZW5zZW4gU25pdmVsMQ0wCwYDVQQD\nEwRQZWVsMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAj7VWChKKSgOnRrjXK96pDdve\ny6Uxm74AAq+pnXJd94Qv6rHyIvaLwcJA0mYCpU/04VsydiccBObWZtJX3tBPz8ohp4teD0tq2jTa\nqyt80vq+cBeiR7cwLgCxDxUb0WJjNDVLRNre4rl0cw+C5HtgaWmH8Vx+72ucDCeTLjYkrGP6n6sb\n9TkEA24kYHPEEpQ4OxoKphCtu3s/ZPmHzXuBTVIAPcsmT47bdFBevpNk2SkqXrU1wPBAZkdiodGe\nknqLowl7SyWVsveyvuu1CxHhsnNkwfT1Zy/G3bc5QQIDQ15qhlRJ5HLKKJcWFvlfmfZ+Oht1T0WT\nqTGWThX/GyubgwIDAQABozIwMDAPBgNVHREECDAGhwS8phv0MB0GA1UdDgQWBBSou0JFFSDlUIVW\nFJFsee78PWHxZjANBgkqhkiG9w0BAQsFAAOCAQEAZljAP2ciM4yPLGUzZZ595+z/A1nPg9DIE/dR\nSnpM1wB80ec5+ELLtakcIWfiDMAdu95FIB7P7P2KEWrIlPKY2bRfqIlZD9kERUA5raJ+qWlGZ4xG\nrILeTwsjpVkTdr6v4gBk218fE9f9PIeaI0qVuUdHNW21vOUzdfs7U51uhTFL67f4C/ubDmjjIKYT\nOyhhQYBEgVMxlwQqSgHdDknUNHBtLy0LhcRBw73Ty8l0+Fi0VP9vyM3QrhQys0TtPfinyfjK8QiZ\nWhHul11LE34JEZd6mU0MmgVVeIA3UPHh5Ru38Nr+k81kye+gyxwkikTTLFCPuB81VSRdL2FGFSHp\nuA==\n-----END CERTIFICATE-----\n",
		AuthToken: "nv4C8dhmSuFU1y4DaN7hFuSmY7B51Wbd2sA7gkIZLctsBdMajrzXrv8Q09WbOukN",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.196.88": &client.ChainedServerInfo{
		Addr:      "178.62.196.88:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDcDCCAligAwIBAgIEM9TbcTANBgkqhkiG9w0BAQsFADBgMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKTmV3IEplcnNleTESMBAGA1UEBxMJTWVjaGFuaXplMRMwEQYDVQQKEwpGb3dsIEhvcnN5MRMw\nEQYDVQQDEwpEcmVzc2luZXNzMB4XDTE1MDIxMzE0MjgxOVoXDTE2MDIxMzE0MjgxOVowYDELMAkG\nA1UEBhMCVVMxEzARBgNVBAgTCk5ldyBKZXJzZXkxEjAQBgNVBAcTCU1lY2hhbml6ZTETMBEGA1UE\nChMKRm93bCBIb3JzeTETMBEGA1UEAxMKRHJlc3NpbmVzczCCASIwDQYJKoZIhvcNAQEBBQADggEP\nADCCAQoCggEBAIh7ip4GEPcOq4hsOBY44fQJxoCeAWN0xUaqlschKGXhyUs4DVifxBit+flji384\n6P0weC5oHUE1PX34ftKjwSEm17OWwOcyz/5hcPOaS7GTKqt2enF4j8zTsS6RP4sbavoCxy2wkq/V\nF9/SKBhj0GycWt9GevBCK3hAJ/IUvZRIMegER7B7UILm3KNUgSOdBNITtmIyli6/SHNM7JP/v/Jw\ny/+AP4JDMSlE8VQMZ4jb4raKnNFPxIty4rJk+FOMFKSsS1gLYoeFWBjUijznCIbbWlfs7buwxw9o\nO451GgEih/MoIZfXRGtrIVCDVup/T8rqgygMYd8fcYizbhssZK0CAwEAAaMyMDAwDwYDVR0RBAgw\nBocEsj7EWDAdBgNVHQ4EFgQUFCg/OBAHSsrzxAWkV8kb+rNqaDEwDQYJKoZIhvcNAQELBQADggEB\nAIh3KMiBN3uXUDnaYNSl0O8irAxOUo9Dl7Qvd29QTK3nUSUbdGH8W1LlqPFUdJYIq/YLTAEoOg8Z\ncjwZwG5Vqi6UjuyXAnkUx3vXudYCAoVpkKohIp4JcGW7kx0ScgmuzM3Oy7Q/Odk4pFUiaAascLV2\nyRHj07DjRZpoe/D0aLbG4lrYt2nPCYiUrKHrbeGeroDcMHAQQ8XUikHCv2yDuJkI98yU8Jse+vZT\nawuo2r1vA03b0JYVTqrjSwWVpklGhJ2OcNezE60koyGxUXSC1uh2eqI+tZGPnaeIIu9zSrQs1GAR\nFE90AZbW6KEjwyvfLbeQw77kKI71rEiVKyu+xHY=\n-----END CERTIFICATE-----\n",
		AuthToken: "DNEvmMWPOaY3lt9kLLoq3a4E9XKbSdhcidu1jly7TXqh8RwQCznMvWDCRrnHcYaM",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.245.62": &client.ChainedServerInfo{
		Addr:      "178.62.245.62:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDhDCCAmygAwIBAgIEG9eEOjANBgkqhkiG9w0BAQsFADBqMQswCQYDVQQGEwJVUzEVMBMGA1UE\nCBMMUGVubnN5bHZhbmlhMRAwDgYDVQQHEwdEcm9wcGVkMRwwGgYDVQQKExNaYXBwYSBNdWNrcyBT\naGF2aW5nMRQwEgYDVQQDEwtHb2RkYXVnaHRlcjAeFw0xNTAyMjYxNDQ1NDFaFw0xNzAyMjUxNDQ1\nNDFaMGoxCzAJBgNVBAYTAlVTMRUwEwYDVQQIEwxQZW5uc3lsdmFuaWExEDAOBgNVBAcTB0Ryb3Bw\nZWQxHDAaBgNVBAoTE1phcHBhIE11Y2tzIFNoYXZpbmcxFDASBgNVBAMTC0dvZGRhdWdodGVyMIIB\nIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAs9UPPDzLqdcTg+SrW5MVmU4PGLmod1Ek6+lT\n6GaiUzYouf2BZdtmfdSAEzzVTvSt1lNmgRnr19bltbwv9ew6UBTBDlrwo/+Ij7RpVCvx9qRQ3RQ9\nrFxX9ri+mjMi/J1U9+dwQ8HWE7gETK8Qyq6VS/jyFXBuCiINbKbrOzuQaA+AXHJgiI3HxRHe2HrH\n10awGsVmrBGXuBRxLuGZdGDK7RPVaobMCgeU5o4F8oHGr9c1HBqaNYIvdm+F5Yp/E0x5pepDrTsn\n8x3pGSBmlhDY5RRC7CA6q/RBFQJdhraHX9M2bYAtXH1ymhhIkxvO5jePtz3E2ZDkWY7nScJXbadZ\nSQIDAQABozIwMDAPBgNVHREECDAGhwSyPvU+MB0GA1UdDgQWBBTPNYwRiawzNTDDelMzI/suP+UL\n+TANBgkqhkiG9w0BAQsFAAOCAQEAOvQaKooMfUqUW0GuvDX70LSxPFIwLe4AM1pbDfoQ+7Orbfvj\npyYKGypWubFMrzw7QQprfpn7fl5z+bNa9UWV9hTYLBNRpkjaGqNson6o2UUdSKY7CBgCqtMP1LZb\nYJbS0cr5xt2RbXhIuZm/h6N1pGdZcoRwL/Zscg45aCItAnrdUK4BI3OFHTJs5/LTOXyuSPXClQmR\ngUrt+7SRiHAzdHAGqqBd4g7rwYJJIWFIH/fz+8CEABYDbRCliH+CyFG1RUPbOumNCMcCLViDPecP\ngFwsWXEKOmH2geF1nda2D184K0egb3rYLQEuPn/ripmvF7UIZ1KCpR21Lr6b9fCVOQ==\n-----END CERTIFICATE-----\n",
		AuthToken: "6aaiyGn3jAenQPHfOx4SbpGlU7lS9NqHYEHA0jbMOJpgbAE5tstIs0CdMbyIrw7W",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.18.54": &client.ChainedServerInfo{
		Addr:      "188.166.18.54:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFqjCCA5KgAwIBAgIEb4j4NjANBgkqhkiG9w0BAQsFADB9MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKTmV3IEplcnNleTETMBEGA1UEBxMKUG9zdG1hc3RlcjEcMBoGA1UEChMTTnVtYm5lc3MgRWd5\ncHRvbG9neTEPMA0GA1UECxMGSG93ZGFoMRUwEwYDVQQDEwxQdWxscyBUdXNjb24wHhcNMTUwMTI3\nMDQzOTAwWhcNMTYwMTI3MDQzOTAwWjB9MQswCQYDVQQGEwJVUzETMBEGA1UECBMKTmV3IEplcnNl\neTETMBEGA1UEBxMKUG9zdG1hc3RlcjEcMBoGA1UEChMTTnVtYm5lc3MgRWd5cHRvbG9neTEPMA0G\nA1UECxMGSG93ZGFoMRUwEwYDVQQDEwxQdWxscyBUdXNjb24wggIiMA0GCSqGSIb3DQEBAQUAA4IC\nDwAwggIKAoICAQCUsZZRSl1DQzeizvCcT9e+sCCOzmEEuSr8Go3jqZ6s/i5s7ZlILsodo90lcRh3\n5KDenqdLJgdGsMev1CpOjlkRwxoNyeHyLS+WAaTaijJV4lOujH7YXYj3xGsn+WzCuAx1qN87GhDq\nhAKArGTXCP/og64Q7Vuw9iRWGG/el5+UL+P2spMY3G7BZp9mXv4E3vkTB5IlEhkEcPIYz+x2zife\ng8tKYjMeMP5myQKskIVc/PvNsllhljSPy1C+pISAizh1P5xm81eopkUrSdg7qqhp4pOIe/tlBzNG\nRX/5lgj92Wdk8pPx28ZZERTvZ+6gl/y7LPM4gpvrmJ3cTOCfqAvwNFJP7ST/1/tdr1qdLIIHy3OJ\n9t1HCrymAfkqGw9ZFpR/bLHuydKdCxX9xd6EQQnp6a3HQYbarkEc6mWyNAU6TKew68mNNQMXKFlO\ncB8pXfVVYbPFwriN5w854Td+/Vy6J5phDA66WuCMPgvlwA7hD4MPl1prIsXCRtk1n6A44zA9g2nY\nZKQwLxxt5f+owRIzHPv4hAm4NW9ptPRb2fKjjL1se1wcNbqA0NNSVz8VkYW6cjRDQPa77s+i2IJr\nDvPrmpgod/e0dOfhSMvoMwNAsMo+Bzp3PC2WIM2BLnjPoeQ2hPIC5TCrV4Ev+F8QuXms0je+cSVY\nHIQY46HKdqj7HQIDAQABozIwMDAPBgNVHREECDAGhwS8phI2MB0GA1UdDgQWBBQHzCeOunlDouQD\n4hmVlnU1ibT4jDANBgkqhkiG9w0BAQsFAAOCAgEAMmasFq8+fj/4qzS0Noy8l7CGWzQ2xKN7rkuK\nPrF1Px+tVbLlkpY+Ky4NZnyDCvSIa+LgwEkWCJeowBdI+25Y40HMjlnt4jBeeHMdThekAVwgUBlj\nEbTwvxkcmJFDZ3CsCmlyQrQbQ4vEy7fVP8NoqKfK2oao/CtwcNyJmayAUmyKESCr2G4GL/jIWLGD\nToZtGZRcFmahvll4Ndxp8LxLMlRsvgOtnmpM97rzJKMEIl6WhpZbIi1sqUOEfB6o91zqeZ8CzpLo\ndmCd/YlFqOA+pqW0d6IwD/ROnSRH5FZaxGXGqeasP7RlBblSvpEm5A3K4Wpeh63z7JcqI68MH107\nt0i4fWiDj3rPd3frWXGLH/zyYfebiTnr9woQhBBT79q0/zO+hfZNbaxejQ3ohuDLKdk3ZuDqhM40\n4sq4o9DwoYz06ZGrWxVzWMTOXI41/R3ClnoThX4s18lYqQrRQ+nnf4X6gV1ZB5Cp8O6xatZCnvQX\ne7mzzlViABLgOWlm+p+T+c6zNIy505zzi+0Vxb0aA/Ut/QCDekMfuTopfoYtQRiNegsG2nHGyjU5\nkMv+Z9sm8SMoAKC7ODAtLb0voNPLwnYu5rWq6U36VD0jtaHJmUnX+rtG8H5N3/X6oaF7DDGIv09y\n5E5ofDobTSQFPSAR3Qwl0aPpfVvlp/DUOjK8Umg=\n-----END CERTIFICATE-----\n",
		AuthToken: "AZoW5M9NoKaoN6HGkQetBokhXOTUbYENofGT2ewJpK7WR30au7FYr3nd9wb4NXiv",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.234.129": &client.ChainedServerInfo{
		Addr:      "178.62.234.129:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIICVjCCAfqgAwIBAgIEM+djUzAMBggqhkjOPQQDAgUAMIGWMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxEDAOBgNVBAcTB05vdGFibHkxGTAXBgNVBAoTEElkaW9jeSBTdXJsaW5lc3Mx\nIjAgBgNVBAsTGUNvbnN0aXR1ZW50cyBDb21tb253ZWFsdGgxIzAhBgNVBAMTGkJvb2trZWVwaW5n\nIFByZXNzdXJpemF0aW9uMB4XDTE1MDEwMTA0MDA0OFoXDTE2MDEwMTA0MDA0OFowgZYxCzAJBgNV\nBAYTAlVTMREwDwYDVQQIEwhOZXcgWW9yazEQMA4GA1UEBxMHTm90YWJseTEZMBcGA1UEChMQSWRp\nb2N5IFN1cmxpbmVzczEiMCAGA1UECxMZQ29uc3RpdHVlbnRzIENvbW1vbndlYWx0aDEjMCEGA1UE\nAxMaQm9va2tlZXBpbmcgUHJlc3N1cml6YXRpb24wWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAASH\n6QiLFuNiu0EPOTzCvOYxHIIiwmwSSw9IVDJk03w1nByeGt+hJYfAyBGL3XyODKPeNVkRjSASoeru\nc4SJZjN8ozIwMDAPBgNVHREECDAGhwSyPuqBMB0GA1UdDgQWBBQYzK+6jMyvMau6ZQqICULT99OX\n1TAMBggqhkjOPQQDAgUAA0gAMEUCIA+7Nmg+5hDcF6q1Zc953zshT0lsiO1cmUlgiyHanlosAiEA\n3UfpD0MyfUz0eSeCvYs8t6LPS7B8SLgWjPHFjehRCP8=\n-----END CERTIFICATE-----\n",
		AuthToken: "uaqFb7QT2eWTFFEhZ5TCLuyKwMT4ifIvE5f3XgtL6yqe3VTnYsURgv3P7WN6kw6r",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.215.72": &client.ChainedServerInfo{
		Addr:      "178.62.215.72:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDbjCCAlagAwIBAgIEJKZqsjANBgkqhkiG9w0BAQsFADBfMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKTmV3IEplcnNleTEPMA0GA1UEBxMGQnVja2V0MRQwEgYDVQQKEwtTb21lIFZ1bHZhczEUMBIG\nA1UEAxMLTWVnYWxvcG9saXMwHhcNMTUwMzI3MTM1ODM5WhcNMTYwMzI2MTM1ODM5WjBfMQswCQYD\nVQQGEwJVUzETMBEGA1UECBMKTmV3IEplcnNleTEPMA0GA1UEBxMGQnVja2V0MRQwEgYDVQQKEwtT\nb21lIFZ1bHZhczEUMBIGA1UEAxMLTWVnYWxvcG9saXMwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw\nggEKAoIBAQCH/GFOsHxf5T791BLa1Q/Ve/Yfnh0G1xDeyXcjKqQDoYtmJYG7drTRAlq1uMwB1gGq\nM4ECaSb3+xc4q1NUIZ3IWOfVRCydyalqEQCiStnDAOghUjktXMfw+4GOfoxjOUhGrA+Pu0TsjRaY\nmawV5GbgoDYbKloNKD9Dux61Ah7AsXuisn28QP5J72dajJiI6eRGfv10YuxHfPKBnwkoTDzRrKH+\nV2Lby4JGK0mBaa9Qwrh6uRk/QW4+l2z7Dvbf57HVtwVvxYvekS4GHGlWBjILSA887qHzAvcSOOhV\nWyofGUHf33p8Tu8L8cJhha90/LvV459B9xiVFRMgJRF6TtbPAgMBAAGjMjAwMA8GA1UdEQQIMAaH\nBLI+10gwHQYDVR0OBBYEFLG7rK067IQmVnw+IsUSHM59qtJ0MA0GCSqGSIb3DQEBCwUAA4IBAQBo\nM0MOdhCJP55s9fkvrQol2itUnQsv1Pxg7fLm9d5XjtAoqRfUraOM+SLDVqUXDx9zS2bDliCEGgHq\nYUVDvytJ5bn2xNd7YVJPf8cBwk39svdoJ6igWWBi5XSB6gaEcF3sUsVGde2b9DTWrHRU4TivorCo\naPfBWzBrJSdMxM5Huf8L+PUuyeyDmQoN6aHLrDq7UN7VlnZ/o/oFcFFTIytuoBhQBcb/M/6oRl1/\nvdvv7360qo+TISbenX4Z1TvWv/Db3TJCcXhqA+ZHwUpz5guDln7xNJ9whFGU16OoPWgS9ekgt8Yp\nuPQJkoN6AiYqzKrU2+PJlI803DtYUoPiq/ld\n-----END CERTIFICATE-----\n",
		AuthToken: "3fyA2ZhX1O4BByspxBfTpSRJ6Znfynt3OpuOE7KDb953FKPlW1rYr7cKMP9VcDVZ",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.19.6": &client.ChainedServerInfo{
		Addr:      "188.166.19.6:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDYDCCAkigAwIBAgIETMlqDzANBgkqhkiG9w0BAQsFADBYMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxDzANBgNVBAcTBlBvem5hbjESMBAGA1UEChMJRnJvd3ppZXN0MREwDwYDVQQD\nEwhUcnVuZGxlczAeFw0xNTAzMDEwNDQyMzZaFw0xODAyMjgwNDQyMzZaMFgxCzAJBgNVBAYTAlVT\nMREwDwYDVQQIEwhOZXcgWW9yazEPMA0GA1UEBxMGUG96bmFuMRIwEAYDVQQKEwlGcm93emllc3Qx\nETAPBgNVBAMTCFRydW5kbGVzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAp8M1cTae\np94qRj2lhm54Lu8549hObUdRF3TZ+f9fz9qQS/diFYsBWHcwOMr5Kidr2hWE5WrlNY6lKWm2hA5i\niupJjqwVCNngc70wjugmMgZdQCdzOvI+Jr6BAFr4ai12/Wh4i8zvmnMfJuY+yfijiSstd5bv7ka3\nRSXZGaWZpx9H2x1fMHBSS1XShEXuIrh2alcH2I8jiWO0vRvP/Zy/KlOS4Asfn06L6vq3BvtzmmaT\ngZQ5QLcNglCe6KQzx4LjwK0eKMKDJVRHAshxakouJ1HTEnD2VZt32H/zA7BFAOJY04CbjU+XrZDi\nsoiToZTVzYvHpru/k5vGeuNH0CKIrwIDAQABozIwMDAPBgNVHREECDAGhwS8phMGMB0GA1UdDgQW\nBBQVyjiDU0icNb5Mzm8okdGjmrB3HzANBgkqhkiG9w0BAQsFAAOCAQEAgxrA28KZjkV/00tk+Ael\nTkMr4yzDv1Azl1IvBAgX6eXYSCmiMxy75Y1n5igrIL3AUCG7xoe7Ybuig3IvK8tMcZSaYVV+Yp83\nSdB0jIiGSEuF1veb/vekjVyvXd4EvFry6AeX/+oh3HhGBVV86JEjSMo4pJ3n0BXvGzWiR6zNi/QE\nRxnabnEcIfSeZoNOL+i7ScA5f7yy/5Z34eS0zw2rlwGJq/0n++0iRBn/LeL7HFqoR3Yvm/DWayCT\nqO9/+N5mofRsAHUfwIvVRrQbnU2K7Lxm18HGK8+rB6magvEXu/a8isDMgq8dfBxJ7VMJtLmEoxfr\nq/R38z8KsuBfLaeOUA==\n-----END CERTIFICATE-----\n",
		AuthToken: "ldA8qMYI3lmZ60BeGKLvCBY4knG1mVxXFdgIfDsUAIA1mPtN6uyyDeQqmDQtiWU9",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.4.202": &client.ChainedServerInfo{
		Addr:      "188.166.4.202:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDYjCCAkqgAwIBAgIESDQ9WjANBgkqhkiG9w0BAQsFADBZMQswCQYDVQQGEwJVUzEOMAwGA1UE\nCBMFVGV4YXMxFDASBgNVBAcTC0FudGlxdWFyaWFuMRQwEgYDVQQKEwtTZWxsIFdpc2RvbTEOMAwG\nA1UEAxMFUmF2ZWwwHhcNMTUwMjEzMDQ0MzQwWhcNMTcwMjEyMDQ0MzQwWjBZMQswCQYDVQQGEwJV\nUzEOMAwGA1UECBMFVGV4YXMxFDASBgNVBAcTC0FudGlxdWFyaWFuMRQwEgYDVQQKEwtTZWxsIFdp\nc2RvbTEOMAwGA1UEAxMFUmF2ZWwwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCTS8K0\na01v7I9ESZ8fn/ccdgZ3tXdZf4mNIrjyMvYAWFbk2p6cvOv2UM90UBR63/yRiVRZcnkTkOiybd7W\ne7/tjetwyJsb0oQ1iQpJRbWkXqBdOOAh6FH+t7KLb1l05Wvulx+xEH5ZZV0fvVrq6XJQ+kWuIDa5\nxCv0LrsbOegLOIWHgIs5dcp21srgO5o0ECPXwFSUWA4sRRW4+AH8UrI4z+jVJwXrXUt0fupJfyJQ\nhw6Y36KdQHQfmpl2ROQwspChEHAvBZ3FTEGaxZgKt1DBHZKdLiljPsxOWr8M8yT600+oQCsY7W7U\nu5ozJCNJQWjlXYt2AWiU1+6Dv/PpXFUlAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLymBMowHQYDVR0O\nBBYEFAzFv6/K5TgSIfg1LrifmW+LZ7AkMA0GCSqGSIb3DQEBCwUAA4IBAQAA3vndg7qYC9OSDNhb\nCPZCQjBqejzgtrbAva2LEd4O/t81QTJ3P8rdGlkqelxFFqbHrGPco2M8xLhcMDJ7vt7aksVh/ihQ\nV5Zlp4jfZFJrzsrST9XjQqqINdkur8oMEE/a1Gt3etDXLcut5gcX3ksdgaHr7h+Z1CXdjoNLFI1+\nGxi1JLj/bmoWCQzArvyPVIgPnL4kdW+n8SZL3L9oL0lR42498pxJKTcka7Tj804+fUUEo4rYal7V\nHb5PSZZQ0AZCgeQiziuUU6Inu6n3TxW7xrVePJU6eI1amzZ6Fgaq1AqL9Z0Uc42VfOEl3AO3/cce\nHAe5gnvtYwZGVxvJtqHe\n-----END CERTIFICATE-----\n",
		AuthToken: "DX3LbGcUXULuikumuC6lx2uMFQiJ0MvqFE7DbGALomsXMio7TzQLUzDvJJTE7Zwt",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.21.122": &client.ChainedServerInfo{
		Addr:      "188.166.21.122:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDBjCCAe6gAwIBAgIEZCQQHzANBgkqhkiG9w0BAQsFADArMREwDwYDVQQKEwhSZWRlcGxveTEW\nMBQGA1UEAxMNU2VhZ3JhbSBDYW5keTAeFw0xNDEyMDIwNDQ0NDhaFw0xNTEyMDIwNDQ0NDhaMCsx\nETAPBgNVBAoTCFJlZGVwbG95MRYwFAYDVQQDEw1TZWFncmFtIENhbmR5MIIBIjANBgkqhkiG9w0B\nAQEFAAOCAQ8AMIIBCgKCAQEAw8ptwVkFfmzrMwNtnOU7KrAqGqK+Y0HE/0zkO5NgrEew/jAW1d1C\nMye3xKTMZv4ZKs61vlMdEjm9n36yOOR+HJKjQ4XV+GnGsQkLADZT4O23G2G3xat+CW9/MR7/P0HW\nyRw0qznCdBLrkzJykHz/9Qthtb+idniN08iXa+ai8URQka9ZJ8yZIEA5cuQZIE94uX6gWWRFkneZ\nZ763wcFJRQKlbJnmdLszitn27lGznwgDKlI5KS52EcAK5ESrz8gcdD4dVvkOVjQPncKtAhTxQPSt\nJ2mrN8G+uu+gKiduUntMu7te5qJgQhk20ED8dv2nxDJdH9ah4NWY5DGLzZvjVQIDAQABozIwMDAP\nBgNVHREECDAGhwS8phV6MB0GA1UdDgQWBBQxpsOQNOyZ6FeYSP7F34isPsynDDANBgkqhkiG9w0B\nAQsFAAOCAQEAr2O3ZGr8uDpSXpttL7hlUI4VxNhV4KFusjhJR09UGs7dCWIvqqVDFc9NcayklNcX\nrQL8u1zdVAWnzLBYfopgAvfCpfylfvcaU4aOyZf13oRUBIJNgnFlBP5dDc5UPTrbB81WxVJdZPRe\ndPPUblw5V8ufEUg4zfJORmJpYoGjn08UXnRaeogL/OxT97/TgqSUVBla5bloYrA0z06CdpcHaRiP\nRJqTDjEZch8NconRJbOQ/9aojMxjAQZDy1UNL0RlhsyGbnBSqqcPHPtKOxYzcHQz7v4GHw3+3ySD\nZf1ex7z5EpFu2+MP2QZHnONmF7h269QLfaBHG+HxvKLyLhJyrQ==\n-----END CERTIFICATE-----\n",
		AuthToken: "ycCEozgg2VVCFyUb1doZYVRXmH4WRsAMgmmsALDrpQ4RbirO91mZMeom0Z0DZMeu",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.218.162": &client.ChainedServerInfo{
		Addr:      "178.62.218.162:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDpDCCAoygAwIBAgIEbeI7AjANBgkqhkiG9w0BAQsFADB6MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKV2FzaGluZ3RvbjEVMBMGA1UEBxMMVGVjaG5vbG9naXN0MSUwIwYDVQQKExxEaXNhcHBvaW50\nZWQgVW5kaXN0aW5ndWlzaGVkMRgwFgYDVQQDEw9DdXN0YXJkcyBQZW5ub24wHhcNMTUwMTIyMTM0\nODI2WhcNMTYwMTIyMTM0ODI2WjB6MQswCQYDVQQGEwJVUzETMBEGA1UECBMKV2FzaGluZ3RvbjEV\nMBMGA1UEBxMMVGVjaG5vbG9naXN0MSUwIwYDVQQKExxEaXNhcHBvaW50ZWQgVW5kaXN0aW5ndWlz\naGVkMRgwFgYDVQQDEw9DdXN0YXJkcyBQZW5ub24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK\nAoIBAQCUENohtDfuRlILp68l2dm5UJV7ozNe6Q7detMIIgNsvOF7A/0VtfpHe8Rcma0aX7g2r1vS\nbP9n+Wj7mXk/8WJW7JYmwhqTJUVJF3irDgSEemAeLPPiC9LKrgT8tet+eR9hPtzzrAXsdPnkY6LX\n4jXxqF6i4NJ7y4Q3aSmXJ09HuyCCo2XexrL0hroETF03SsSHgBIzIrEKhAILY+9zwQ9GC6f4cTp+\nil9VzqaKY8Mvy4REm6GSNhQU+YQn9ZAbpLFMO7bKRIdkEb2fHYTn1OswoSrN+8vtYOfL5fE0t/Hh\n08Qnl/ShrpDOme68Ei09HMIIt+vApiTLzvH+omorcB0RAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+\n2qIwHQYDVR0OBBYEFFUqYuJqKxPaVIMrVl2rO/ZLTqLyMA0GCSqGSIb3DQEBCwUAA4IBAQBy2Tem\nBcEpy7eoOcIUcbNKkiDHCC/eyzvSL65IC1+NIL4VL4ES8XpWSlDvx4sHiCAi204iH/b6CfEektxt\nq0a8jr6y990XCBCkTdTJt1rJ634PKQ1Tnx4vRgF2RE6ApuqNI7X0WZDf4eBG1ZrVrA12vrUxXmz5\nZ2MIRX8pVNmPaG29FHuzpm0aKsldQIONwOIzt4A89NYw1nh7yIb8kCEL2HoQzBlWjDiqtTmxSZ0P\njiCMW1xPe7kZAHAQyTUGKFbPVID73du0aHuzXuXcU6q2hqhgVaMbvjuBYkeJ2dg2c+QfakrUf0MG\n5K7e8624Vr5lVMJfjUYZ3clhpOi0g23e\n-----END CERTIFICATE-----\n",
		AuthToken: "ONjnq1zsso1JTlEoJQ2xZN4Ln6fZVOmmxO7lodOdWJuDdraxCk1yDL8bWy9Rt9MD",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.55.167": &client.ChainedServerInfo{
		Addr:      "128.199.55.167:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIC3DCCAcSgAwIBAgIEWaawgDANBgkqhkiG9w0BAQsFADAWMRQwEgYDVQQDEwtTdGFnIEJvb3pl\ncjAeFw0xNTAyMjYxMzU2NTJaFw0xNjAyMjYxMzU2NTJaMBYxFDASBgNVBAMTC1N0YWcgQm9vemVy\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAtcs+OguWB9sK31Obv3GkBo++xy9AfiOi\n1v8dUVpqRRsY0iohuxpm715kFK+A1lVxZnv+aLdOnOlHbXq3n3FQLQpw0kXUfeaJSH3UFPh3QTzk\ntlmMaTazvjpLHdADOoqKA2JkZDw0a+PfCi897NqS+wchN8XXBPmMWvh7UKQTaBlOW6wAlampFvaP\nn0e3nSplQlkY73kZCbrmjCwtEKvtNezNko9yv2i30lNP3p7dgT3whiC9+2QklwGEf/ZNr7cX2iLb\npzTqZ24D1OFsk9JuX/VgAVKPVwXsFMfW7VPaNIZiNMRlA69QaTGe6zZqHcIbW05UgY2iL+KB7Nu1\nxcvcxwIDAQABozIwMDAPBgNVHREECDAGhwSAxzenMB0GA1UdDgQWBBQtjxdJqU/haAX9i8wBCgb4\nK6Dv1jANBgkqhkiG9w0BAQsFAAOCAQEAX42g9lM3bqFQ/GkMj9C1deRiRL86yOw+ADniE2nIwb7V\nzOcRwnnlY4njrdX41rSKsifQFY+CVTah/8Rgu8SlvOyf+5rRJ7otecW+NZSzG8IqDKvgpICPUSl6\nicUOZfHprSZ6Fu/ApyhDHhJ5IZQPvO32fSfuCIygEx4lqraRfVEzjbUGLySx0VXKFg9u/y7D/2+P\nlklZNiGf2Ao83wTJr/Ia0H5zLYyinjtEzexO6raBCaIjkxR0E7KoJr5/NZpoZGJqkGaebJd0i4Ol\noaiZncVyfnD/aJmhi14ViTms7oDgwJ0xI00XCs/FTgdQCfp+O3pUKvQ9VYgDxOz4fIAd9Q==\n-----END CERTIFICATE-----\n",
		AuthToken: "MeE4znJmIOSeOUeBMSYoYcw61lOKgRCgGYXykuhkLDERBcsM5QwIaoRnvlD7Jvkr",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.245.182": &client.ChainedServerInfo{
		Addr:      "178.62.245.182:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIICGjCCAb6gAwIBAgIEB3ofVDAMBggqhkjOPQQDAgUAMHkxCzAJBgNVBAYTAlVTMRUwEwYDVQQI\nEwxNYXNzYWNodXNldHMxFzAVBgNVBAcTDkdyZWdhcmlvdXNuZXNzMR0wGwYDVQQKExRFdGhlbHJl\nZCBEZW9kb3JpemVyczEbMBkGA1UEAxMSTWFtbWFyeSBTd2VldGJyaWFyMB4XDTE1MDMxNzE1MjE1\nNloXDTE2MDMxNjE1MjE1NloweTELMAkGA1UEBhMCVVMxFTATBgNVBAgTDE1hc3NhY2h1c2V0czEX\nMBUGA1UEBxMOR3JlZ2FyaW91c25lc3MxHTAbBgNVBAoTFEV0aGVscmVkIERlb2Rvcml6ZXJzMRsw\nGQYDVQQDExJNYW1tYXJ5IFN3ZWV0YnJpYXIwWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAAS0PqEc\n2+cPc9f05kyZQA8/WHMJv5St+irtBwslRj647D6baZpfPW5iF4oOnV8LCTHQhfS4u2vUWylPChTx\n7873ozIwMDAPBgNVHREECDAGhwSyPvW2MB0GA1UdDgQWBBSoPLL3KQVW+VBXRdp2pNKbpTegmDAM\nBggqhkjOPQQDAgUAA0gAMEUCIF7TrM0VULygcDCCkC188UEIZ/vJm3afPRjUoOVcu48uAiEAg5V5\nL746tgm+87+TL0ObprTZJaazVceSBqa3hffBhsk=\n-----END CERTIFICATE-----\n",
		AuthToken: "Vob2h7OsZmYtSPo9SMxXH8VV94tA1mSwHGBWf4aGj5XlIkzsRCHByghyylpmMSsU",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.195.239": &client.ChainedServerInfo{
		Addr:      "178.62.195.239:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDGDCCAgCgAwIBAgIELq7IUjANBgkqhkiG9w0BAQsFADA0MRUwEwYDVQQKEwxIYW1zIERpdGhl\ncnMxGzAZBgNVBAMTElJlY2xhbWF0aW9uIERvcnRoeTAeFw0xNTAzMTMxNTE2MzRaFw0xODAzMTIx\nNTE2MzRaMDQxFTATBgNVBAoTDEhhbXMgRGl0aGVyczEbMBkGA1UEAxMSUmVjbGFtYXRpb24gRG9y\ndGh5MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEApErSQ7mgOjz16oncsnQTFcrSI+bg\niv2kq1AaKnXQnDQbtTcFR8ahh4QUb3hoWyfqJBDEh+xiT1athT2JnerbWZaPDkqFXBF4OJRX+Fxr\n0jz/QLp+tBD+S0NE42iDqYLRktOWSNkAdK8D0fT89eL6ZCJdkwWgOLhzkQuGgkt6Bb8Qx7EY/9tQ\nLlFKzI6llkKlE8BUyqf4J+St7wXBH8HWDuMcf9h5Q4yb1h0YmWcZh8KGVadhecFTIBaxDx1VHMqM\njBXydEbtQsjFD9b3kQFiWGihFS8/YeezMtyYGGIqcekxNgQsimzyh6X68U0xl+2rqCADW2lfhD8J\nRAjqM9tdFQIDAQABozIwMDAPBgNVHREECDAGhwSyPsPvMB0GA1UdDgQWBBT1yIaXjAc9UaQrOH0U\nVc3mzpQfazANBgkqhkiG9w0BAQsFAAOCAQEAloCjHX0eoFkgDwthMh0pRD/NOhoUyskVf28uQmH1\naMI0TtkrjoMtwF0g8sd/Wjulp2YwrT6zlLV/4PRtHyY/4qZT5qaXf7DUHgEDAv2bnupIMtRjj/g7\nDm/zRiTwZgEK5wnhM4qGbRDCwn57gDIyWBQpcNHdARNw+v5I2+wAh7K2OW9V3mC2Id+tbwfLqECj\nvdYjczjRKvQZ1bO26HGYB0Y1/V+t5BxII+oF26m5XaCS3Em6F/Bkp1hbccIu0WJK8+t/SfP7ah4e\nbHxmAjphxxkKhABU8BEs+PdPDNrj90Q0hy1lZgsN0yShrM90FLx/iI/6n0e4Tb1m/H8AOIYyyw==\n-----END CERTIFICATE-----\n",
		AuthToken: "J6otKsYtVfVFrzYTPJxyOqxiw6qLJ4AhKZpRUUxdzjeNLswb7XBAtp3dc3yHu0FA",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.60.45": &client.ChainedServerInfo{
		Addr:      "188.166.60.45:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDxDCCAqygAwIBAgIET2m9HzANBgkqhkiG9w0BAQsFADCBiTELMAkGA1UEBhMCVVMxEDAOBgNV\nBAgTB0dlb3JnaWExDzANBgNVBAcTBlVuanVzdDEaMBgGA1UEChMRT3ZlcnNwaWxsIFJlYnVrZWQx\nJTAjBgNVBAsTHEluY29udmVuaWVudCBOYW5raW5nIFJlY3RvcnMxFDASBgNVBAMTC1Byb2Jvc2Np\nc2VzMB4XDTE1MDEzMTA0NDYwM1oXDTE2MDEzMTA0NDYwM1owgYkxCzAJBgNVBAYTAlVTMRAwDgYD\nVQQIEwdHZW9yZ2lhMQ8wDQYDVQQHEwZVbmp1c3QxGjAYBgNVBAoTEU92ZXJzcGlsbCBSZWJ1a2Vk\nMSUwIwYDVQQLExxJbmNvbnZlbmllbnQgTmFua2luZyBSZWN0b3JzMRQwEgYDVQQDEwtQcm9ib3Nj\naXNlczCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAInJxkB96nmDZZW19FlmEKj8UX+R\n8zT/+CxaavcKrYixOEERMDbFlnFND6RXwYt2fdgKTwCloabn3J9I8lmssfF19vWhzC4iyp/scEks\nn6YLA8A60/ZQVgcWdF9gu8xvx2sJHOZqZN96s7b3N26rfRXO8NUd2VUzpnak5LMkekY5taWxoy8g\nY5DyjvBMPkiGi6iD6zxjyRywvcUDMLhxhNBvTDxSYCYGVK+mHBnr2b8c79ZzwFJ2mS9PfKUT4nEu\n+TRjQxDBZQJu5HzNJhfwsFfVftN5T1YD+BvqME0zFgxknq9/AvWmaB8o7mRrMgKrhP/4ag3op14g\n27ng3tMEqXsCAwEAAaMyMDAwDwYDVR0RBAgwBocEvKY8LTAdBgNVHQ4EFgQUXbLkYV/t/S+jU+d2\nrfPtCPAi678wDQYJKoZIhvcNAQELBQADggEBAF4kbIZP26wVNyfdSdFMXrKZ4RXOtrl4PbkQZMyp\ngTJY+CVwzZqp7ILSGd4R12ufucwlMs5O114BcjqS0Q2j3BfnHvcYOG8eWTbpMb6wbSgzZ5doi/oW\nNzNezANVJF9ZUHaVGR7LgbL2raAzqFiBaqMs7u/956mdqtAKhdYxcHpWydxlC01wKcO+jSdFqIK8\n446Y81aMoI3ByFAMmujETuv2FVZ3lyFGh7R89TUA/tp9YzPjLxNkHxzvr7ZecdxTmckuYcNnOaq4\n7GkzjqE6CSOY8eqwP/gB7Cq2cY00Pb7Ov/N2PhqMGvvwvuuxaiTV40O+1HGxDxBK6sx+pKi470s=\n-----END CERTIFICATE-----\n",
		AuthToken: "0HY0bazFESHovhTH5LvBqrMb80SBIQFY28ybLQAWqfXHqlr7JcqoMXirWnjlXE2q",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.212.244": &client.ChainedServerInfo{
		Addr:      "178.62.212.244:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDhDCCAmygAwIBAgIEcjFreTANBgkqhkiG9w0BAQsFADBqMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEQMA4GA1UEBxMHU2FjaGV0czEYMBYGA1UEChMPVHVya2V5IEFlcmF0aW5n\nMRowGAYDVQQDExFSZWN0aWxpbmVhciBWaW55bDAeFw0xNTAyMDMxNTA3NDVaFw0xNzAyMDIxNTA3\nNDVaMGoxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRAwDgYDVQQHEwdTYWNoZXRz\nMRgwFgYDVQQKEw9UdXJrZXkgQWVyYXRpbmcxGjAYBgNVBAMTEVJlY3RpbGluZWFyIFZpbnlsMIIB\nIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAz6T9Gmu0a376zp3NXFzTyVdolKYjSIWuu/Go\nzRp2Q0xLeGBoWcQvTm8SRuioJuSom7Ms18voZ5cSlDXUtQmewEuj6znEF1pKZCn9psNggO4Fn753\nuBJHcoNhFXbVrOEJnWqc5QTHXt8pUNOkODDTBSovOvLW4inB1VUp2tsy120x2zoJckp/KLJ+ViTr\nxvyy+uo0YqmRjO5nXpFbPax6j+pyjxsdi0f9lOxoIIz2waIfvRHoWYqKjlEYNYGkyAB6pnOeW4dZ\n/kKlsCMaf3GZw4YyWCDtvnELtRAXupvuYD/zJHsbcI2J6WuuA8aYAQJHRHhvGqb+TlQLYhx74Vb1\nwwIDAQABozIwMDAPBgNVHREECDAGhwSyPtT0MB0GA1UdDgQWBBQfDdnQAx8Dd9vgXQc6FDZ+NFxv\nDDANBgkqhkiG9w0BAQsFAAOCAQEAW73a0bMLTOb6f1CedTa0CLsk+42kzHs0nWgyo8+vTRdTVaFz\n/U8DCCX8MjKxwDzPSHoIpMWFf7NfUO+9rmeWF0LeQxf6mXO/+BEnAOTkWp+VQmdaqnyz3FX/ll0F\nLApzrPazK4vc6VpbGaTmvjs9HIkAgUB63Ntta2i8Uy9zaXEVZng9E8Z5oELJSZf633bsSdvi0+CC\nahRCQaj1UXTYzR2XKzeO4m5CpYwYWKDhYRK0C1b0nmyK2w1Z6DjwTZTjRbYE+QDfQAXTi8Ap7m5/\nWONi4oExpwRDcPoheOdwSW/m1Bd4NK8yBzqng/ZvXdfJiggvHZ226t74V8/LwNvDow==\n-----END CERTIFICATE-----\n",
		AuthToken: "H3e2d2t32F7HRo6qvTwtnGuaYujLZS8QaqwxzjurWL7WagFfzpIakf8ZWuDHlAZa",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.247.211": &client.ChainedServerInfo{
		Addr:      "178.62.247.211:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDjjCCAnagAwIBAgIENKtAezANBgkqhkiG9w0BAQsFADBvMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTELMAkGA1UEBxMCRmExIjAgBgNVBAoTGUFscGhhYmV0aXplIE5vbmRlZHVj\ndGlibGUxGjAYBgNVBAMTEUxhbWVicmFpbiBNb3BwaW5nMB4XDTE0MTIyNjA0NTcwMFoXDTE1MTIy\nNjA0NTcwMFowbzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExCzAJBgNVBAcTAkZh\nMSIwIAYDVQQKExlBbHBoYWJldGl6ZSBOb25kZWR1Y3RpYmxlMRowGAYDVQQDExFMYW1lYnJhaW4g\nTW9wcGluZzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKujKjhoZUQmd+CeAuAhUVPA\n04RkPc9T+wzRZH6OItmLsH42o7HOSBrc2/O4sKLZGn6ytPYu4Bbu0/cy6Qf8n/rINGE0O1tCcY10\n7w7jiI/XclssHsJoSDQa0jP7pPIU1YW6BSnJsv0F2bE1KtBwcVIhJkuWLVL1NQYiQmGfyyGamkSQ\n7AJApsSJiWR+E/hP1ykh4vBRrnkxxYwcP4vpzLwyzUr1Qg2SvkaCGfQsgEPeiw97LJRpKvmQBnNc\nsl+rljy3U8OFBPrrwgdW/SNm3Ebk4KZs5IV8eme3QUZaL7GnxwP2LqpX12XV5UbLZ04zBR7r1pTY\nd9RJqBdx5KKretMCAwEAAaMyMDAwDwYDVR0RBAgwBocEsj730zAdBgNVHQ4EFgQU9Kb0DS4jjrQH\nxvOOz/pmIW0vdf4wDQYJKoZIhvcNAQELBQADggEBACtuVeFHJK7xvUWazkpv8t1kmy6Uupc0oO/a\nIElTFJ/NsRgl7iDuz+YLCpHBOHV+bSozTjwdQQPItMDhwryzlpoKmMb0h4ZxEXHZIKm7qa9o5+Fr\nJ5MSyw4YQtLh1eTAtLOmkPWRortarMc5VjyZtlF8mLGsxk3/tGQD1PtuImMfxkkjtK1eftN/QYU8\nrc72NCB4QeSIT5N17jQbst9NO5VNkAzHhifBs2xJycQW4e2MLYZA5ML3/+7FtUsQ9g7AubYvHbOJ\nyHkbe1HX8AdnhwLGSta7hZT6EJdvH0wb+psv1RyfanundaKy+1/Fi6npBc+APcc6/5dT+lM1At05\n3y0=\n-----END CERTIFICATE-----\n",
		AuthToken: "bPz33Uel5Yvib10cHygHyrAIEKOCXZJ8E2iNl66EMxWpxT7nNWSH0IscdjxBV2EI",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.25.97": &client.ChainedServerInfo{
		Addr:      "188.166.25.97:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDfDCCAmSgAwIBAgIEIDpwVjANBgkqhkiG9w0BAQsFADBmMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxGTAXBgNVBAcTEENvZXJjaW9uIE1heGlsbGExEzARBgNVBAoTCkNvbnRvcnRp\nbmcxFDASBgNVBAMTC0h1ZmYgU3B1dHVtMB4XDTE1MDEyODA0NDcxMloXDTE3MDEyNzA0NDcxMlow\nZjELMAkGA1UEBhMCVVMxETAPBgNVBAgTCE5ldyBZb3JrMRkwFwYDVQQHExBDb2VyY2lvbiBNYXhp\nbGxhMRMwEQYDVQQKEwpDb250b3J0aW5nMRQwEgYDVQQDEwtIdWZmIFNwdXR1bTCCASIwDQYJKoZI\nhvcNAQEBBQADggEPADCCAQoCggEBAKN7ayO8etudRVnSHiTPCQfClDTWx9aIBOjdq+K8CUM0cAne\nJfGQprkzmhlscv6SbrnGdoW8A+QPeDZJnYWN4UUcLvfWibrsldrOqpEgunkAkkKx/suNdta139wd\nKzIN1yAJZNrHL9Ngb2yV6Cj6eVU/OFfg2Un+urvTIaQbMy9AWvYXjMgvNvk5iQuzv04wo/RJWbqg\nHLLsBoYZVfqfsby7lurnQd5ofeH63WQqjJWaZ3jJQ/X/vgoN4KO2ghMPQNOPkEGXK0WUqMBSszsB\n1CxSByuZ+2XRaREawx+mAk+095oSAr2sURSWqZ9uwGUs3w3aGFQQypVNrtVJcSdnhN0CAwEAAaMy\nMDAwDwYDVR0RBAgwBocEvKYZYTAdBgNVHQ4EFgQUjB5jYVCNfdPK4O7mx9E/jmOjjc0wDQYJKoZI\nhvcNAQELBQADggEBAJy/nRa+ekO6S4pEWok4j7RMh9GoV4rEzqUELyMFvn1nBE5Lsc8kqUgppeqo\nErYqgru4ASkUAvYg61sUzeiIELsbQbwyfhqjKLkn4wxWziATXTIT1m56Su8kQhhoxCTqcHG26fzP\n0noScIhdEdv7liT/rDJm5+bkXGEKb1c67KWhmUKH//PQ/ikV/MUB6dJDPWdkckMyvhSxC9j4TmWS\nn1VrPV/xJ8E+nl1vRVIrMfWuMXZqamR+Wd1pEiSQLRNHDdWT1UlMo8J8oJ6Z6hOZTyVtpYXE9AlP\nOuSYZkRanTQfArzhFNiEbO2uTO/193so1YKd22FZkPAI8813tsTuJUo=\n-----END CERTIFICATE-----\n",
		AuthToken: "1Q73hjAsQZWXLG6fP1MZFU9MGOKKmPBL7co2hXY0ZL8PoikgOarSQRvsjskbiQiv",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.197.103": &client.ChainedServerInfo{
		Addr:      "178.62.197.103:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFnDCCA4SgAwIBAgIESKPnlDANBgkqhkiG9w0BAQsFADB2MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEXMBUGA1UEBxMOSW5ub2NlbnQgWm9tYmkxGzAZBgNVBAoTEkFmcm9zIFRp\nbWVsZXNzbmVzczEcMBoGA1UEAxMTRmlzaGVycyBBdHRhaW5tZW50czAeFw0xNTAyMDUwNDQ4Mjda\nFw0xNjAyMDUwNDQ4MjdaMHYxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRcwFQYD\nVQQHEw5Jbm5vY2VudCBab21iaTEbMBkGA1UEChMSQWZyb3MgVGltZWxlc3NuZXNzMRwwGgYDVQQD\nExNGaXNoZXJzIEF0dGFpbm1lbnRzMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEAoZ78\n5BiRLOfWZEe9N+OVquVWZP2IW0McJKJ+5WrJovUeQ7Mg+GDMxagJQae/LYw5UgB+H7/D0x7dVUYp\nG52Tbnz878svUCZoEpdXstzGgkd+/s5oCSPOrm0h/+z3ZyEuFp/eEJoTycQZtY5nUOscs8plMYRR\nDYQ6QFeol2gq0ob9mj5WEl8PEdgPA92XABdtLS1oCO+d0pOgl064wbrPszjqla5WWbo4PBbLEGhb\nLDXpSkB6GU2MJA6BkWTdjs6/+v6CbsoL42UnK8hlZqiEo+FkEnXk4SlpR3UTR5dgxdxTGqp4Ogug\nEFzyhrYONLGSPNcemtDlTjNu2CGxLwigNkBCgpl+R1+L4W0mOql3fD0JlGRoBAgMtg6uI84IP6CZ\nYBjTYdSfmAvXN6fQu9aaAutMqAFCNDkBWa08Bdnfq8UO4RXQ03uM3SEiLHTPIf525boBUH1FYAqr\nAQbnSsU2HnS4DEbVgYHqEk5MVpwt+R5wFEEV6+MGrEdlgWx3QU5nwaO1L6eN6gRfvbIMcA+byqAm\neB2exUgcr//7nFf1VTA/s0CGui5cecbRPmu1tACnahKxU5OeenTkMFibpOViblI9bW7e34/5zHVm\nb7o9cR6gdsQm8dlYH+JUjT/j0bIbalhz6ECSEOYqB08+0oFRXsxG7yEULXCUcnJyyNMMNKsCAwEA\nAaMyMDAwDwYDVR0RBAgwBocEsj7FZzAdBgNVHQ4EFgQUfUs0embS7s8KY8vuKH67dteQjoIwDQYJ\nKoZIhvcNAQELBQADggIBADLBuE51NJsgwoGW0z2OEM4kPc/+apPDecur8/g4Tk7XRKfavz3K8W45\nthMeDfTFsklkrfBCl2QRmb105yr5SeN+ifdxxQJkb8VDOKEBT2ACUSZ4YJK3f4Ln2g40OSWK+ckp\naXGxZwu+u06AVSXLn+cqCjtPd3kiOYmZJsMzcrxnfkPf3+OCBoom4wsHII/hDBs4d2HAn33rAtMq\n9W5uA/Qc11RihnuaAb1YpnMFbjRBjvYtQ6qpqhjFRjDyAzzP6mkvcKbH8NOHlnye3uQVhj4Sn6HV\nVb9/cXtjrhqljbdpxNnORO/kolDNd2a7+O4HPjY38wF0gpjepRNdL+UUXYSN+jR77wuXvEjJPyyY\n148+oFwaQGhQQ7rCPiUwqKZySpeIQ+8rtIoVT3ttwkuMGlVTSXSV4jucXRkC40sKgWDjKokSuGsz\nvJ0mjLe7RTihl+DRucm5tCIfWpz6T73/oA1tT4/TkKzP0DqtFyFrfvbd7WUIUxemGVp2rbvYiapU\nIvnTmefref5Csvi1uo6qP03Ps8HLs0R9szXrnejFTY7Rp/7IeOuEEYz5w7WEpk3k6F1D+j+KBq45\nI80qwLqbYpbOMCUrdJvss6WvsVDusbwxcHdaPim1rdkO1ZJmv7gWYzv52S0CqcNF8rYtCl6Sn+vs\n4mU2Uaelg2SK5cqP2E/+\n-----END CERTIFICATE-----\n",
		AuthToken: "UekczdZcVa68pbN2maIm41wIkwcHzvmWqNJ2U6w7Zp8B7UuzRh4W2oBAiusb4Box",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.224.81": &client.ChainedServerInfo{
		Addr:      "178.62.224.81:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIEEDCCAvigAwIBAgIEfuhzBDANBgkqhkiG9w0BAQsFADCBrzELMAkGA1UEBhMCVVMxETAPBgNV\nBAgTCElsbGlub2lzMRowGAYDVQQHExFDZXNhcmVhbiBSb2VidWNrczEmMCQGA1UEChMdVGFidWxh\ndG9yIFNoaWVsZHMgUGljdG9ncmFwaHMxKzApBgNVBAsTIlBsdW1lIFZpc3VhbCBQcmVwYWNrYWdp\nbmcgRGF6emxpbmcxHDAaBgNVBAMTE01ldGVvcml0ZSBMaWZlc3R5bGUwHhcNMTQxMjA2MDQ0OTI5\nWhcNMTUxMjA2MDQ0OTI5WjCBrzELMAkGA1UEBhMCVVMxETAPBgNVBAgTCElsbGlub2lzMRowGAYD\nVQQHExFDZXNhcmVhbiBSb2VidWNrczEmMCQGA1UEChMdVGFidWxhdG9yIFNoaWVsZHMgUGljdG9n\ncmFwaHMxKzApBgNVBAsTIlBsdW1lIFZpc3VhbCBQcmVwYWNrYWdpbmcgRGF6emxpbmcxHDAaBgNV\nBAMTE01ldGVvcml0ZSBMaWZlc3R5bGUwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCR\njQFjAdHFMMTc8wGteoD5iPzXiid4vQPWEEvy3HpzhPEwVcjYJ0AXTzc28fN7NP6yXP/a3CGIKAO6\nWLVO2NQc8fgaY+5vXZcm1NsOZMcw8X55YsFYKG7nT8GE5h5pRFrt7fTKneclamOX6VwlVaVdmblz\nvdPzqI9R699e+5EAMb2jOLJ/q9PtID0QlxyfnZPfoOYMtzlr6Bs6MCk/uf67NEZqeGbN/jvEXrWz\ndflvzYFR2YQeOUNyKr4ZpX5eLWpVTlH6vTqEUViyxpOmMG3xFi7jTTHaTVrGv1bvipizmmqjkPNg\nez+JYw6empXtGJGctCsFzaH82WB6Zsif83NHAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+4FEwHQYD\nVR0OBBYEFJTWXGFqcLYvrNBTz9H2r4+CQkV/MA0GCSqGSIb3DQEBCwUAA4IBAQCKYmaLWM6fnSaM\nS3HhsT4t16pQCI41Nh8WC6BSPg1E8cjdYnIPHTtfxZ9eT+MYRqIx/woswe7oKYtOBbtke0IWHD3/\nfsziBVZJuPhHl1JDPrr57l+IFtMzsdz5GQI+YnG6yi6qvKZToGRvtqrHyPT0VyQ90wzNe5f9xnUd\n9mfq85YJ8WNmAAqndmFhiLunBe0BL/3xmstIFC3V7JrRHf+yG+2uNhoWzsMpon+cd7bWGceflIRJ\ngl990YW3DHouuV7jIsBJerz+TLtNYcdSgdXUol8GfKgTobviWZlUVoYlhH+fN8+Qlo772NmkB+Wv\nCOE3PQSJvMtxgQh23K4cC7R3\n-----END CERTIFICATE-----\n",
		AuthToken: "B8IFeEcbvpduDkmOg4LCnXSTinkEgHVEuJCdVEvSTZf6XtRbZW4w5y6CKUTq4zJH",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.21.152": &client.ChainedServerInfo{
		Addr:      "188.166.21.152:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDnDCCAoSgAwIBAgIEHqRw9TANBgkqhkiG9w0BAQsFADB2MQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMIVmlyZ2luaWExETAPBgNVBAcTCEF1ZGl0b3JzMS0wKwYDVQQKEyRVbmd1YXJkZWQgQnJhZ2dl\ncnMgQ2F0Y2hhbGwgRm9yZWhhbmQxEjAQBgNVBAMTCU1vbmlja2VyczAeFw0xNDEyMjMxMzUyMTZa\nFw0xNTEyMjMxMzUyMTZaMHYxCzAJBgNVBAYTAlVTMREwDwYDVQQIEwhWaXJnaW5pYTERMA8GA1UE\nBxMIQXVkaXRvcnMxLTArBgNVBAoTJFVuZ3VhcmRlZCBCcmFnZ2VycyBDYXRjaGFsbCBGb3JlaGFu\nZDESMBAGA1UEAxMJTW9uaWNrZXJzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAo0BG\nZ7HrO/RuYjayp2lZSifuk6l8e0gzlSCNb+Y+sLZZaabe3hNTQMgMj/nMd7L6l7ufcGWGVPxxxgxi\naeCzt2ER19lsuLrDy55V5GhJvnYoP850UDITfETPVuf0xOG76SycprtG3rBsU+7g0K4xH+UY1pwI\nOFGcryljOX2k1M7WTQCP31DHDwZBucEfbCf+VQD5qETA38VKUOldHDH8A7U9nbfOjaNvl/NVCc5m\nDx2ndbKjD88Uq0g3N/sdrDZh/IrhiMHOO17F95PgfaLOhMAT6l+WR1b7P67bqB11gUV6lY/sM7rU\nM6yQxau56RRrjj7QBs7YAycb3z7YAA60JQIDAQABozIwMDAPBgNVHREECDAGhwS8phWYMB0GA1Ud\nDgQWBBQk8EQIOSh4KvM+9Xx6ExPV0wP5GTANBgkqhkiG9w0BAQsFAAOCAQEAhmHphhL3KVRbMvsi\nqp0tg+uqFk7SDa/M5bJz84EzjMgKgqG0dVTUG0/rUq3ylVD8CKwnxQuIZZXv1fCRqJthpyY3zFP0\nne6G4OFemhnbIPCK5mYbAuNQ5I/r9YxxrmQhZWR7s3SXm7CMC6ImyLQtD+/f+Zby0VLXp6/yJ5BF\nfXj3PKxHEV1w4XLNBoGSy966jrbrARK5G3hWft4ehCt5C52CWATloZGrsP23edBAYjGpT/qdsOYa\nr9jDUb4kaL4NM1SPS3IgzO1ICRxin2DL/uITU5xV+Z+3oidCkxW4+f5RjHpgWdLXhzAOhkNxOopo\nNT+l835/YG7SAMpRVCy3tw==\n-----END CERTIFICATE-----\n",
		AuthToken: "4i3Q3hrh0G2bGlfJmLZY2VQp41LEmtetgCrHYCbGZ1BXXcsKBRWkrVmj8pEdzWDA",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.21.215": &client.ChainedServerInfo{
		Addr:      "188.166.21.215:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDkDCCAnigAwIBAgIEPrPuMDANBgkqhkiG9w0BAQsFADBwMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEPMA0GA1UEBxMGUGhhc2VzMRMwEQYDVQQKEwpJbW1pZ3JhdGVzMRAwDgYD\nVQQLEwdNZXhpY2FuMRQwEgYDVQQDEwtPdmF0aW9uIEJ1bjAeFw0xNTAyMTEwNDUwNDJaFw0xNzAy\nMTAwNDUwNDJaMHAxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMQ8wDQYDVQQHEwZQ\naGFzZXMxEzARBgNVBAoTCkltbWlncmF0ZXMxEDAOBgNVBAsTB01leGljYW4xFDASBgNVBAMTC092\nYXRpb24gQnVuMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA0TAubB5dU8j4xkC4xc6t\n810z6ZZa3fwL+5Aaau0j8NW/8qXlD5GwwAgk22J9F/OWR1wUqm/aIKBYDxm3SMeB+hT3cWDawOoB\nw5Wsd3i+fLTMJtd/X8R7wBErh+6Iv3Cjj3M5Juz/wgeYktZBN7SzBMCkVA21ux+qlS8DBTA4B+Qa\nL7KoJGwWAb61les+JJRjhZr/WiAfqynk+MW62Gv1pnvr4JUG+2JtR4hoo3Cy59eJbSIbdN1MQAIi\n0Dc8gMeH74bWD4pChRjLLwz6pYD1hGUY7Se17r4Yn3AQYXeLAY4OgXZW+PmGsSN0difPgyz7kudp\nMNsYF00mOw3yRv4yeQIDAQABozIwMDAPBgNVHREECDAGhwS8phXXMB0GA1UdDgQWBBSxhlE0uMpA\nnuB9cBTJlmCIc3uSxzANBgkqhkiG9w0BAQsFAAOCAQEAQ9V+aMf1N70eELq9dqHvzvtNIRfBe85X\nFcfjmQMwoS8cXJSPiH36omRgjCJVBw7mRmLm8/6gzRzvCVrpRwM5GV1AK/zHWRPV0y1VHfPS/LK4\nLzPwGc+S++g5v671b4E6UjRHr6oBWWXVGGaUo2AgKhxf0UT5irL2M4YERjCvLzMTibGs2/71W0bs\nwCINLm0mIq5cTdCP9rfGLXftsyKdLtnp/nYCe3db9/fKxqwt5HS+WvRnH17lzxY9lpmo5K0UDi9P\nu5RwT0oYa6rL1FIfOwyZI5a8421C0nJN2d/xA0N8xvIhthr2ngzNNEp3Zu2Ge2WPJDdDl1f0JMpn\n+kDC0w==\n-----END CERTIFICATE-----\n",
		AuthToken: "arPz7cxqSrrLevCCVdBFXlPZGyV08w2xpZcCeRjWNu4qqMSTjF43KMn0kQ7w8YWe",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.8.124": &client.ChainedServerInfo{
		Addr:      "188.166.8.124:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB/TCCAaKgAwIBAgIEbYRevjAMBggqhkjOPQQDAgUAMGsxCzAJBgNVBAYTAlVTMREwDwYDVQQI\nEwhJbGxpbm9pczEQMA4GA1UEBxMHU3BhbmRleDETMBEGA1UEChMKSGlsZGVicmFuZDEPMA0GA1UE\nCxMGWm9kaWFjMREwDwYDVQQDEwhWZW5hbGl0eTAeFw0xNTAyMTAwOTQ5MTRaFw0xNjAyMTAwOTQ5\nMTRaMGsxCzAJBgNVBAYTAlVTMREwDwYDVQQIEwhJbGxpbm9pczEQMA4GA1UEBxMHU3BhbmRleDET\nMBEGA1UEChMKSGlsZGVicmFuZDEPMA0GA1UECxMGWm9kaWFjMREwDwYDVQQDEwhWZW5hbGl0eTBZ\nMBMGByqGSM49AgEGCCqGSM49AwEHA0IABDa3CNcRU7ZEZDMPtRSP7MjGdhuffOa9urfKyXq8huX4\n4Lpdwy/s8Iv6gIJBNwXVs04HaMYc+pRqMxaz55VYTqqjMjAwMA8GA1UdEQQIMAaHBLymCHwwHQYD\nVR0OBBYEFDwc+y1CFtDTFZlApD865W5BUDh1MAwGCCqGSM49BAMCBQADRwAwRAIgEObP0bpq6NsM\nOpHnxFxok73xvuLQk7EnqOasxYweGlQCID3sjjIHpipqsjvc1aMagvnTfxDfQkW1+BfWcEMJ7GuF\n-----END CERTIFICATE-----\n",
		AuthToken: "fubH8kawKWQB8KeiCIwWVLm1kRiSbHmgiOJlZztOnReHAWE7jQG7GkSZ1l4Z7Wc7",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.249.247": &client.ChainedServerInfo{
		Addr:      "178.62.249.247:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDbDCCAlSgAwIBAgIEQNpd/TANBgkqhkiG9w0BAQsFADBeMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTETMBEGA1UEBxMKSW5zdGFsbWVudDENMAsGA1UEChMEUGl1czEWMBQGA1UE\nAxMNU2hyYW5rIFF1YXZlcjAeFw0xNTAxMjExNDM5MzdaFw0xNzAxMjAxNDM5MzdaMF4xCzAJBgNV\nBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRMwEQYDVQQHEwpJbnN0YWxtZW50MQ0wCwYDVQQK\nEwRQaXVzMRYwFAYDVQQDEw1TaHJhbmsgUXVhdmVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\nCgKCAQEAqaj8P2ugDrSoNeMZ+AhuT+51C7Mc+TK1yh4VPncBKk6vcO7TSnVCFX01nllD5aIZYEPS\nPSp2ouLoJzqpwHfccRlPxVSVaOfSYWeHZoGHqvZrSAYVZ/+voxQKhSjFH0RXBk9mFN0ZyPHipm7O\nxgi9opkZZ4R8t+tt5AfGgEDbF6ODzQ7fp4ACWlP/E9Yh92iANXfpC8CBYdVB3ke/ikV5dVyXvFRB\nO/tCgzgzCaCxr0aIYppHsjXzt5NZnbIUWIRezrTYBK+SWZZIGTsF0fWqo7/rzxD/gNlOzv4P8La9\n1mGtfaXGVHJeqe7mDN/ont1K1xdgqp7LE22SI934fMHzhQIDAQABozIwMDAPBgNVHREECDAGhwSy\nPvn3MB0GA1UdDgQWBBQG11yS/l4/M1AXWJIvUoLuHnyjgTANBgkqhkiG9w0BAQsFAAOCAQEAFgTo\naN2WOab9j38IsDvLj0Jc1Gvpyi70YQoRkK9d8IuklrYsy8NO5qRbnjztbbm+pO4n/qtdTUmmARsL\n/DLcHL/pSWq3QxCjIsGaCeLDCCJhDrXMEff5EmOkGLFCY+1S1S4EVep6UIYT/4ECDhvlUUSgihLB\nRpkdx6PPrlYTaMxTLAmiD4jNGUojRXZ4NwFcuxv08wO2Hvnoh4Obr9ePsDcrNd/QDkA3HSs8Om6p\ncuUpY2oOylIO/i7U7CVcdn5t7NtoPFb1R7LyM8DB53Y0ANTA1lefDg0MpEsYTIj5nHHunfnoSfwO\nuzl1bRC3v1C92oX96frSCb/5bYxtOr7foQ==\n-----END CERTIFICATE-----\n",
		AuthToken: "pszBxhjPoIwLccPVYHETTgEHKf4SWLlWitpSOpSswruEeeMfKuncleOCKKqC2u8c",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.41.178": &client.ChainedServerInfo{
		Addr:      "188.166.41.178:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDfjCCAmagAwIBAgIEQftxGzANBgkqhkiG9w0BAQsFADBnMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKTmV3IEplcnNleTERMA8GA1UEBxMISW5kb3JzZXMxDzANBgNVBAoTBkFjYWRpYTEfMB0GA1UE\nAxMWTW9ub2xpbmd1YWwgRWx1Y2lkYXRlZDAeFw0xNDEyMjkxMjI2MzlaFw0xNjEyMjgxMjI2Mzla\nMGcxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpOZXcgSmVyc2V5MREwDwYDVQQHEwhJbmRvcnNlczEP\nMA0GA1UEChMGQWNhZGlhMR8wHQYDVQQDExZNb25vbGluZ3VhbCBFbHVjaWRhdGVkMIIBIjANBgkq\nhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAjFKFoi6qlTuLzZ/OmWrMJIk9bHb8SAESuCSONU+cJj/D\nHlHg8IEAewmEWF18OfHq9AnR6xbZFaacAZe2FGc/A4WlEfJEyWadJ4jJIm7mOJGPm8TpOTGNhj8l\nFOZQE/37T5W1JxyVAyqlpmiRhXkzlE4SQhez7vhWZmfydbLUkjvpQ+kYnGx2Ik5VhMXdNU/4XJ9p\npvchIWfW6adKgRGAeBTD3VUF1KlQSKkfAYZu0/RTbkurFHAdKCVnGbPWu/xsY0EvIjEsJ2lVO6e9\ndJTa+b92mzO/rGSMYckTwXMo0hFzWcQ+Va9MXsGfQ1wSI8lu9TECSE4wQkpihhjtOsNmzQIDAQAB\nozIwMDAPBgNVHREECDAGhwS8pimyMB0GA1UdDgQWBBSsAav8Qm8Nbs4BFTjTkbOEAC1W3zANBgkq\nhkiG9w0BAQsFAAOCAQEAeo2D59cQR310P3wdzBoJhkrVyCpNGamEbiT+hyoWpwkYQfvHBfCj+Oxk\nX1qkpzw+tnlrnMXATJINhW2PD0LFlcnI0kVLfX0k25Slm+m2OOCObmKkEf3LkKdpA1H0xoY6a7Rq\nclo6/xppI0+cfGUCKJnLYR2gLTh/oAzDjfoJLlyE3RBDUw4g11qHbzPWFS6cPBzLjGe+Tt4rFcT9\nXb7JAWUEKKbRbqIiVZnWzx8FMZesMabGa8tfRYIQlpoyGMzjJq6tZLOTS2WLVy8BtDhQXYnHysjp\nQenmZuHU4aj7YlDx2GgWg7lgkaOUwQmzmgzEI6LA/Zf0cdILSatBCTyGFQ==\n-----END CERTIFICATE-----\n",
		AuthToken: "7ItPVUYe4nIom6Zn1bJR3vVEv6XnhWI1DM9d3OyF7oiewsLibgPanllAg8SicadO",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.33.78": &client.ChainedServerInfo{
		Addr:      "188.166.33.78:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDcDCCAligAwIBAgIEGi8EqzANBgkqhkiG9w0BAQsFADBgMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMISWxsaW5vaXMxEjAQBgNVBAcTCUJhdHRlcmluZzESMBAGA1UEChMJTG92ZWxpZXN0MRYwFAYD\nVQQDEw1Nb2lyYSBBZGRpc29uMB4XDTE1MDEyMjIzNTkzOFoXDTE2MDEyMjIzNTkzOFowYDELMAkG\nA1UEBhMCVVMxETAPBgNVBAgTCElsbGlub2lzMRIwEAYDVQQHEwlCYXR0ZXJpbmcxEjAQBgNVBAoT\nCUxvdmVsaWVzdDEWMBQGA1UEAxMNTW9pcmEgQWRkaXNvbjCCASIwDQYJKoZIhvcNAQEBBQADggEP\nADCCAQoCggEBAI6SWcNMhmlAgqY8PhWk2sKSXrBND5zQuzbn/vIdi6OlPVMZip9cTZuQ6TOVtOEF\n/6lmKx2MPTW+sduj/O77g2yQ61I0UZjZu6DDUKpLRff0Ne2Xd2RZPhSe/6DKLiU1HIKxGNCvO1Lo\nD3RaSXY0dE1wWMSqOnrqLQLX2vANRXTD7BRB9bEuxEPQFnbVyWPqaUP9ngBi9UW3724oCqE2Qqg1\n016OnqkF9xRBzkDza+/dS/FRvlctUNoLzGsmTg3g1H4zPAETSDStMbq0Xyl1jp71pkYVamVkR0z6\npqyAXnpb+Gqd+ghCg4zfSwn4oecVphCpu5ZGIGKb+nEo/M8icfMCAwEAAaMyMDAwDwYDVR0RBAgw\nBocEvKYhTjAdBgNVHQ4EFgQUAtLJoasRUfmLCSZ71ImKkN+/RmswDQYJKoZIhvcNAQELBQADggEB\nAHp7ZF9NnRuELkZ0+CSJBD/cwkW6hjVvUVf/+hSD3vmE1saHeONhllxmfHvUAB1/q4vUEQqCOgaG\nKPRf2F3S6+V6H+FTg4Uxv+wTOWsXle0s0w/+JdSWEMYQx3EwTyc09PzG5D6kA3+8N8MmFQCmYhff\nZmUwky9ZZoNjQX1MmoIDz4LyMZtXVKqtW1yHLgOPOtPLhQSVxag8bJZXr8R+3qapraYB+M4VV/Fu\n6AfM3Q+dJvugPZ9/GuJdjNJcMb8WSSZewbeaAUZwdM20Oy6DET/XFWnUozPIs/k+VsgyloFTQvd9\nVs7IcMEUiuPS9fxYcIukvjwT5kYSiVJ4+g/wxXk=\n-----END CERTIFICATE-----\n",
		AuthToken: "zUmIhmtqKcXpxbqh1Ho2SueOVKz9xsgtFCHVavgbIJdZwGTjnzmur1IEwwF4embz",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.41.19": &client.ChainedServerInfo{
		Addr:      "188.166.41.19:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDcjCCAlqgAwIBAgIEUgdy6jANBgkqhkiG9w0BAQsFADBhMQswCQYDVQQGEwJVUzEXMBUGA1UE\nCBMOTm9ydGggQ2Fyb2xpbmExHzAdBgNVBAcTFkRlbnRpZnJpY2UgUnVkaW1lbnRhcnkxGDAWBgNV\nBAMTD1Bob25ldGljcyBDcmllczAeFw0xNDEyMTIxMjM3MzBaFw0xNTEyMTIxMjM3MzBaMGExCzAJ\nBgNVBAYTAlVTMRcwFQYDVQQIEw5Ob3J0aCBDYXJvbGluYTEfMB0GA1UEBxMWRGVudGlmcmljZSBS\ndWRpbWVudGFyeTEYMBYGA1UEAxMPUGhvbmV0aWNzIENyaWVzMIIBIjANBgkqhkiG9w0BAQEFAAOC\nAQ8AMIIBCgKCAQEArjl6u65dsDSBjmGNHAJy0ndfKD3y5qjtoFJaS9hhufG4hDl/cS5Qn8/368m2\neUn+IoT0JFZm8TpzlGB7Dx9E8zhUchsWZ9MEOQWH2OH5jzCWBdrxIauUuHbapvcI8AVxJM6HNikO\nCSI7rVJC5DgXYVvjE7WlxOJoEQhSQDUcm+yzMqKYcaSbwNNUVQCrrGQaV69ylBFklPiauRkVTQXo\naEw6r1oITegsKiGdTCTE+fi60g4I2yw8SroSYIxdMQ76ttv645OmG4W06pajXE53Bvam1r7l/Suz\npsrXw/CERHJHDW3/JFsh4weAyZRrXeQQkw+EyV7ptOcJeYysGolWZQIDAQABozIwMDAPBgNVHREE\nCDAGhwS8pikTMB0GA1UdDgQWBBTv78byrFQvcUW4NUCeYhV1mVokpTANBgkqhkiG9w0BAQsFAAOC\nAQEAptVLD9mNH5nq4C2WIcdIXwmLJUAgn3e4f2PEsvtOcd9IMOcyIyAlkGwt9eZogR4sAPsq81so\nKP5lbZJNdgtB7tbFkYlJZh9unm/YRigt7bXeaUoa4kVWth/cheXCk1BAj/9C6CJawcQSeoCdwMGg\nFJ4PttoGRsFrrK6nZgB9SnTWyJxRPCrvc4lXnoykNhThRwVsUsisJnSkyLulY9ieUKF8M7L7RMlk\nCljtmY++1Ih9HGCrHSX2AYoe7OQgFWRuYVjmYBqn4IGKN66IKzsH1m8JujcXzeeSuHo1P1JwZg5R\nCvCiBe4dgrUY/mf33av8QMZrWApUWG5Za+o2ZDoMpw==\n-----END CERTIFICATE-----\n",
		AuthToken: "VkyBF16rM2VpE1KETUafnB0fjrauuPa7ID5eisIede0vLJBExWuNJx6hJmTQgwRj",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.230.115": &client.ChainedServerInfo{
		Addr:      "178.62.230.115:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB7TCCAZCgAwIBAgIEb+ph7DAMBggqhkjOPQQDAgUAMGIxCzAJBgNVBAYTAlVTMREwDwYDVQQI\nEwhOZXcgWW9yazEVMBMGA1UEBxMMVGFyZ2V0IExvZGdlMRIwEAYDVQQKEwlBY2Nlc3NvcnkxFTAT\nBgNVBAMTDEdyYWNlIExvd2VyeTAeFw0xNTAzMDkwNDUxNDRaFw0xNzAzMDgwNDUxNDRaMGIxCzAJ\nBgNVBAYTAlVTMREwDwYDVQQIEwhOZXcgWW9yazEVMBMGA1UEBxMMVGFyZ2V0IExvZGdlMRIwEAYD\nVQQKEwlBY2Nlc3NvcnkxFTATBgNVBAMTDEdyYWNlIExvd2VyeTBZMBMGByqGSM49AgEGCCqGSM49\nAwEHA0IABFgti2a/HlWXXhG54+/GfRuJ7FD2m0YImh+xRCTwqu3zPQHwbpvuz1sdt0Hblu83FICS\nNNsbjQTyTFUa2JSqlrCjMjAwMA8GA1UdEQQIMAaHBLI+5nMwHQYDVR0OBBYEFBOiTYl3yNyKvNLb\nWFuBpARCkTzoMAwGCCqGSM49BAMCBQADSQAwRgIhAPH5cFAe18hJXUi4FLXFs/N0DdFvEW6ynXpu\n//IaNfXfAiEA+LfsrT+yKLqmVNK9GCgPhUNmBq+FJiFKd/TzZ2MjwOY=\n-----END CERTIFICATE-----\n",
		AuthToken: "poVKmVGOTOIGvwb0gwsjLCpgEUUoRaW3Jhdj6lfYkUtPdj6Wc4fOymj5MNCL0027",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.211.112": &client.ChainedServerInfo{
		Addr:      "178.62.211.112:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDzDCCArSgAwIBAgIELBlrITANBgkqhkiG9w0BAQsFADCBjTELMAkGA1UEBhMCVVMxETAPBgNV\nBAgTCE5ldyBZb3JrMRcwFQYDVQQHEw5UcmlmbGVycyBSdXNlczEaMBgGA1UEChMRU29ycmVsIE9w\ncG9zaXRpb24xEzARBgNVBAsTCktuaWNra25hY2sxITAfBgNVBAMTGFZlbnR1cmVzb21lIFN0cmVw\ndG9teWNpbjAeFw0xNTAxMDIwNDUyNDlaFw0xNzAxMDEwNDUyNDlaMIGNMQswCQYDVQQGEwJVUzER\nMA8GA1UECBMITmV3IFlvcmsxFzAVBgNVBAcTDlRyaWZsZXJzIFJ1c2VzMRowGAYDVQQKExFTb3Jy\nZWwgT3Bwb3NpdGlvbjETMBEGA1UECxMKS25pY2trbmFjazEhMB8GA1UEAxMYVmVudHVyZXNvbWUg\nU3RyZXB0b215Y2luMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvvgXVW1ChWTctHNX\n3e88J5Q9WGdemPl7gdv6ta8xrQ+m7k6pIvsCAlJDQdSluDQeeHf9LG03aUh03PXVSFziPZL+JATa\nLIdap1zNfnAGJsFkRELk+da3DV0fQO1pcYi+AnDHthRl0rlDlbzNAGKYDpuc+5+c4mlLaveLIBkH\nfjFNtILVkTaQHULZXwWyn0w3m9k/JKaNuxx6ogrFz4yBdoObrdVNGAD2IKrBu6isHOJui/RTcib3\nIBiA6lv2OBLOq2TycTJ1cVmEdqKju3CiJRArLneo64g6Qp2UMFIKAp0wqlLmebuJfxs+zy830prP\n8GS0uviiRM+aOBPgab31EQIDAQABozIwMDAPBgNVHREECDAGhwSyPtNwMB0GA1UdDgQWBBRukEzU\n4pP0eSCqSLc42QyD1xHObzANBgkqhkiG9w0BAQsFAAOCAQEAYFrQtXbCuLmUHHNzGtzPJqcjgGP+\nN9q6s25i56dK/NGhHLoXjllNt/8WIdl2XZACH9rV/vI5B4hCjtTdGeCFqT/3FPYYpYrjROXhfB+z\nI2qWD8MnS5xoou2QglWhvpvuZqRQeI7LQ+yDKeMNArutYFjjZ2PuSwL7FZU5xrRp5JjsAtus11Sj\nw3YVaNAm5iyHLBsR31WxiaiWRTq1pN5h1HKFLfaGbSResZSaU4I/kkhNm5T0xCkZvd/UUQnkRv4T\nllnIOqa3JPOWH4dlxevOC+1kmGYW94AA2YtLyjrGtYhRaT2TtpTLNE0TasuenVfvx/+SXjkNEyaP\nv76bjnDW9A==\n-----END CERTIFICATE-----\n",
		AuthToken: "IbIdteFBpH90VKxNAzBFAYLQYOzAdL90EnM6Wz9GNvuIvkNaS1Z4MIT2Q0hLOBvG",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.198.123": &client.ChainedServerInfo{
		Addr:      "178.62.198.123:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDGjCCAgKgAwIBAgIEeOlGVDANBgkqhkiG9w0BAQsFADA1MRkwFwYDVQQKExBNb3RoZXJob29k\nIEZsdWZmMRgwFgYDVQQDEw9NaXNzdGF0aW5nIFdlZXIwHhcNMTQxMjIwMTMwNjM2WhcNMTYxMjE5\nMTMwNjM2WjA1MRkwFwYDVQQKExBNb3RoZXJob29kIEZsdWZmMRgwFgYDVQQDEw9NaXNzdGF0aW5n\nIFdlZXIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCoeBom8DJ+0wy7Ne6pPYkgkowH\nD2zJCWcLozuQ2O4NO86xQBPB7KgkuJ6kBGNJB7m/XJv82Mg88gmgOaIwVLUmzPcrnlsKzCKuD4Eb\nHIgLKdLRcTwYzgFkwl6g0tIkaji3X0sijt9f1jez+7uABjMYrdhSm1MXdwRsgIF8sotl2T6wwLHq\nbpQpNY0kxHtWM9SIy+vYu1sKGZD5qKS1d8UcevWQn0Mxuu0zQ7Urh4AuAHrO1utaBdZ5p0M+rzJb\nJ0vPwzIuS5lBvjG34tRWun5dGdqXRFp/5VHJL7qHBO4s+jgjQXQstbR/Zl5dcUqskT89FT1WkNjN\nLut2xbsyfboDAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+xnswHQYDVR0OBBYEFBjrYOLPaWJEgooE\nTCjDj+08Az3gMA0GCSqGSIb3DQEBCwUAA4IBAQBDGNLtKuYiZBCA6fJ9qRMLvZas50Lw7ElbfcfO\nqEJyKIa2aoD7OvhHo+0Gm69EXj5TVWzoCtmGW0CUk/y3A5ftDv4QEey6HFK8M0nQxVqcBkvrt38j\nv5SyGBPjyGDbva5uQqDb1OJqrWfyJoQy9PDx3QBaJ1ldCFuSSNdWAw+RAl2tRs16mb8Y6eLpdWrv\n3u4Xw1eXh66H4UnLPjK5wcDFlCD+WxbwIgNgBjgBQ1jnA725sws55fnv2TcPbYwUfi3mvXu6jkbQ\nyqe0tFFNSnYV7ZQmlWBYv8frqxvAlJj0KaUQgl0biz6U19BcBPJHncq7bUBGnzpCwwYLy4UpQJpi\n-----END CERTIFICATE-----\n",
		AuthToken: "oyx3Ln9LXMZQQXkFm9dnQCyixnPWpRDrTsDHNskXpcPiIIEafgeJtIP2CRpRf9C1",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.49.252": &client.ChainedServerInfo{
		Addr:      "128.199.49.252:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDbjCCAlagAwIBAgIEVSYN6TANBgkqhkiG9w0BAQsFADBfMQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHR2VvcmdpYTEXMBUGA1UEBxMOV2FkZGluZyBJbmRpZ28xEDAOBgNVBAoTB0Nhc2hpbmcxEzAR\nBgNVBAMTCkFtYXRldXJpc20wHhcNMTQxMjEzMTQxMDI5WhcNMTUxMjEzMTQxMDI5WjBfMQswCQYD\nVQQGEwJVUzEQMA4GA1UECBMHR2VvcmdpYTEXMBUGA1UEBxMOV2FkZGluZyBJbmRpZ28xEDAOBgNV\nBAoTB0Nhc2hpbmcxEzARBgNVBAMTCkFtYXRldXJpc20wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw\nggEKAoIBAQCE+hH+yxwalVL9SMtkkmdRU2SnIppJhzqcQPFadwdwLTJDg6kUW7aTvIKcKY257agJ\nZBKuCBNRj0yvYq4kfFVTZLmSI281fY2oLIGt/71E+a95A7Wc0dlug/tkF8jknW8c2H1xGIIXenR5\nwowxk240Gd0ui9kSPvGFU7ckQ75DblURdI+DeH+1GcYBYPJ3EGA9b1OeRBhHmXAEDQrTHAhrbpCL\nLhuQWWTPIqyhUATurRVq2+8o3cV8x2yMrBXQaWu/5uhDdtgLu4vsNng3G7+naAOC9+FFgrjA2oqo\nlg5CKUnZ52RfcpDHkH2yKNVqaUO1MOGbFoAaJKJg2rXqWvQjAgMBAAGjMjAwMA8GA1UdEQQIMAaH\nBIDHMfwwHQYDVR0OBBYEFHhhnSLfPgMfVLMYtxLItmDZrmOaMA0GCSqGSIb3DQEBCwUAA4IBAQAD\n7C5PvH+X/OCxwyIw5iBZnkX+Nq/dwSjOrY1bi34op7D8G5kBURNDoneCZK1G8TTYu/MjRQPaLueC\ntFec7NkopfDekBhj2TknrE7hSh3DDsvHlfz97+qPoDClupPRdUNTs+UEzUeLR/KYiTHgqZNob4vG\nkIpesxoVZidn0zEBfSH52GtwKqNvg01qtf2Ktf/JIz4liEbxcpif7JNlWnJrXrA0AvpTbbMyGrcr\nUjPVm2hOwKDXXAS9RSd0rbq5eqCE/02TQUZBWptsn1E7F37N+rRBrtxwFb5s9B9AL/fZ/TS19OVt\nyFUvAOFc6IeMp0NtXuGRbXVbHZ9veKp54qPF\n-----END CERTIFICATE-----\n",
		AuthToken: "d90czEc84JUInvpTtsUfRHrZsCk0YrVtqQ5xusmzObNHoyMC9TfnoW7tvhO78MEy",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.206.159": &client.ChainedServerInfo{
		Addr:      "178.62.206.159:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDvDCCAqSgAwIBAgIEGkc0BTANBgkqhkiG9w0BAQsFADCBhTELMAkGA1UEBhMCVVMxETAPBgNV\nBAgTCElsbGlub2lzMRAwDgYDVQQHEwdNYXJxdWVlMRswGQYDVQQKExJUcm9kZGVuIFVubGljZW5z\nZWQxHTAbBgNVBAsTFFNpZGV3YWxsIFdhc2hlcndvbWVuMRUwEwYDVQQDEwxJcG9kIERydW1tZXIw\nHhcNMTUwMTI3MTMxMDEwWhcNMTYwMTI3MTMxMDEwWjCBhTELMAkGA1UEBhMCVVMxETAPBgNVBAgT\nCElsbGlub2lzMRAwDgYDVQQHEwdNYXJxdWVlMRswGQYDVQQKExJUcm9kZGVuIFVubGljZW5zZWQx\nHTAbBgNVBAsTFFNpZGV3YWxsIFdhc2hlcndvbWVuMRUwEwYDVQQDEwxJcG9kIERydW1tZXIwggEi\nMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCyOwfOD86nPV4oa/W6nR1s2pRgkN0iGf3dp5LE\nWy+U4UXcF/pmkdorYht3RLuQWs04j/yaVKegTDmXhk0LRqmZg8dshU8WaYCmtam7o0SoUI3u1vgi\nIEnthQO79dyH7Xa8XPkrREbAtZdA6MeFmebCdmV8ELAb+QUXa5Oit/Hf6kPVtOAVX9TrIrdZ89OR\n3CtYMOpkKc6cDr1ADMewl4jh3BskV7Xt1l001Tz5FTo3xd8hDSw78aOmpx+8U9FWSJvShcfQAzd7\nv2Gdk+F3bChpYYLsTcsz4UsplIla/dZN9AF61jwXMneJPHjCTdxM2wKLUdw3lnzzl427yUA451xj\nAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+zp8wHQYDVR0OBBYEFLa3VyUQ9/unHZHdjIHvE6QNVBl+\nMA0GCSqGSIb3DQEBCwUAA4IBAQBF1kLCX6zv23R2+PRsT7QqlaY+7bxCPRfBe5wAKaQZdLMJpRbO\n2Dg4ByFbVfmuhKktSdg4VzfG8xOGZnR+JbzGMzD0rDdVRNl9PImnIQO0H757sQZkhSgYku+eMfYl\nycpbhf7Hc2WQmkXMz+z+ZnC1dNOyRWYSj7N9Pspij97XFkfVXckqlJGOHcwxldkdAinXAcGkvMmM\n2HrW36+Xgx7BTc/gGGNdLISJJ+7bGLV1dVqqtJPO3duDnWQc90qoRIBpSbbqSyu4bAJMOVTCOZGp\nheo76eWXcQAP6ypfPzPkucL1HY/OhVUZp42aTJWkduGSbT4QTyCVHhqhSDt7NeTJ\n-----END CERTIFICATE-----\n",
		AuthToken: "AiEXaHAiKVh8riMYZTFq3CRwzEy66kFbgdjKQTd4CEbJTkOGRjj1xgMavZn24e33",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.253.155": &client.ChainedServerInfo{
		Addr:      "178.62.253.155:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDoDCCAoigAwIBAgIEEr4yxzANBgkqhkiG9w0BAQsFADB4MQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTENMAsGA1UEBxMEV2hpcDEcMBoGA1UEChMTQ2xvdGhlc2xpbmUgWmlubmlh\nczEnMCUGA1UEAxMeUmVtaXNzaW9uIEFjY29tcGxpc2hlZCBTdWx0YW5zMB4XDTE1MDEwOTE1MDUy\nMFoXDTE2MDEwOTE1MDUyMFoweDELMAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExDTAL\nBgNVBAcTBFdoaXAxHDAaBgNVBAoTE0Nsb3RoZXNsaW5lIFppbm5pYXMxJzAlBgNVBAMTHlJlbWlz\nc2lvbiBBY2NvbXBsaXNoZWQgU3VsdGFuczCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\nAIhZG+lBLx1Ahi+f9G7YNf92gJhHbBtjPlaUlZ3PYFfRlkTPU/1gldUR02gTHYOT9qWWPAZOyy2+\nf3deSzsURRoUIdKe5DOKlVKcPHaRNwmFZQ4k7aE9+PxFmhyPAKavIEcmCrptjquH2mR8queqap4C\ncHS2oq0gSS77BreTCwSzfvB/y9XKUjhSxLJPQzP9YK9ePRMY1ujdpPhjwpsOHpyALddCgFPS26x1\najpHpj6j1KYe4HWp21nytj0SvjPd9LTR7FQyoVvQzFKLvhn4Q3U4DBKp86m3purCGuiKew/6fDOs\nlGwoVTnL3m2IxCLOcywlJKkeOuoD9AXAXRG2sNcCAwEAAaMyMDAwDwYDVR0RBAgwBocEsj79mzAd\nBgNVHQ4EFgQUL0xTwa4buigC8u4eBAmlbScZtvAwDQYJKoZIhvcNAQELBQADggEBAB6D1/Ib16lY\nHayTdjTshNUUQfq9/20oIHzmZupclQ/xoL3kjmZRHIc+9YSHUWKhN5nI6b5cL1hMRJXTd9bASJnK\nPFa434PRTMoGxYZFPo0SrOp9MjmqfLsi4PUxVRyHzp0qT8q0JJ0nFi/XLhcP8Nh8dwr+c9+dD2Fl\nj/IIaVFbPYJ6GlgZ34xV2Ji2Mv29r3begB+MuDUtoDO25pDeFxAxk/pPs3PGA+zd0vg0VgYzHRHj\n/2h4s/+qBZpXFlYICwhM2hV8y/0A0seS9M3NYZY376F5GZS6U2NJf/DPWYIS1owmGsDNGmzS2t4r\n96lY96GM/vds1sbB7sSyyIuWbmE=\n-----END CERTIFICATE-----\n",
		AuthToken: "jNUUxxXJqpVYf2kH36H6hivwj3KMqor4CXlsOCx6XAjINHuOqdhBCR6IRnc5YV7i",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.198.216": &client.ChainedServerInfo{
		Addr:      "178.62.198.216:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDXDCCAkSgAwIBAgIEa+JVcTANBgkqhkiG9w0BAQsFADBWMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEVMBMGA1UEBxMMVGh1bmRlcmNsb3VkMRswGQYDVQQDExJGbHVjdHVhdGlu\nZyBTbml0Y2gwHhcNMTQxMjEyMTI1NTQ3WhcNMTYxMjExMTI1NTQ3WjBWMQswCQYDVQQGEwJVUzET\nMBEGA1UECBMKQ2FsaWZvcm5pYTEVMBMGA1UEBxMMVGh1bmRlcmNsb3VkMRswGQYDVQQDExJGbHVj\ndHVhdGluZyBTbml0Y2gwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCM6QD4pPf4DQNH\nfIrbb7cWkSSQKiLnkvI2EaWn2yG2hkzJ3x7Qo1Lssb2xRk5V2PKPwP+nNeMX7nC/m/tUn3juxRxn\n/vrnr7cAi9E7pV5KW2HbuzCLacn2Qem3qbJe+t6WJJNQRoHb30oHUfXaGDaIkgy4Avs6hXuGBt+R\n4Ql0423LmgpdrPKIDBfOfp6bpc1qNcdVSDZAhRvGrbaipdfh+2Vhgk2u8UBRlbFfTiFxlW+H945T\nqVDxClhA6PK4DvcXcep2QqPhQUMRwL4FpxmZ2gSmd52tPE52zhArtVBVIjrrAeiOEKhJdbcSYbh0\nlxQDpxVq+dEea3J/iZsTnblvAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+xtgwHQYDVR0OBBYEFDK6\nBiV2N7gmxp0H6u/LC7IeSTEdMA0GCSqGSIb3DQEBCwUAA4IBAQB7yTM2l9m2N1SJzNvJjyyANlC2\nmXchhoZjLxem9iLl6Q5/VEayglkdjAqKNsvL+gnt9f60+Ug1Bomr1+PytayhDfW1bjI8+RtdJTlJ\nl1Yrqab4Wg6rhANGiNtMZ4JCFqrH+8jcySMBGBc3u4RdWc3hjoXGWgI2/+yiilCON0/roRgn/euC\n/SrbeIiVI2bnMviIkzpFf1qnhxGDr0PTYnHDFotJVrNnPJyDGBecL7qBPNKeMhlIbCLnm+0zMDcS\nwXU2ogvWwXFI3vI5vxenxPrAvO1pU2TLK2ZogzuyMfcESoVkpS/JB/LDuewzk48il+vZgbfy0My+\n8P5z/BRzhXI4\n-----END CERTIFICATE-----\n",
		AuthToken: "50jSYb5yNS26DcLXFgqs63wVEiVri55wJY4GYAV2T6TmInCretY8rjMN9USpUUoN",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.241.13": &client.ChainedServerInfo{
		Addr:      "178.62.241.13:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDdjCCAl6gAwIBAgIEc8P9tzANBgkqhkiG9w0BAQsFADBjMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxETAPBgNVBAcTCENvdmV0aW5nMQ8wDQYDVQQKEwZEZWJiaWUxHTAbBgNVBAMT\nFE1hbmlmZXN0IFN1cGVyaW1wb3NlMB4XDTE0MTIyNDIzNDI1NloXDTE1MTIyNDIzNDI1NlowYzEL\nMAkGA1UEBhMCVVMxETAPBgNVBAgTCE5ldyBZb3JrMREwDwYDVQQHEwhDb3ZldGluZzEPMA0GA1UE\nChMGRGViYmllMR0wGwYDVQQDExRNYW5pZmVzdCBTdXBlcmltcG9zZTCCASIwDQYJKoZIhvcNAQEB\nBQADggEPADCCAQoCggEBAL29iiaTs05O/XkVNVY2frRLZnrEkDrl3MlYDjTc1NRyRX6H31IqNV5p\nyN4ZbPg/qtMivDePFgmXuPoeadRabXxzc3oR2Qd6PNnSt1H8vVfO4hp5LPrlr7+NE9dPnLqG8JAX\nasdXzNTZ7x62Jg1uChKDA3Ch95AG/cBKpcaQgVk9Zt4JYcGpg82AvVb1EjbOnpsbJEaAOFLtbsXR\nlFAgOSrqzX5cWN0fUDUKXnGoPG6p+j9/Bah0gSlfj9g3EZ9k3McVpomQBQm25C9Ey90BbBIWuJ6w\nIN/T/5Za23ZDKJlYRSiiEYdnk46XWlsrS6HQ/nFz/dTxFCA616kSVGLxWGcCAwEAAaMyMDAwDwYD\nVR0RBAgwBocEsj7xDTAdBgNVHQ4EFgQUTOjgXGUYggYMyEjOnXZt5L3ZsvwwDQYJKoZIhvcNAQEL\nBQADggEBAFwvbuiOuNmVRqZyZZPC7fQJ/eI8i7dpGsBpAI4uEUC64Y8Uc4RqQi631lMyl0OLY8bs\nnS5dmrsCU5/t4VLMvM/TRwijhHMmCJtOAYrlVw1EJsip69PcYwH9/ObAyebApSVgx4B+jx/dCrVe\nwtIADWts4brgQqqPTQ+zh7QrG0iznJioR4Rg5yz3K/6abRxxJ3YmQ5sDvRv+xjqSlb56LLpMx2JX\n9jyu3saT5EPl0/9x21cw1ee+9G45uYuCsXdBkjGMCfDWtDsyK+E1WA/W5k/lImuWx5VN3FzJeXD0\n4hFE9a/IB/PhKbC3XO8yv4pzaWh+tlVoyI3bWHWye697UuU=\n-----END CERTIFICATE-----\n",
		AuthToken: "mZVGGkuyfmt0S4a9bjJulI3tsTVz7AJ1Awf8OM8fiwemL3c78iST9WbCCm4zJKH5",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.28.27": &client.ChainedServerInfo{
		Addr:      "188.166.28.27:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDqjCCApKgAwIBAgIEUUspKzANBgkqhkiG9w0BAQsFADB9MQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHR2VvcmdpYTEQMA4GA1UEBxMHQ3V0bGVyeTEYMBYGA1UEChMPTGFtZXN0IEZvcmVoYW5kMR0w\nGwYDVQQLExRWZW5lcmF0aW9uIEluY3ViYXRvcjERMA8GA1UEAxMIT3ZlcnBhaWQwHhcNMTQxMTI3\nMjM0MzQwWhcNMTUxMTI3MjM0MzQwWjB9MQswCQYDVQQGEwJVUzEQMA4GA1UECBMHR2VvcmdpYTEQ\nMA4GA1UEBxMHQ3V0bGVyeTEYMBYGA1UEChMPTGFtZXN0IEZvcmVoYW5kMR0wGwYDVQQLExRWZW5l\ncmF0aW9uIEluY3ViYXRvcjERMA8GA1UEAxMIT3ZlcnBhaWQwggEiMA0GCSqGSIb3DQEBAQUAA4IB\nDwAwggEKAoIBAQDT4qBeHUS6rCHwBcjjqNkkEgscfw0ebrKarOu70x6skVUtAJ5VnUnvq9esLi8i\nVYUHDUYS+8nBhLxbjA62vc2/dO6oVoVHUzZEO2D/cEMaNUoP2AsDlGp9gJyi9Lz8t80xpsMEBmLu\nN/weJyMuXPkHgqkhERKqUls71QUNUq2OtDJbMDYciCL95FJseUNsZAakKh10x7Mxx/X1CMBGg5gl\n35PjYMPJm9eZpaeLyTmIPpCeox+8xr+FJAMCYK++GXLAK5WoakRKiddCdU/BcIOAP7fLoMeOzDIT\nwl19JQ23aF8QFdXus+E+oS6Egb/L7wZFeI7H5ilPxcizWTSwxzWpAgMBAAGjMjAwMA8GA1UdEQQI\nMAaHBLymHBswHQYDVR0OBBYEFK4wwvt+uh6+W8EwP47xbv+o5u89MA0GCSqGSIb3DQEBCwUAA4IB\nAQCzvkLzYdHd2XAWtbv5gPcUYayu2xVRmcs00Azok21u012nRajusuTxErm+3UbxiTNuKcxgkBZK\nb2O4c3nhUiZTbC9uMwpiGf0xD375++DKlNfumwI8hqFtIV2HJomPBgqw/08Gtw0KfrzNVegmHBcR\nHnaXN3XpPXE8TiCS291AYhOIDzGG+wY2Q42YebwyQSNTxfJ3vYNG5sj3L1F2YmBEFiIhLPouzGvp\nvBVnJtnKb6MhAvQ3BVblek04U1UV0Eqg5h3gRjI5ChBLzGE1whQfnpN8cKl8cLXkJtfp/cPa7s0D\nxkLDzPA6+UMisxqN+rDoe7H/oJ6dUHuCSPIIu37J\n-----END CERTIFICATE-----\n",
		AuthToken: "ivVWfN2sAClTlF5ZD3GhxaDo7m8cRfNgSYiKW6nCQmJDjE1iXVdwCqGPlP2l7yBw",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.44.168": &client.ChainedServerInfo{
		Addr:      "128.199.44.168:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDnDCCAoSgAwIBAgIEbJB7BzANBgkqhkiG9w0BAQsFADB2MQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMIVmlyZ2luaWExETAPBgNVBAcTCEF2ZXJyb2VzMSYwJAYDVQQKEx1MYXplcyBCZXJuc3RlaW4g\nQnJpZ2FkZSBDcmVlcDEZMBcGA1UEAxMQUGxhdGludW0gTWltb3NhczAeFw0xNDEyMjYwNzIxMTRa\nFw0xNjEyMjUwNzIxMTRaMHYxCzAJBgNVBAYTAlVTMREwDwYDVQQIEwhWaXJnaW5pYTERMA8GA1UE\nBxMIQXZlcnJvZXMxJjAkBgNVBAoTHUxhemVzIEJlcm5zdGVpbiBCcmlnYWRlIENyZWVwMRkwFwYD\nVQQDExBQbGF0aW51bSBNaW1vc2FzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAmIxy\nzkaR2ZbNdmWYjWl2Zsowr/i/ka5yQh4WJf4xcvWDmLxTLAOaLulY2KBd91wPMOV/cME/5eIQduGz\nb0VQP2Qz8gamrGXfbsvrELgD4oH4AwXAVu9IBUmVG8KUigzoYO2BJi+p0cAI61tWq7z47eyG3clh\nOqoe3X9NeQVqwXSz4P5WpCkRMZLoETFmDTJQZXplLL4GFZiVDfYGWW0wP2vjnahHwP11ULasOXIa\nIPwPlOd0KGSR5Kva5QlqpRtF9aUAWIDXkaBdIxfNvBLnHv0KSecnpS0BRi3McE5sr+s5fJPVRi6X\n6n8t6SZm1jVxENHvuqW+a1PiCOza/eIpHwIDAQABozIwMDAPBgNVHREECDAGhwSAxyyoMB0GA1Ud\nDgQWBBRswPvbCOnIPaFIWprcdllJhaBJAjANBgkqhkiG9w0BAQsFAAOCAQEAKWNAY67akhaXjN5D\ncMR86RZMI1hUGYsQHimDY6Fenq9WLjMUadJK3aEAJZlVRzUk4ElgRChkCMUi4Vz+/Qfy+ltjMu5s\ntqnGt53cFVSuXNbn0TPoEJ4TBRLGtLwWHkFnBKAbpYj4yy754VNLcRYE8QfLdnzKUzZPBqFu6Q8q\nKYVkSIF8QHlJ38gxV6sgdG9b9Ej+4WqWCUnrC0C9S9VJg52kIOGe56VaMbjXQ2Lb4C0MKVVG01PL\n7Gll6MsKV8CwejpBmv7qXSzeknfY4aX2tkQNKt50voGO1PVfltC3SXodpSFztIBeAhm4Oq8q57d/\nKlpS94rMMVKvWc6g0HDQBA==\n-----END CERTIFICATE-----\n",
		AuthToken: "TrBrWJG6gNL7Wr7bYDR6VYTZEMCJ88ZtFVuwyGONDMX9IkwwPWuCknSHbDfH0Ezm",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.17.144": &client.ChainedServerInfo{
		Addr:      "188.166.17.144:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIFVjCCAz6gAwIBAgIEOqT1MTANBgkqhkiG9w0BAQsFADBTMQswCQYDVQQGEwJVUzEVMBMGA1UE\nCBMMTWFzc2FjaHVzZXRzMRMwEQYDVQQHEwpEaXNhbGxvd2VkMRgwFgYDVQQDEw9SZXBhc3RzIFRy\naXN0YW4wHhcNMTUwMTA4MDU1NzAzWhcNMTYwMTA4MDU1NzAzWjBTMQswCQYDVQQGEwJVUzEVMBMG\nA1UECBMMTWFzc2FjaHVzZXRzMRMwEQYDVQQHEwpEaXNhbGxvd2VkMRgwFgYDVQQDEw9SZXBhc3Rz\nIFRyaXN0YW4wggIiMA0GCSqGSIb3DQEBAQUAA4ICDwAwggIKAoICAQCOZvOb81SbCR183zNf38A3\nABv1rcisTADXlHWuHVvzw80H4ZXDwu5+FDQFY2zGYJjrNhfUnRB0Gh3s5bWtJQUj/C4GGdnuqF1o\nJ8genY2yLyrT3E3cTwfYObULPJ4g9spc4n45YFvM/RyteuxSIPtPGJTS4+bmpBoQ7PjqTMN0Vhka\nx97FOFX3hXr+2vlGneVy3iRICqclekgAaRD47v5E5Etr5+wEqETil1eQ08VJGBtP3UJLPcYF9/bW\n9SlqeD1b/QqtAeQmNvg9Z5rnx1Yy+gaRF7pB5xZcRsdH7jMYH4k1p1zgZAa8+Byh3YuUKDu2KZRZ\nssqYOf+qVTUIsBI2J+nKyQE6bN5Ei1PIdynGjQfMbXDmjENGUcLkCiRHFWq8XJIRw30iKad9mk5Z\nP2OAqQLBJD+SfV2qTtJAc9PoPeLz+xw381q3PKCPQtdbfvZWQ6LDxtfCaZFFaP5PUQbE43UEjM3L\nCqCde/GjVF5dsLHMvUsnUCaMT/TGXhrpHucQearrIMg5IgeqmxgfFzvipHQkYV+zkwtKsNX6RreA\naXGacxTdXP4bvHleZUTAmu2DkuQWV7Z7Nwd97sz2UZUzp75UTbFInfO9CwS9rva0ljOBHqWNKfSK\nE78aS9WT0PQ+Kh+TkT4TNcaHzxPw13/rj22WwpRFOUQSaX4hCKMmQQIDAQABozIwMDAPBgNVHREE\nCDAGhwS8phGQMB0GA1UdDgQWBBQFpzkrEDt/3cQlP1EDp5+xAM4LtDANBgkqhkiG9w0BAQsFAAOC\nAgEABg5ZcsFpUFXeMl8o6SVXVecb4+UD03Hb+1b1I5RO8+jI7sUMfJnVUt+bpByNw00R/lakq61I\nSnFuzw5ultAKLjlq3H3DK/4BSP6d4z/WVrwB2R6oHrIBLyZv86sHebz8jniNM7lLkNBGAWCaJdJ6\ncOFOZ0ZjVe+EUKsSmmhqn2qbCTVDRfe+iHu8FjYEAnCFE0ElxjmPV39sfPlvBrjbaUw4smu6Bhgu\nGmqs59nEN5l6UyD8ljImyfrYaKH/6KGb6/9p2chL1nEbZwRv3jfxykUwliOGm7eEzrgtv8FmeLZu\nSl7HzMsEyhpwVO1NkR4YODIETxUik8bEqfxDQOprqbAxivT5gxKHhV6sISoZKzBVGCKB09+W1duH\nYbcb67jqlKICEHB9AdteXJzDqDubsqV2XbQJt8rlHOlMoDUi/NfUTH1gWBHq7HJ1gOFPId5mhjr+\n2/G9CVzasS3LmS1fscyjcDUnUi2vfrK9+q3C0aumdUo5efbzWdw//yYKw60t3ri4jqOAc+UjLbk1\nI0mIdlqvN0lFKk1YgJXOEuZm/Jdt/qR5FFWYz7bUI3+eWXz217YGrA+OY+uQZV4sBfWd8/ZJzr+K\nKyeymTVvT4Bqdc+7DR85mQBVaiyHWkUMjUq2v3wntfW78X9R2Wu3tZit1tfQM/HQbd3t2pKigfSk\nMs4=\n-----END CERTIFICATE-----\n",
		AuthToken: "qFLLfyePCiz0LNcw4dxYX4wMtVbpTUlIdZrDWtb0K53PUK63rIA15hHoN9j9ydoQ",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.27.152": &client.ChainedServerInfo{
		Addr:      "188.166.27.152:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDljCCAn6gAwIBAgIELYmE/DANBgkqhkiG9w0BAQsFADBzMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEQMA4GA1UEBxMHQW5hdG9sZTEuMCwGA1UEChMlTm92ZWxldHRlcyBGbHls\nZWFmIFdvb2RpZXMgRGVjaW1hdGlvbjENMAsGA1UEAxMETm9haDAeFw0xNDEyMDUwODAzMDNaFw0x\nNTEyMDUwODAzMDNaMHMxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRAwDgYDVQQH\nEwdBbmF0b2xlMS4wLAYDVQQKEyVOb3ZlbGV0dGVzIEZseWxlYWYgV29vZGllcyBEZWNpbWF0aW9u\nMQ0wCwYDVQQDEwROb2FoMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAssrT3xbtaax0\nO8mYdup+NM1CMLQblAgm7h6Edt+bcztgrlSE7NTVfYzGd3VbU3oYvbe0Umw0DOpYI+Qe0Llqrq1i\ncfKn3O1sG7Drklc6QCRCJG1QV9VQNGebRa5r0HdKhxRVliLQ84QSx9w1ucWpQLEamiggyod1yLsr\niyUHhXiAzJHRMWB357MHAn34DeooM2RsgW4GPq0GJU9jH/WCa85AAoWFN7fEYQOnTazXV7CvnMFE\nQ5iG+cH4rWj0WQYeRvq+Jgki1JVaLVr93OjSuD6X7Su2jcEO2ReAnPGNRPwXiX9FprFR8LmTxrXL\nGBVQqEPwEQ8Vr1FBxCZNgzx5hQIDAQABozIwMDAPBgNVHREECDAGhwS8phuYMB0GA1UdDgQWBBS6\nHjbHo7HbuPGfsGLhgEv23/Pe+TANBgkqhkiG9w0BAQsFAAOCAQEAKwj6W+jRs4IkIAnIkmCwvBTp\nMPDjZAuUxlljWLmF4pQaK+MnZTcI+0ZoEMSj/tAmSppksYDveebpnpIK6WmImU9FMS9oNFDgCi7o\nbCGoMNGa4RDo72M0HPPdegk5nBBAbbu/r86SNqoL5cB57IPmIOKn7MX5RgzbzIcUAAtUl4tNIlGu\nExAB2iKQXVVr417Ga3rtpRxtGe4uZ+LfPqVeHPSyv5euxYJtL7V+bNs1zuiB0GBFh+8RWYpSLLlx\nAXmYsFck6gMecz2vTWD2JysQh481jfIBBWcrMxhAcGZJS5hTalq4wRGjNrSss+8tt8nPnN5unLgJ\nkOtx8JYL/QhSDQ==\n-----END CERTIFICATE-----\n",
		AuthToken: "m8LOlWNm05DsnuNu9LWtUF6U3MAjnmHU6iLYDjHULDssPcUc8dluUDrg6exUo8p6",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.53.147": &client.ChainedServerInfo{
		Addr:      "188.166.53.147:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDajCCAlKgAwIBAgIED+sLKzANBgkqhkiG9w0BAQsFADBdMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxHjAcBgNVBAcTFUdvbGRmaW5jaGVzIFB1bHZlcml6ZTEbMBkGA1UEAxMSTWlz\ndGluZXNzIFJvY2tpZXN0MB4XDTE0MTIzMTA0NTQwMFoXDTE2MTIzMDA0NTQwMFowXTELMAkGA1UE\nBhMCVVMxETAPBgNVBAgTCE5ldyBZb3JrMR4wHAYDVQQHExVHb2xkZmluY2hlcyBQdWx2ZXJpemUx\nGzAZBgNVBAMTEk1pc3RpbmVzcyBSb2NraWVzdDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC\nggEBAI5Ekk3c5wuENlrnjMISba/YqLlwMMYrfCcOqp/lWxdfsx/3QAO+HiIrLc3pHk1Jg6Ki83D8\nfCGT1xJrvV08gWf5tc+rQ7dasv1mAM5XPfasZHyRZHggHJ23XIy/y49qNOUWRCtZz++bD3oTKD4W\nzblDakiGhVLeZbd7wpX8e7wXBQzC5+7X7LBfY6u4hISEhgNfrQwlm1Q1SuQy9AuOPzhRwMq8ogxA\nYaOt8VWiD5n2gohtHwSsCjosq5pmEz7abmNqZdxVZ04ec9mZHWIpVYsJA8ANyJ3ZJObOUm9/UrSe\nInIWiLwXNRU1J1/DJDQJdOxtvm4zO+TatE4cRbE37AkCAwEAAaMyMDAwDwYDVR0RBAgwBocEvKY1\nkzAdBgNVHQ4EFgQUN3zNhX00FHAJAzku5ytvZbmZte0wDQYJKoZIhvcNAQELBQADggEBAExDJpVM\nCSjCtOFnnnLWVHbO4u7DU+OmkwtRdLWBP5/8wOpR4q3kJWBs1TuVasesPxUd5Mm7JmhS7SZHJrvu\n9wzHFjmBwoJ+2tBUgOX0X22cA7i3GlgHCmBXKGymS5IvyXEA6ldaDrcTMscfQLrbnkf8qFuwMMoX\nXuWSlItD3OfPjpEGfcs5Xb0azh8kfp07zR1Y4n//4G6kHmHkROEprJS0Gvlg45gl9/b3K6uI4F5p\nW9wfJQdWWzoab6eayi2w5TVVN9PdLFfv/wfMf5N3PtYeyrlSJPRWhhUnQUQGElnvMOfyc2J3EGHI\nON4ltoz0DQga99q5IXhOjj793+M9xRg=\n-----END CERTIFICATE-----\n",
		AuthToken: "s9pp61usVIpmu3afgloxVj1IhT4auX31ifjPBVrjzvYPc08GktACV0gq6g3uoHM1",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.46.179": &client.ChainedServerInfo{
		Addr:      "188.166.46.179:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDbDCCAlSgAwIBAgIEMcpwuzANBgkqhkiG9w0BAQsFADBeMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMISWxsaW5vaXMxDjAMBgNVBAcTBUhvc2VkMRgwFgYDVQQKEw9NYWdnaWUgSGFiYWtrdWsxEjAQ\nBgNVBAMTCUNyb3Nzd2FsazAeFw0xNTAyMDYwNjI2MjJaFw0xNzAyMDUwNjI2MjJaMF4xCzAJBgNV\nBAYTAlVTMREwDwYDVQQIEwhJbGxpbm9pczEOMAwGA1UEBxMFSG9zZWQxGDAWBgNVBAoTD01hZ2dp\nZSBIYWJha2t1azESMBAGA1UEAxMJQ3Jvc3N3YWxrMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\nCgKCAQEAhYcffOqXxJjjma8emnlSvJ00JhjAX884dhu0puVFvA9lrmqjBhIkHxfJ6c4yLymoRwlx\nGNJVi9Z7fSb84btx+CsBR/XGT6ZoW7gjGmL1O2Wb3LeX0Fg3IsytDHXW7GblvAbIOOGGiBRcDJ3L\nhH6PFAbz9DOEErskN0Syebr2ppiRnh4/Lgcct7eHePICV+v6ynpkIGkCs7iFtsbleB6J5HRVsW1y\nM2CPKFGyFHXTDTNryLwLA5F93peyGW5jUKb4OuOVA7YDY5NQ0f8ZDBkvW3vTsJIZJc/DRY8+CHL3\nbWW8fSs3pSOMnxftXy7bh6/tsXTmxwNi3VsfUEhVzChJnQIDAQABozIwMDAPBgNVHREECDAGhwS8\npi6zMB0GA1UdDgQWBBS0RN78ObDioBuceEYrXAIYkj+9LzANBgkqhkiG9w0BAQsFAAOCAQEAWxap\ng5dSdGwGgwGXRmjakOfXIIMC/NGUwEudFqDTrYj7jpBAeyBU97glHr3gcIZnUa0k0R8vApZkPh2K\nrwA2/TxdXRXGCpazm0txNT6yNLZdoxfxDD4j4OyHc/MC49gGVJs+fdmnHIs/4B9EeAZTTT6JiRSz\nJ6K2/wqYnyv++A0WoeegSBXTaI7Wgiu7aczenCQE16j5m0OZiv2ksxCSs/t0gctITVC8Emlx/yl2\nYkZ46Dk6g47bjeUXw78DD8xJdAenb1xFJuGHT+QShmr4BLv9Dk+iyqNqvmSLrgVEM/OfMNFH+Opk\nzfrs30d5xh/U0EH4MXPxIZ/NCGJZWnbC8g==\n-----END CERTIFICATE-----\n",
		AuthToken: "9hsBTSl5unJfuqD6AuY7bLHGRn0I9jx9cu57GSgRe9gxwnmkCrkfI0ICFDYiflfU",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.217.121": &client.ChainedServerInfo{
		Addr:      "178.62.217.121:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDkDCCAnigAwIBAgIEYW3f6TANBgkqhkiG9w0BAQsFADBwMQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHRmxvcmlkYTEVMBMGA1UEBxMMQ29udHJpYnV0b3JzMRgwFgYDVQQKEw9DYWxscyBNb2R1bGF0\nb3IxHjAcBgNVBAMTFUJvYXN0ZnVsbHkgRWxhc3RpY2l0eTAeFw0xNTAxMjkxMDIyMzdaFw0xNjAx\nMjkxMDIyMzdaMHAxCzAJBgNVBAYTAlVTMRAwDgYDVQQIEwdGbG9yaWRhMRUwEwYDVQQHEwxDb250\ncmlidXRvcnMxGDAWBgNVBAoTD0NhbGxzIE1vZHVsYXRvcjEeMBwGA1UEAxMVQm9hc3RmdWxseSBF\nbGFzdGljaXR5MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAzuluxIz6tGm6GQIuCh6B\nqfb4WhuL7jrJu5KhhJ44Cj81JSQ9+YSpQxyzXFWUXacK8qRTHoqOuqn55yWL4/jeHg8lihs8Lm9k\njvmLE1iI3p9qeZQgjX9qZJFbOBD/23aVqpzG9aUwIvsgCQ1FkhKmAX2Qk0qphSa8uHgsLLPy0GCe\ngZIX1aeoiJckZxEkKhyrMaShD+KzMOoKScZxtG2d9dz0Yd67tKLIMIocWxvFjWATd8ltjqr3u8d2\nrLqKSOpO+jYGDS0dhz7FgAoUqxKx9DuAe1VON4GAqWcYfvv+ymtEaCMklJioZ5VWFbYkky3oEFWE\n9AwC8QjuIwjfe1v0VwIDAQABozIwMDAPBgNVHREECDAGhwSyPtl5MB0GA1UdDgQWBBSWhnexYVRk\nNJOrcUZr4eZ4LkO5VDANBgkqhkiG9w0BAQsFAAOCAQEAgtG5J3QgmIwjquf+1h6Dl6ks1yClZf8F\nds+s7/BvYp0q1ZmGrlhbOZSjJp0RCer5eov8Q5bVOxGoIIA+CX4R66a4hVqQDTcCQpECT+Z/5NAA\nSIrQQKsMuQvXIgVlvzR22apdGUjRPl+ziywAPdIEE0NRuZUzmuf7vG7doRmrgDnA1BqFbLfNVef/\nwmVYXTx9cWjEHctbe+oOrCnK5xokGEBSECOVYI8WpYRR498HSNPFv9w1u7xC2HuC3nZHc189g0KQ\ne+mLW9Hb6SNpXJ5iM7OJqby/noEylvwwbjq75rJbabQI4ipNLc8cilzZgbCJ0Ow4dNxr/aucj7cI\nT+ngtg==\n-----END CERTIFICATE-----\n",
		AuthToken: "JHfFgq1j2cAI1fovbrKEM7GNXtdSOmk3FaWLE6pIBU9ul5CRYyg92a6Ki6zleFVK",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.15.135": &client.ChainedServerInfo{
		Addr:      "188.166.15.135:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDajCCAlKgAwIBAgIEPMj90DANBgkqhkiG9w0BAQsFADBdMQswCQYDVQQGEwJVUzEOMAwGA1UE\nCBMFVGV4YXMxETAPBgNVBAcTCENvbWViYWNrMQ8wDQYDVQQKEwZTaGVycmkxGjAYBgNVBAMTEUdv\ndXJkIFRvdXJzIFR1dG9yMB4XDTE1MDEzMTA0NTUwOFoXDTE3MDEzMDA0NTUwOFowXTELMAkGA1UE\nBhMCVVMxDjAMBgNVBAgTBVRleGFzMREwDwYDVQQHEwhDb21lYmFjazEPMA0GA1UEChMGU2hlcnJp\nMRowGAYDVQQDExFHb3VyZCBUb3VycyBUdXRvcjCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC\nggEBAMMMK25Xf/YYG5XeZlaJuiQm23stmCDPic3fsCWxu3A0Hl15RuivtGco2G/6me3Gkx7g7oDw\nXsYNMFG9pBpNPV2BDZqEpyi1NJ8LfpTSgnuEcZPr7tnKYB62YmAKxSY2+McWlKB1GpnTnRoioj2L\nC0/iy2iO6I+TmNpxFARWCW/1B1hubM9d7LIAfKhA/6y9fyy0TGTygf73yN/mxx4Vn/yJK1f6AnIx\nvc9bJDaFtVzC7pbr9fI1TKO76ig5185bSN1I/B9kIHjHG2hSPl0I9u5pk+jWqcX9fTTR8a7XeRmC\nzL0JkSXN++G4sbohwQcrb42u++7fhp3Drhi6j6vtD38CAwEAAaMyMDAwDwYDVR0RBAgwBocEvKYP\nhzAdBgNVHQ4EFgQUGh7VskJd3VltS02HidQPokLrm6kwDQYJKoZIhvcNAQELBQADggEBAJP/k2K8\nk02S7l/3rw/QkWwQ1475V060w4dDRtFXBwWiDHoxyiuV23aNf2Yxph3clinm+Nu9OxLN8DIbzdcI\nuvS6TBbKn1YkcR80SIpX42HkIDXcThcV6Scv8gafPv91FCU9CYptX5pAnsXGuj6R/g9sMyOXnlOj\nc81vp6byYeFAjNXlzHeaVZl/BaYyZgzeZ+fmkvr5mqIC3kvC03FGRGbB9JaewJFkfz3HhFJRsmoC\nXrUlsxBbPNIuQSnhCG98l1kkfB4TL6VAh26hlESqtwsLd4BLE5N+8qwxvGoF5uyHq4AiYdyuwVm5\nDa65M8svPpM0AjohsKmJCUI1kEGOKHc=\n-----END CERTIFICATE-----\n",
		AuthToken: "OWSpweCK3FPGls8N5ntNY5IdzBj7wZMdu78ckc2qazitwfRHdlTPlxylMaQwJgLr",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.6.74": &client.ChainedServerInfo{
		Addr:      "188.166.6.74:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDGDCCAgCgAwIBAgIEL4UpADANBgkqhkiG9w0BAQsFADA0MRYwFAYDVQQKEw1EZWMgTWNjYXJ0\nbmV5MRowGAYDVQQDExFCdXJnbGFyeSBUcmF2ZWxlcjAeFw0xNTAyMDUwNjE5MzRaFw0xNzAyMDQw\nNjE5MzRaMDQxFjAUBgNVBAoTDURlYyBNY2NhcnRuZXkxGjAYBgNVBAMTEUJ1cmdsYXJ5IFRyYXZl\nbGVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAjMhiLO+CM3VYF2XNL9SFtIYHz+um\nKyjo/7LcJxbkYZrpAQxw8GNO9ztPMO9uwaUpf1LMnxsYgJk5zAp1hYwnvIASy54lIyCky3MyMka+\nvUUZ834Do1Ix0jOruYtFrJBuEW47gDjdaHQZFo58vuERTXzo6tNBY2S7MCGkIxo72Ejxe5I9n0yO\n/piwvSoYc8iyrwtIDN1TbvWI5ZL9esMfmxQ5XQT4B7FKvz6sCcbp/C2RrjupQQIiLG4DJPE86KLh\nHKCyAs79NeHKPiVhMa+Pr51rPSeGQfVUAHPr+ErVz0bSurdVfVErAOr02lvzVM4WSUPLQXhMMc2Y\n3jV09ByVlQIDAQABozIwMDAPBgNVHREECDAGhwS8pgZKMB0GA1UdDgQWBBRJYsG+FKUDNaEOpnmz\nKoW7ulJjhTANBgkqhkiG9w0BAQsFAAOCAQEAAep8/cAOFe4SY8WdUthDAhSX3Cd8H95s/feZh1I+\nwaI2Hj5+DWmLosXoZ2SNOrwMjMtHxX+j3f/TiWs7jnagv5QKP+FqFx3ZD74AljOAuEAj04yqr0L5\n7TnahHz7i5KCN9vxzufsBxJlfXx/LmEvRLSnbZPExux+Hk5Sfm9IvbHsSfLMUvmkuqyFpSbj/N7f\nui5g+p+W2J3mhvHnQL2JGwte7ZFT75sa0cGq9/GhScEdCrWhbodfKSyF3xl/Y1V76W8FiQ6OndfU\nSxKlYKNmA7XrvLGgeeKTU2/jXc5YyPpzRVAoR9By/4eH9BgQOBlSMA+rxCjW+/fOKBsznHlRTw==\n-----END CERTIFICATE-----\n",
		AuthToken: "IV3scGXyhsNC6e5LADBxcKZYHSiOBao50ed1ZLNRxMC3o5mC2kXziFENU3XWa83Z",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.39.122": &client.ChainedServerInfo{
		Addr:      "188.166.39.122:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDiDCCAnCgAwIBAgIEct783DANBgkqhkiG9w0BAQsFADBsMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxEzARBgNVBAcTCkNvbXBsaWNhdGUxFDASBgNVBAoTC1N0cmFwIEdpbXB5MR8w\nHQYDVQQDExZXZWFzZWxpbmcgT29kbGVzIEppbW15MB4XDTE1MDEwNTA1NDk1MVoXDTE2MDEwNTA1\nNDk1MVowbDELMAkGA1UEBhMCVVMxETAPBgNVBAgTCE5ldyBZb3JrMRMwEQYDVQQHEwpDb21wbGlj\nYXRlMRQwEgYDVQQKEwtTdHJhcCBHaW1weTEfMB0GA1UEAxMWV2Vhc2VsaW5nIE9vZGxlcyBKaW1t\neTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJ2FdOm6XQKSexmuDnOPKDYE8amHWeOr\noHXAGYruANUJ7yF3YLnSQ3tIfCSLjjCd4je+iD9y5971ZDe6H8V2weEsKvnZrrDnd6z6FLynytHO\ns2Q9GMsAly89g7SqqcR7K6QuutUx9xGPe4FHAse7KHh4rvtd97zKD3BxHzjd4kHpoMexmBxWhq7I\nxJV8XTSM5oNXYF8qGTh52l6JnXpI3X+0dv9Lt2fY6rHXAKqAXzaDnF/vJ36wBAhjM2ZzaweX5BlT\nKleUolzN9I2djLcs9ilk19JO9LWCgIl+4mEmvtUXN3RUa9VDWUEJ43Q5EqeYhXtt4s1gZsNGwuTh\nbdLDhJcCAwEAAaMyMDAwDwYDVR0RBAgwBocEvKYnejAdBgNVHQ4EFgQUg5edTVoDWwbX3t8LcwnU\nZYPh+q8wDQYJKoZIhvcNAQELBQADggEBAG+RrI5hrCoqlivMzAmAMBGtLxfmEFS3RBcBCeRwG6tv\nbB62G+oSeFEC2G6wK8pfwYfmvdc5l07pjcNDKu02GIlitxe4PLWVMGyHdnh7XiIJxhkDm1XL66Ea\n9MFVy9QwtHpb9XUgKNlcrdX99pww0qdpUfwLofTza2TzfExkpM+n5uVkaPzz9TvQJASm+iblDHOm\nrFFSHUh6xQqzRk8ctae55HZe+xNyJOfvq0LU6f/6lgu0MbylZVYoJLra698qNc91o/xdDdNgDvd1\nJEQ5xDXvgFUAVS/qncn3f8iUvb+rl9MYPfOQApn8Bw5AUdOwKtRt1LxFKoFkqdkCkIA6AkQ=\n-----END CERTIFICATE-----\n",
		AuthToken: "EPv8bIczThtILk47ikD2vf3YcHjUpr5kFRa7mWKYYktVtI8L0dRCcUmBFnMgMhFb",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.8.12": &client.ChainedServerInfo{
		Addr:      "188.166.8.12:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDQDCCAiigAwIBAgIEYRSoezANBgkqhkiG9w0BAQsFADBIMQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHRmxvcmlkYTEVMBMGA1UEBxMMUmhpbm9jZXJvc2VzMRAwDgYDVQQDEwdFbmpveWVkMB4XDTE1\nMDMyNzAyMTEwNFoXDTE2MDMyNjAyMTEwNFowSDELMAkGA1UEBhMCVVMxEDAOBgNVBAgTB0Zsb3Jp\nZGExFTATBgNVBAcTDFJoaW5vY2Vyb3NlczEQMA4GA1UEAxMHRW5qb3llZDCCASIwDQYJKoZIhvcN\nAQEBBQADggEPADCCAQoCggEBAInNuwnkfodwlBaATmmMZTH2wpC8vR17fHX7Giy4vBBIUIwLzJlb\n2GcQbwa7fwchNNI74FROZl2gyPKnbfZ/ILVq075pUxdGZ6do49xZimBN7zrihdiN3VUNik3TDgkU\n/YRdu9O2/g/zkftpsx4vyKR4+RFf4nru+tr/5GwUkbAnEGjaJUtI2YlR0r0PNCeVmIwlmTj4Ydb7\nEpcWYRjlpSyqV+WjqKIv8BhLUuJB2wQOrPvBJXrfIPr3+tX7mqmqCeR+LFobQvJ8/NlZH8KJf8JZ\nsnumw2eiCz6WCHha77TZNWxe7AmtZYJpN+3zxWBbalscvtAJpAxCc/HsAy9DSzsCAwEAAaMyMDAw\nDwYDVR0RBAgwBocEvKYIDDAdBgNVHQ4EFgQUTC3TeDUnztjU1MvuXoRqCTasUmkwDQYJKoZIhvcN\nAQELBQADggEBAEHc7fGGxqlCtNg3+PGnWR7pFFl7Vva2AeM5G9ZDN0ENOJjXz3mBbDhcRQfPZO2O\nN1MLz9+IAQQ5tFFEHPMZM7XVVm/5xHl364lF0GSZdpRoPukviFf95a4iUt1G6BsvctdBDwBuPkEr\nzcfOqYOm8VbXkCoKETOvyvVW2EeVAeYZmILp7C4ntN/K3yFql47AR+bEVfaOc2rOCpVpiwrYDWGi\nbAceh9rg0lHFdIN4ZPsyolxY2ZfJlXxbfvYWhJuOEnOy2tqCWbftvOhLN1vmyVCkbsYiMCSdpI/o\n01ssa1Qm7k6inKXrVEJq1e5grw7qEeid7nh3VebMd/LNFtaQK5c=\n-----END CERTIFICATE-----\n",
		AuthToken: "RrjcvBfviSihumUUeU0nYavGbOIT5Ej02c0UwFDTFwzFtkVoxh1aRQmkz1GZBn7I",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.58.16": &client.ChainedServerInfo{
		Addr:      "188.166.58.16:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDhDCCAmygAwIBAgIEBSuHWTANBgkqhkiG9w0BAQsFADBqMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEVMBMGA1UEBxMMTXJpIFBpbWllbnRvMRAwDgYDVQQKEwdQYXN0aW5nMR0w\nGwYDVQQDExRUb25pIE1hem91cmthcyBOZWdldjAeFw0xNDEyMTcwNTU5MzdaFw0xNjEyMTYwNTU5\nMzdaMGoxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpDYWxpZm9ybmlhMRUwEwYDVQQHEwxNcmkgUGlt\naWVudG8xEDAOBgNVBAoTB1Bhc3RpbmcxHTAbBgNVBAMTFFRvbmkgTWF6b3Vya2FzIE5lZ2V2MIIB\nIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAhb/v45kGLdBEnjGL3xMOYtiLF8fuUmi879dH\nvwIIkKBtqwHwWUBM5zcksS7pEaxcmdvteOlRGH6Xmk+A2xmjXOHbTpYeF+G5hBQucPiflct93dOT\nNLjAvBGr6pkRyfcnWJ9CzztQH58+Py4k6WelMrbrI3BVHKzpQj+uCfkHUVWsbB5cIrDyXrYzZLKF\nMnqE9vtKQgbkoStQsWdEEciUserPz7EeI/nscwout/5k2qOxct64UPkxOmOqfYEW29k4HNttIVVJ\nFp30njr951DaMJNH8hsKGBAW9HfOLzEZ1eyVuFf7q7/3Nt6MbJ6gzrbbBzerKEqifY+E3Be3ENne\noQIDAQABozIwMDAPBgNVHREECDAGhwS8pjoQMB0GA1UdDgQWBBRosGXRczjK7RzeXP+DeE5hzuhx\ntjANBgkqhkiG9w0BAQsFAAOCAQEAeqaxPVw3G4I2p6xhu9APkm24uhyQE9o+VJ/XfEsC2uj4l6Jx\nG9e121HCPi6P/VEQf84SeaviLCue5xZn0nUx625PVUdd8l8XY7l3PyinZJbYDf64f00xKcQrtRj4\n1ZcwVlDaTwusPLpOStCSuBsXImr1yeEK9iSFcsKe30B4nW/FxL4cLz4dVHyJnPjRcfBcx6MGOTlz\ndQa994Qm893hZ4RlvXTx7IWi8AyEmLWHQ8lrPm2m7SD1b+6JOj5osWli5LcWhAwZ9T4gv/mv6le7\nrYiRxAg/RFQD68M3mjCWF+/U1uMF56oh+JPFho2SJaGExnWmPWpKzSdlYFDiJ5XDLA==\n-----END CERTIFICATE-----\n",
		AuthToken: "LkmxEyaK6ZORzz7NMRmxOdztdN2bJNyAiSBwjKdiNYvmbk64141Y3Rx0og6mqKgG",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.212.150": &client.ChainedServerInfo{
		Addr:      "178.62.212.150:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDFjCCAf6gAwIBAgIENNtF/DANBgkqhkiG9w0BAQsFADAzMRcwFQYDVQQKEw5PcmFuIEJhY2tm\naWVsZDEYMBYGA1UEAxMPSGVicmV3IFNwYXJrbGVkMB4XDTE0MTIxMjA2MDYxMloXDTE2MTIxMTA2\nMDYxMlowMzEXMBUGA1UEChMOT3JhbiBCYWNrZmllbGQxGDAWBgNVBAMTD0hlYnJldyBTcGFya2xl\nZDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJvVGTxbn+yDLbmpuLbY3ZmztGzbdgA3\nzUHFPDTccVWJCRNsMM5GlzfJD3PqIHLXycqE7TMkt1lA31VzlVh2vQoar6Pk9ty3KZysc/zMe3wD\ngwpC0t5G8guSEtrDQZjlNa8JzcPbeW4vPrPmQhT022UMoXcVhkQtTOJaFV8JiLlVDGc+/ehSGQu8\nkaKngILpM/4lXwoyONwqpxyeKj2iPrx+35AgeqPbhQS3CSz/tPxv2Cp7MhhQpmgxJrZgfAFs0lcI\ns7+eBEhi7PzhjS2vo/plClE3KrfvJzi0ckGjkiTsAR4Db1GNFsjf42FuF3ZMFWT8xAPw5eq5diYY\n4n29j50CAwEAAaMyMDAwDwYDVR0RBAgwBocEsj7UljAdBgNVHQ4EFgQUc3NnH03RJwGnTly1/agR\ncbPi7gIwDQYJKoZIhvcNAQELBQADggEBAHD5NRyFdMyhuoZDBey+6EFO4IavuZ3LHbTnOLAx0y+J\n2fneQYRO3R2N45wONtzHqjHvQBb3UOa0Lgd/BVsOt2+nNWuG0Rszx9RPhEHKdq0bVz8ZFTeQaaTV\nd854IPSC7FItEXpa/1i8o02GXen9CMyAavrcJDaaeBxYJNJ/0wm+9o1HmMwbIXy+T6ZLmFK3HXN2\na9kxjH630RIqARVT3CJclxmCWfsi145+KMlL9fsmgysnJ/FqERN5VYHzzPN1wNq56GZ3tHZi4zIP\nrsp/gGmVNuULEAtd2BsUCEqxcKns9kz1kdDZrqOw6ARlfOgcehrlfK8iaSLcTbt+JJ8Nqs8=\n-----END CERTIFICATE-----\n",
		AuthToken: "ajv54yd4St1f4KusUBAV1P9cVve46S5rfb11c71rXJ3LZfbNlNSLJW9HhOC8MZow",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.45.82": &client.ChainedServerInfo{
		Addr:      "188.166.45.82:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIB5TCCAYigAwIBAgIEMdVjXDAMBggqhkjOPQQDAgUAMF4xCzAJBgNVBAYTAlVTMQ0wCwYDVQQI\nEwRPaGlvMRAwDgYDVQQHEwdUaHJhbGxzMRwwGgYDVQQKExNUaGVybW9wbGFzdGljIFpvcnJvMRAw\nDgYDVQQDEwdHZXN0dXJlMB4XDTE1MDIwMjA4MjU0NVoXDTE4MDIwMTA4MjU0NVowXjELMAkGA1UE\nBhMCVVMxDTALBgNVBAgTBE9oaW8xEDAOBgNVBAcTB1RocmFsbHMxHDAaBgNVBAoTE1RoZXJtb3Bs\nYXN0aWMgWm9ycm8xEDAOBgNVBAMTB0dlc3R1cmUwWTATBgcqhkjOPQIBBggqhkjOPQMBBwNCAAQ7\n+9YHORn0cOqNjJxXJNQ6OZOMvZOxgM+iLJjn3wu6eckAmxvBwK55edJH9psImDsKE6UqVd8uBYxR\nKuhPo4vAozIwMDAPBgNVHREECDAGhwS8pi1SMB0GA1UdDgQWBBTOLrLAStz834SHl5p3SDswajEI\nQDAMBggqhkjOPQQDAgUAA0kAMEYCIQCFUIgdiB69TRZw8QscgS8ghektt2DWXZeYyLfSNIx/sQIh\nAJ0U4+7AXyz4HhEpzPWWBAcBDW4w45Q/1QKdHOxG09bz\n-----END CERTIFICATE-----\n",
		AuthToken: "YzT6JxlrZNA9OsQPUJ5WYt5gwgEFEMxk9QOk1XcAeARZccTxWu50WFgVoMSu4lQ4",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.230.37": &client.ChainedServerInfo{
		Addr:      "178.62.230.37:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDFDCCAfygAwIBAgIERUaQnDANBgkqhkiG9w0BAQsFADAyMRUwEwYDVQQKEwxDb3JyZWN0aW9u\nYWwxGTAXBgNVBAMTEE1uZW1vbmljIFBsb3dpbmcwHhcNMTQxMjA3MDcwNDQwWhcNMTUxMjA3MDcw\nNDQwWjAyMRUwEwYDVQQKEwxDb3JyZWN0aW9uYWwxGTAXBgNVBAMTEE1uZW1vbmljIFBsb3dpbmcw\nggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQC53A31ldM2M9B065oldjvnL/QSECdRM7FP\n5G+B0WvCy37I9XZIw37ajyYW2olBSj7TcThhIQyIqgvPU9qNK9FQPnYda9p5KKCkhEXuOMT+EERr\nzzcnDW6/7faeqwy+a5rb1RKqsZxxT4TbwjkDItoO3RfaRm/CAbboelUFvwDNb/y9Q0bQ89W2X1QQ\nA0whhWLJ1Iz2GcvsMrmBRTU2IeZQ/UxFuz8+ZXRBpxyjd46Lry9XPsJ+fB+Dj+H+I0HTMiBd+7O6\nH1WoJ/Tw0KiJRrxgl+xvcOQwDTDca7guHzK4fcA3Ag8fG6CqsLopBzIDD4C0FrK9acakQ3gk3ylD\nw5XfAgMBAAGjMjAwMA8GA1UdEQQIMAaHBLI+5iUwHQYDVR0OBBYEFMX8n6bkZAdauS13hLOjZgTy\ngBmDMA0GCSqGSIb3DQEBCwUAA4IBAQBcDypzDKgazBLIZjXHJ0b/ZEt87nqXDQvHLgN2ALP8TI7O\ns/ADcMb38UVVUFwZLjLU2cAFNe35qywQQ3mWPPn9zmqxRI/oepnUi1jbYoqOfolE/h8ylBA+h960\n0mXd/TUK98DwmR9FkcWApP1E8BmM3990a/eKcjPM49EMSMLHRRhviFmnLJQ50Ilth3C8dx9colVC\nxuPV0GKs4pv7Pw5kfAhbdp+NkF6ctH0wjWN0KjDpF1jOEE8wcmJjHWapB8v3OBy42jTzcl3R7xXT\ndP34/6KdxYZRA1BPhwe4UhPem80t1laQQ87WeSHhkhU6nQeTcaKCNX9g9+e6YV2rvclE\n-----END CERTIFICATE-----\n",
		AuthToken: "R87FaMbpyIT3e5PNVBoW0q89AzFoZQ8SB6Z7II8Ak8mN8FnkL42elKUZPn6aR5pf",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.54.89": &client.ChainedServerInfo{
		Addr:      "188.166.54.89:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDPjCCAiagAwIBAgIEUpxTMTANBgkqhkiG9w0BAQsFADBHMSYwJAYDVQQKEx1Vc3VycGVyIEl0\naW5lcmFudCBIb21lc3RlYWRlcjEdMBsGA1UEAxMUVW5lbXBsb3ltZW50IEN1cnZpbmcwHhcNMTUw\nMzAxMDUzNTQ2WhcNMTYwMjI5MDUzNTQ2WjBHMSYwJAYDVQQKEx1Vc3VycGVyIEl0aW5lcmFudCBI\nb21lc3RlYWRlcjEdMBsGA1UEAxMUVW5lbXBsb3ltZW50IEN1cnZpbmcwggEiMA0GCSqGSIb3DQEB\nAQUAA4IBDwAwggEKAoIBAQCWi6xT9hZP6PzuUFVxIjC/G8F411wcRXu1y13LDPY7MtiEikz7K4IO\ne4S+LHvPJkowof+G4WuAXUeoSLtAY/alA5cZjWV0wgj27qAfG8HMJ7agXGFJDx3ypr9N0tp2mx1L\noERA+sN8GEDMkSFOwnosmCXJE1TnE7FfGad26q1gcVwjPrQSpq5Cuze5C6eKfBRkqbVf2ncleDlu\nyo4ID9CiyTe3CKZ2wQTFVdG5xjKZNa/8MBonOzQ+kx/A9NUNirszFqW88gu/h9vMKY9e45orqs0i\nxAZuiIKAGa5BHPmWyLfI66XZKg7F5lEfpENtgNXsfrgyQsmy1Kor4c/u14FLAgMBAAGjMjAwMA8G\nA1UdEQQIMAaHBLymNlkwHQYDVR0OBBYEFKBOmx577cF+WnqU8JMZx7qO4yqHMA0GCSqGSIb3DQEB\nCwUAA4IBAQBDDoXbHk2rv7se7dlYa9nptmmp6O4dQQ9ayou5hTGoA9lztY/VUKGPDYB70r/2sdH5\nAfGgRve3GmPR7HTJoY6O9GYM3dc56k16KE3GHSf4IGhm94n2fwBsKUXjZK97nKKgYbwdyyFKlC2O\nPiH32sI4qJHoS6I+0EX0M/LkpjOUOuxkNdNuAWcoTUBuoPO+nHbCgvdR/Jk4JRnZv/0Cv9oRbK+j\nWKTMZlseNapeLbHvZNvDqYSQmwMHSKetRaWQpNdluaDwJQkN95BZxg1/Bg3YhFR1Ou1Z9pqlV0Lv\nrxxWYd789WQ1qaojCBe3QjjaWvjxF+GoZ5m4e8rxJRn4Ha3R\n-----END CERTIFICATE-----\n",
		AuthToken: "aLx9OiAR3TwxKBC3p61VU5NQX8MMwEv53hLeayo2kSYNquq7NG7TWz6jwdXXpbBi",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-128.199.63.206": &client.ChainedServerInfo{
		Addr:      "128.199.63.206:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDgjCCAmqgAwIBAgIEfSf7hjANBgkqhkiG9w0BAQsFADBpMQswCQYDVQQGEwJVUzETMBEGA1UE\nCBMKQ2FsaWZvcm5pYTEPMA0GA1UEBxMGQmFsZGVkMRQwEgYDVQQKEwtQcmluY2lwYWxseTEeMBwG\nA1UEAxMVRGVzaWduYXRlcyBBcnRmdWxuZXNzMB4XDTE1MDIxNTA0NTYyMloXDTE2MDIxNTA0NTYy\nMlowaTELMAkGA1UEBhMCVVMxEzARBgNVBAgTCkNhbGlmb3JuaWExDzANBgNVBAcTBkJhbGRlZDEU\nMBIGA1UEChMLUHJpbmNpcGFsbHkxHjAcBgNVBAMTFURlc2lnbmF0ZXMgQXJ0ZnVsbmVzczCCASIw\nDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJn+tiaNv2htm3YsD0OblF64qU40eGnz985faimo\n9GvRcSggd0rZJfm6m+onYEMLG7BOQwS6p1RfPFKO4CWJUuYE/1l/1r0xX4I5oIRKUd0j0Pw2SL9j\nG4ntcVyl1vq0K1WypWtJZZnIQIAyI+w/RLaynHrxtUrJRvWoXl7W5R26TnmAsTd2co8guVPbMHNC\nHTvzMIj8ki6dc2vqn4ZTagoZYi3/I23uPsCypshy0qi5EH+ac/qvWch1nYhxALO3VUxamUI4UTE9\n6eU/1Phf7Q+q+xgI14IO3UbCuTeKBySOo/VQ4e5ri80+bPMw5uCVGgO/M0e9CLuIoL8HCadtKmcC\nAwEAAaMyMDAwDwYDVR0RBAgwBocEgMc/zjAdBgNVHQ4EFgQUVldh1urGc8qdcJ9XcAkASFoCqfow\nDQYJKoZIhvcNAQELBQADggEBAJb94Aux3NApRgsd+ZO6Uk/wsoz5mOZ0ryGsr9EdKTwUNosDBzvV\nvRT6hN5k4Tk5KhulTJrgf2Y2ACGIPm6aVaxbABFOfMicD/H5PuriOpffKujj0+j55tu+EQQr7aeU\nmVr12E31I+kM9v0PiQ8b653qLDiwIFNXGNMVRijkqtYOY2wUicdsVYcdd8I3NTl81uUKW0yAko7z\nHa2da68wgRU4uEcMT9cB1gZ1SO1WZ9DFy+cSEBWjGdcbuu6XHYcpPyRBqhf4JE2PE6blMeNE1QSL\nLu7pbfYE4PAhafzDFB1LvJmiYn/SCS6Xhdm6Z5K7pTn2+YhUt0cjo7Ti3vtF+wM=\n-----END CERTIFICATE-----\n",
		AuthToken: "nndsVfPpyaeL2ZxvBNfRsjSTn5U3UHji7gzWVvO6layo9I11uCfTiilakVa1abon",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-188.166.32.225": &client.ChainedServerInfo{
		Addr:      "188.166.32.225:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDejCCAmKgAwIBAgIEVqGeOjANBgkqhkiG9w0BAQsFADBlMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITWljaGlnYW4xDjAMBgNVBAcTBUZhcmNlMSMwIQYDVQQKExpOZWVkaW5lc3MgQXF1YXBsYW5l\ncyBTbmlkZTEOMAwGA1UEAxMFQ3JpbXAwHhcNMTUwMTA4MDU0NzI5WhcNMTYwMTA4MDU0NzI5WjBl\nMQswCQYDVQQGEwJVUzERMA8GA1UECBMITWljaGlnYW4xDjAMBgNVBAcTBUZhcmNlMSMwIQYDVQQK\nExpOZWVkaW5lc3MgQXF1YXBsYW5lcyBTbmlkZTEOMAwGA1UEAxMFQ3JpbXAwggEiMA0GCSqGSIb3\nDQEBAQUAA4IBDwAwggEKAoIBAQDXO/1c2vgef+8LLWIoBeRzbYxGPH5nFpt563C3bVa0MF70+c1l\nRCpjs8/Mk7ITkBXihiCJC5d86sCs2DJkzNiKpRAMaR5ONHLJukMd9jOo5qtaXZ/HGm4g90wLzjVP\nvBWi1PNgsA8JIsrw995T6QqwB7EOenSuuZlSMXFJW1Tu1bTrHdtfXmSrHBySgFRtTLoddT7J3FY9\nn0zUcwWVptx9g7AhD46v4dl2oyMYhnLi8gd31JaNbOe6h3ihzaIKL9q3KYWPCtJE7ACISMqKP/VB\n0ew9iQ5nrvqCoHVIMos/bcYBIWlRG+8tBLs5N6IFxD+q3OJMntsGPAUy8JU4MF0hAgMBAAGjMjAw\nMA8GA1UdEQQIMAaHBLymIOEwHQYDVR0OBBYEFHuXeM+kHzOvnX0r4W3CJ/Bs1+f6MA0GCSqGSIb3\nDQEBCwUAA4IBAQCLtzDeAgEl11FFl0d8cI2nq1K1UjkH9tMP34KC7k6NrwTCk/ljV1+1sHhK+Ph0\nUNg+j16Awio3AGjn1mH2KoxmooUiFl9r7OyICHlekEnsVNCSFbL7sqOA23OuOGAlrs1UVPFcblNv\njwYUt8ejeyZ4pzNnbURtWpc+rYDGCK79Gr/FOg+Z7mbV9pEhLNq/89aQIfAyD2+IjOoHKNIezIxk\nTiDQLfuA/0H9iXAGwPzFXJvh6OyVg1EtOzJkvou4n4kh1ok1JPJDqnH1YiT6mfCE4bw728f+r860\n0N8sjDEPTkeouFjkIL0h+ubMx86dm6WO4wurs02T7Bj1qPNK92xW\n-----END CERTIFICATE-----\n",
		AuthToken: "JA9rb82INthzDl6QzNMGE3nifk0OEcEFt0vGkGnc0ho1geGUYErzPDLPgFa7HIxe",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.232.39": &client.ChainedServerInfo{
		Addr:      "178.62.232.39:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIID4DCCAsigAwIBAgIEGDTvKDANBgkqhkiG9w0BAQsFADCBlzELMAkGA1UEBhMCVVMxEzARBgNV\nBAgTCk5ldyBKZXJzZXkxDjAMBgNVBAcTBVNlZW1zMS8wLQYDVQQKEyZTYXJnYXNzbyBCZXJsaW96\nIEZsb29kZ2F0ZSBWZXJkaWdyaXNlczEbMBkGA1UECxMSVGlua2xpbmcgRXhwbGFpbmVkMRUwEwYD\nVQQDEwxBc3NvY2lhdGlvbnMwHhcNMTUwMTI1MDQ1NzIyWhcNMTYwMTI1MDQ1NzIyWjCBlzELMAkG\nA1UEBhMCVVMxEzARBgNVBAgTCk5ldyBKZXJzZXkxDjAMBgNVBAcTBVNlZW1zMS8wLQYDVQQKEyZT\nYXJnYXNzbyBCZXJsaW96IEZsb29kZ2F0ZSBWZXJkaWdyaXNlczEbMBkGA1UECxMSVGlua2xpbmcg\nRXhwbGFpbmVkMRUwEwYDVQQDEwxBc3NvY2lhdGlvbnMwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw\nggEKAoIBAQC0rpIkeqK3J6xtm/0iSExZuq8p4S3gWNmIzBW8fwikqeHbGbGUsKoS4G0FCUQYTYuO\njN7bGmM/6iLaY1kT2DZ0Ei878ArLtj/jHJxjn9di8c76hdkl6hTb7+geSXXbcsf43F1o4rvubS2V\nOH9eOf9ctPf9iTjJsN/CSyXkljDZgcb8eQ7/Q5qJyFNig1f2/Qn848SJXVeWdphvsrlG/C0WJz4S\ncixQ6dtrf48SJGMBRQKTBamfA/Gj1KDPWtPTRb6Grfph3UtR5FwnWfzPc9ivs2JZDGZMZQChiGdN\nOiXUo2Ulsqj0tIn9PzeEPsWGkuzntOCxMKK8pTPNmZA2SPOFAgMBAAGjMjAwMA8GA1UdEQQIMAaH\nBLI+6CcwHQYDVR0OBBYEFKR1QBiF+0epshPeY+Exrb7UfccOMA0GCSqGSIb3DQEBCwUAA4IBAQBH\nkK2E/9WJio/rYgrFBYxypLFBe1FuIkWPsy/K750FnDA4Bd4WdwPRILXqrHy+EGE+Wv8Dh65UrRBL\nUHSCa6wLhTpp8Dvbh0X5wJcOAix6KMGzAFIaRSzfAHNLpEHdRGyycV0pnCkuS0KpAOvNbM3YiCvH\nFF51BgXeLyoAPfhTVT6lhoLi44I9UsUnAnAK/tbMPYdim4CFttKzCwmqlCCKmgWpQ2+O+cgbxeXm\ndnMvZbi/LOIVzVSz5T40IurV3ZJgNKxD8BBvKT2fcociPru1cltrQfD72zU3jvG3e33E9PwY76W0\ndzAtaHbAFu7+nY9+vaEg0K6mspwvx6QTAXVx\n-----END CERTIFICATE-----\n",
		AuthToken: "wQtqCeNVkC54MmpALl5tjAt43rqA02WuyukrVMPIOQXCsiI0m7bqx2zoNIUsxMBc",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
}
